{
 "cells": [
  {
   "cell_type": "markdown",
   "metadata": {
    "cell_id": "8630cbcd-2dfa-43d9-9651-49063a11728b",
    "deepnote_cell_type": "markdown",
    "deepnote_to_be_reexecuted": false,
    "execution_millis": 1,
    "execution_start": 1645456539826,
    "source_hash": "3c8ecc38",
    "tags": []
   },
   "source": [
    "# Week 10 Video notebooks"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {
    "cell_id": "00001-e42b6386-c003-4997-a184-d4c9d800db73",
    "deepnote_cell_type": "markdown",
    "tags": []
   },
   "source": [
    "## Adding a title in Altair\n",
    "\n",
    "A few references in the Altair documentation:\n",
    "* [Customizing visualizations](https://altair-viz.github.io/user_guide/customization.html)\n",
    "* [Top-level chart configuration](https://altair-viz.github.io/user_guide/configuration.html)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "metadata": {
    "cell_id": "00002-53093b1a-2a2c-4c1f-ac4e-8e7962cb2b99",
    "deepnote_cell_type": "code",
    "deepnote_to_be_reexecuted": false,
    "execution_millis": 30,
    "execution_start": 1646146477368,
    "source_hash": "7aca45b0",
    "tags": []
   },
   "outputs": [],
   "source": [
    "import pandas as pd\n",
    "import altair as alt\n",
    "from sklearn.preprocessing import StandardScaler\n",
    "from sklearn.model_selection import train_test_split\n",
    "from sklearn.neighbors import KNeighborsClassifier\n",
    "\n",
    "df = pd.read_csv(\"../data/spotify_dataset.csv\", na_values=\" \")\n",
    "df.dropna(inplace=True)\n",
    "df = df[df[\"Artist\"].isin([\"Taylor Swift\", \"Billie Eilish\"])]\n",
    "\n",
    "scaler = StandardScaler()\n",
    "df[[\"Tempo\",\"Energy\"]] = scaler.fit_transform(df[[\"Tempo\",\"Energy\"]])\n",
    "\n",
    "X_train, X_test, y_train, y_test = train_test_split(df[[\"Tempo\",\"Energy\"]], df[\"Artist\"], test_size=0.2)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 3,
   "metadata": {
    "cell_id": "00003-632b3d52-71cd-4648-a8c4-7a6a6e861d8e",
    "deepnote_cell_type": "code",
    "deepnote_to_be_reexecuted": false,
    "execution_millis": 8,
    "execution_start": 1646146733596,
    "source_hash": "63670829",
    "tags": []
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "<div id=\"altair-viz-8a4ffeea7a214318bc0e5decb2bb600d\"></div>\n",
       "<script type=\"text/javascript\">\n",
       "  var VEGA_DEBUG = (typeof VEGA_DEBUG == \"undefined\") ? {} : VEGA_DEBUG;\n",
       "  (function(spec, embedOpt){\n",
       "    let outputDiv = document.currentScript.previousElementSibling;\n",
       "    if (outputDiv.id !== \"altair-viz-8a4ffeea7a214318bc0e5decb2bb600d\") {\n",
       "      outputDiv = document.getElementById(\"altair-viz-8a4ffeea7a214318bc0e5decb2bb600d\");\n",
       "    }\n",
       "    const paths = {\n",
       "      \"vega\": \"https://cdn.jsdelivr.net/npm//vega@5?noext\",\n",
       "      \"vega-lib\": \"https://cdn.jsdelivr.net/npm//vega-lib?noext\",\n",
       "      \"vega-lite\": \"https://cdn.jsdelivr.net/npm//vega-lite@4.17.0?noext\",\n",
       "      \"vega-embed\": \"https://cdn.jsdelivr.net/npm//vega-embed@6?noext\",\n",
       "    };\n",
       "\n",
       "    function maybeLoadScript(lib, version) {\n",
       "      var key = `${lib.replace(\"-\", \"\")}_version`;\n",
       "      return (VEGA_DEBUG[key] == version) ?\n",
       "        Promise.resolve(paths[lib]) :\n",
       "        new Promise(function(resolve, reject) {\n",
       "          var s = document.createElement('script');\n",
       "          document.getElementsByTagName(\"head\")[0].appendChild(s);\n",
       "          s.async = true;\n",
       "          s.onload = () => {\n",
       "            VEGA_DEBUG[key] = version;\n",
       "            return resolve(paths[lib]);\n",
       "          };\n",
       "          s.onerror = () => reject(`Error loading script: ${paths[lib]}`);\n",
       "          s.src = paths[lib];\n",
       "        });\n",
       "    }\n",
       "\n",
       "    function showError(err) {\n",
       "      outputDiv.innerHTML = `<div class=\"error\" style=\"color:red;\">${err}</div>`;\n",
       "      throw err;\n",
       "    }\n",
       "\n",
       "    function displayChart(vegaEmbed) {\n",
       "      vegaEmbed(outputDiv, spec, embedOpt)\n",
       "        .catch(err => showError(`Javascript Error: ${err.message}<br>This usually means there's a typo in your chart specification. See the javascript console for the full traceback.`));\n",
       "    }\n",
       "\n",
       "    if(typeof define === \"function\" && define.amd) {\n",
       "      requirejs.config({paths});\n",
       "      require([\"vega-embed\"], displayChart, err => showError(`Error loading script: ${err.message}`));\n",
       "    } else {\n",
       "      maybeLoadScript(\"vega\", \"5\")\n",
       "        .then(() => maybeLoadScript(\"vega-lite\", \"4.17.0\"))\n",
       "        .then(() => maybeLoadScript(\"vega-embed\", \"6\"))\n",
       "        .catch(showError)\n",
       "        .then(() => displayChart(vegaEmbed));\n",
       "    }\n",
       "  })({\"config\": {\"view\": {\"continuousWidth\": 400, \"continuousHeight\": 300}, \"legend\": {\"cornerRadius\": 10, \"fillColor\": \"#EEEEEE\", \"orient\": \"top-right\", \"padding\": 10, \"strokeColor\": \"gray\"}}, \"data\": {\"name\": \"data-c9ac038ca577f9ae24ba2bdc8f2ea833\"}, \"mark\": \"circle\", \"encoding\": {\"color\": {\"field\": \"pred\", \"title\": \"Legend title\", \"type\": \"nominal\"}, \"x\": {\"field\": \"Tempo\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Energy\", \"type\": \"quantitative\"}}, \"height\": 100, \"title\": \"Here is a title\", \"width\": 700, \"$schema\": \"https://vega.github.io/schema/vega-lite/v4.17.0.json\", \"datasets\": {\"data-c9ac038ca577f9ae24ba2bdc8f2ea833\": [{\"Index\": 53, \"Highest Charting Position\": 19, \"Number of Times Charted\": 3, \"Week of Highest Charting\": \"2021-07-09--2021-07-16\", \"Song Name\": \"NDA\", \"Streams\": \"9,635,619\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 47014200.0, \"Song ID\": \"38GBNKZUhfBkk3oNlWzRYd\", \"Genre\": \"['electropop', 'pop']\", \"Release Date\": \"2021-07-30\", \"Weeks Charted\": \"2021-07-23--2021-07-30\\n2021-07-16--2021-07-23\\n2021-07-09--2021-07-16\", \"Popularity\": 84.0, \"Danceability\": 0.765, \"Energy\": -0.5857056986433438, \"Loudness\": -9.921, \"Speechiness\": 0.0713, \"Acousticness\": 0.341, \"Liveness\": 0.112, \"Tempo\": -1.2469215897133472, \"Duration (ms)\": 195777.0, \"Valence\": 0.554, \"Chord\": \"G#/Ab\", \"pred\": \"Billie Eilish\"}, {\"Index\": 111, \"Highest Charting Position\": 46, \"Number of Times Charted\": 83, \"Week of Highest Charting\": \"2020-04-17--2020-04-24\", \"Song Name\": \"lovely (with Khalid)\", \"Streams\": \"6,569,547\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 47014200.0, \"Song ID\": \"0u2P5u6lvoDfwTYjAADbn4\", \"Genre\": \"['electropop', 'pop']\", \"Release Date\": \"2018-04-19\", \"Weeks Charted\": \"2021-07-23--2021-07-30\\n2021-07-16--2021-07-23\\n2021-07-09--2021-07-16\\n2021-07-02--2021-07-09\\n2021-06-25--2021-07-02\\n2021-06-18--2021-06-25\\n2021-06-11--2021-06-18\\n2021-06-04--2021-06-11\\n2021-05-28--2021-06-04\\n2021-05-21--2021-05-28\\n2021-05-14--2021-05-21\\n2021-05-07--2021-05-14\\n2021-04-30--2021-05-07\\n2021-04-23--2021-04-30\\n2021-04-16--2021-04-23\\n2021-04-09--2021-04-16\\n2021-04-02--2021-04-09\\n2021-03-26--2021-04-02\\n2021-03-19--2021-03-26\\n2021-03-12--2021-03-19\\n2021-03-05--2021-03-12\\n2021-02-26--2021-03-05\\n2021-02-19--2021-02-26\\n2021-02-12--2021-02-19\\n2021-02-05--2021-02-12\\n2021-01-29--2021-02-05\\n2021-01-22--2021-01-29\\n2021-01-15--2021-01-22\\n2021-01-08--2021-01-15\\n2021-01-01--2021-01-08\\n2020-12-25--2021-01-01\\n2020-12-18--2020-12-25\\n2020-12-11--2020-12-18\\n2020-12-04--2020-12-11\\n2020-11-27--2020-12-04\\n2020-11-20--2020-11-27\\n2020-11-13--2020-11-20\\n2020-11-06--2020-11-13\\n2020-10-30--2020-11-06\\n2020-10-23--2020-10-30\\n2020-10-16--2020-10-23\\n2020-10-09--2020-10-16\\n2020-10-02--2020-10-09\\n2020-09-25--2020-10-02\\n2020-09-18--2020-09-25\\n2020-09-11--2020-09-18\\n2020-09-04--2020-09-11\\n2020-08-28--2020-09-04\\n2020-08-21--2020-08-28\\n2020-08-14--2020-08-21\\n2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\\n2020-07-17--2020-07-24\\n2020-07-10--2020-07-17\\n2020-07-03--2020-07-10\\n2020-06-26--2020-07-03\\n2020-06-19--2020-06-26\\n2020-06-12--2020-06-19\\n2020-06-05--2020-06-12\\n2020-05-29--2020-06-05\\n2020-05-22--2020-05-29\\n2020-05-15--2020-05-22\\n2020-05-08--2020-05-15\\n2020-05-01--2020-05-08\\n2020-04-24--2020-05-01\\n2020-04-17--2020-04-24\\n2020-04-10--2020-04-17\\n2020-04-03--2020-04-10\\n2020-03-27--2020-04-03\\n2020-03-20--2020-03-27\\n2020-03-13--2020-03-20\\n2020-03-06--2020-03-13\\n2020-02-28--2020-03-06\\n2020-02-21--2020-02-28\\n2020-02-14--2020-02-21\\n2020-02-07--2020-02-14\\n2020-01-31--2020-02-07\\n2020-01-24--2020-01-31\\n2020-01-17--2020-01-24\\n2020-01-10--2020-01-17\\n2020-01-03--2020-01-10\\n2019-12-27--2020-01-03\", \"Popularity\": 86.0, \"Danceability\": 0.351, \"Energy\": -0.9943728463051724, \"Loudness\": -10.109, \"Speechiness\": 0.0333, \"Acousticness\": 0.934, \"Liveness\": 0.095, \"Tempo\": -0.22326264586964997, \"Duration (ms)\": 200186.0, \"Valence\": 0.12, \"Chord\": \"E\", \"pred\": \"Taylor Swift\"}, {\"Index\": 165, \"Highest Charting Position\": 13, \"Number of Times Charted\": 83, \"Week of Highest Charting\": \"2020-01-24--2020-01-31\", \"Song Name\": \"bad guy\", \"Streams\": \"5,436,286\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 1250353.0, \"Song ID\": \"1hewNsVmijBqjKvFRQfk4m\", \"Genre\": \"[]\", \"Release Date\": \"2021-08-13\", \"Weeks Charted\": \"2021-07-23--2021-07-30\\n2021-07-16--2021-07-23\\n2021-07-09--2021-07-16\\n2021-07-02--2021-07-09\\n2021-06-25--2021-07-02\\n2021-06-18--2021-06-25\\n2021-06-11--2021-06-18\\n2021-06-04--2021-06-11\\n2021-05-28--2021-06-04\\n2021-05-21--2021-05-28\\n2021-05-14--2021-05-21\\n2021-05-07--2021-05-14\\n2021-04-30--2021-05-07\\n2021-04-23--2021-04-30\\n2021-04-16--2021-04-23\\n2021-04-09--2021-04-16\\n2021-04-02--2021-04-09\\n2021-03-26--2021-04-02\\n2021-03-19--2021-03-26\\n2021-03-12--2021-03-19\\n2021-03-05--2021-03-12\\n2021-02-26--2021-03-05\\n2021-02-19--2021-02-26\\n2021-02-12--2021-02-19\\n2021-02-05--2021-02-12\\n2021-01-29--2021-02-05\\n2021-01-22--2021-01-29\\n2021-01-15--2021-01-22\\n2021-01-08--2021-01-15\\n2021-01-01--2021-01-08\\n2020-12-25--2021-01-01\\n2020-12-18--2020-12-25\\n2020-12-11--2020-12-18\\n2020-12-04--2020-12-11\\n2020-11-27--2020-12-04\\n2020-11-20--2020-11-27\\n2020-11-13--2020-11-20\\n2020-11-06--2020-11-13\\n2020-10-30--2020-11-06\\n2020-10-23--2020-10-30\\n2020-10-16--2020-10-23\\n2020-10-09--2020-10-16\\n2020-10-02--2020-10-09\\n2020-09-25--2020-10-02\\n2020-09-18--2020-09-25\\n2020-09-11--2020-09-18\\n2020-09-04--2020-09-11\\n2020-08-28--2020-09-04\\n2020-08-21--2020-08-28\\n2020-08-14--2020-08-21\\n2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\\n2020-07-17--2020-07-24\\n2020-07-10--2020-07-17\\n2020-07-03--2020-07-10\\n2020-06-26--2020-07-03\\n2020-06-19--2020-06-26\\n2020-06-12--2020-06-19\\n2020-06-05--2020-06-12\\n2020-05-29--2020-06-05\\n2020-05-22--2020-05-29\\n2020-05-15--2020-05-22\\n2020-05-08--2020-05-15\\n2020-05-01--2020-05-08\\n2020-04-24--2020-05-01\\n2020-04-17--2020-04-24\\n2020-04-10--2020-04-17\\n2020-04-03--2020-04-10\\n2020-03-27--2020-04-03\\n2020-03-20--2020-03-27\\n2020-03-13--2020-03-20\\n2020-03-06--2020-03-13\\n2020-02-28--2020-03-06\\n2020-02-21--2020-02-28\\n2020-02-14--2020-02-21\\n2020-02-07--2020-02-14\\n2020-01-31--2020-02-07\\n2020-01-24--2020-01-31\\n2020-01-17--2020-01-24\\n2020-01-10--2020-01-17\\n2020-01-03--2020-01-10\\n2019-12-27--2020-01-03\", \"Popularity\": 0.0, \"Danceability\": 0.701, \"Energy\": -0.3097226898327583, \"Loudness\": -10.965, \"Speechiness\": 0.375, \"Acousticness\": 0.328, \"Liveness\": 0.1, \"Tempo\": 0.4478582766106694, \"Duration (ms)\": 194088.0, \"Valence\": 0.562, \"Chord\": \"G\", \"pred\": \"Billie Eilish\"}, {\"Index\": 216, \"Highest Charting Position\": 15, \"Number of Times Charted\": 7, \"Week of Highest Charting\": \"2021-06-04--2021-06-11\", \"Song Name\": \"Lost Cause\", \"Streams\": \"5,203,319\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 1250353.0, \"Song ID\": \"36fhyo5QlxBW7DrDHIOn1G\", \"Genre\": \"[]\", \"Release Date\": \"2021-08-12\", \"Weeks Charted\": \"2021-07-16--2021-07-23\\n2021-07-09--2021-07-16\\n2021-07-02--2021-07-09\\n2021-06-25--2021-07-02\\n2021-06-18--2021-06-25\\n2021-06-11--2021-06-18\\n2021-06-04--2021-06-11\", \"Popularity\": 0.0, \"Danceability\": 0.671, \"Energy\": -0.7820782241431834, \"Loudness\": -8.494, \"Speechiness\": 0.241, \"Acousticness\": 0.705, \"Liveness\": 0.0577, \"Tempo\": -1.5839363041114722, \"Duration (ms)\": 212496.0, \"Valence\": 0.518, \"Chord\": \"A#/Bb\", \"pred\": \"Billie Eilish\"}, {\"Index\": 246, \"Highest Charting Position\": 4, \"Number of Times Charted\": 10, \"Week of Highest Charting\": \"2021-04-30--2021-05-07\", \"Song Name\": \"Your Power\", \"Streams\": \"5,135,380\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 47014200.0, \"Song ID\": \"042Sl6Mn83JHyLEqdK7uI0\", \"Genre\": \"['electropop', 'pop']\", \"Release Date\": \"2021-07-30\", \"Weeks Charted\": \"2021-07-02--2021-07-09\\n2021-06-25--2021-07-02\\n2021-06-18--2021-06-25\\n2021-06-11--2021-06-18\\n2021-06-04--2021-06-11\\n2021-05-28--2021-06-04\\n2021-05-21--2021-05-28\\n2021-05-14--2021-05-21\\n2021-05-07--2021-05-14\\n2021-04-30--2021-05-07\", \"Popularity\": 81.0, \"Danceability\": 0.632, \"Energy\": -1.058061232953769, \"Loudness\": -14.025, \"Speechiness\": 0.0801, \"Acousticness\": 0.932, \"Liveness\": 0.233, \"Tempo\": 0.26232262952706586, \"Duration (ms)\": 245897.0, \"Valence\": 0.208, \"Chord\": \"A\", \"pred\": \"Billie Eilish\"}, {\"Index\": 309, \"Highest Charting Position\": 2, \"Number of Times Charted\": 31, \"Week of Highest Charting\": \"2020-11-13--2020-11-20\", \"Song Name\": \"Therefore I Am\", \"Streams\": \"5,265,630\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 1250353.0, \"Song ID\": \"0aACcc1jEv2C6VSmmJbllJ\", \"Genre\": \"[]\", \"Release Date\": \"2021-08-13\", \"Weeks Charted\": \"2021-06-11--2021-06-18\\n2021-06-04--2021-06-11\\n2021-05-28--2021-06-04\\n2021-05-21--2021-05-28\\n2021-05-14--2021-05-21\\n2021-05-07--2021-05-14\\n2021-04-30--2021-05-07\\n2021-04-23--2021-04-30\\n2021-04-16--2021-04-23\\n2021-04-09--2021-04-16\\n2021-04-02--2021-04-09\\n2021-03-26--2021-04-02\\n2021-03-19--2021-03-26\\n2021-03-12--2021-03-19\\n2021-03-05--2021-03-12\\n2021-02-26--2021-03-05\\n2021-02-19--2021-02-26\\n2021-02-12--2021-02-19\\n2021-02-05--2021-02-12\\n2021-01-29--2021-02-05\\n2021-01-22--2021-01-29\\n2021-01-15--2021-01-22\\n2021-01-08--2021-01-15\\n2021-01-01--2021-01-08\\n2020-12-25--2021-01-01\\n2020-12-18--2020-12-25\\n2020-12-11--2020-12-18\\n2020-12-04--2020-12-11\\n2020-11-27--2020-12-04\\n2020-11-20--2020-11-27\\n2020-11-13--2020-11-20\", \"Popularity\": 0.0, \"Danceability\": 0.889, \"Energy\": -0.7608487619269845, \"Loudness\": -7.773, \"Speechiness\": 0.0697, \"Acousticness\": 0.218, \"Liveness\": 0.055, \"Tempo\": -0.9427797606534039, \"Duration (ms)\": 174321.0, \"Valence\": 0.716, \"Chord\": \"B\", \"pred\": \"Billie Eilish\"}, {\"Index\": 378, \"Highest Charting Position\": 10, \"Number of Times Charted\": 69, \"Week of Highest Charting\": \"2019-12-27--2020-01-03\", \"Song Name\": \"everything i wanted\", \"Streams\": \"5,448,680\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 1250353.0, \"Song ID\": \"1OC8hMoqAuWmTWJ4heJNlO\", \"Genre\": \"[]\", \"Release Date\": \"2021-08-13\", \"Weeks Charted\": \"2021-05-07--2021-05-14\\n2021-04-30--2021-05-07\\n2021-04-23--2021-04-30\\n2021-04-02--2021-04-09\\n2021-03-26--2021-04-02\\n2021-03-19--2021-03-26\\n2021-03-12--2021-03-19\\n2021-03-05--2021-03-12\\n2021-02-26--2021-03-05\\n2021-02-19--2021-02-26\\n2021-02-12--2021-02-19\\n2021-02-05--2021-02-12\\n2021-01-29--2021-02-05\\n2021-01-22--2021-01-29\\n2021-01-15--2021-01-22\\n2021-01-08--2021-01-15\\n2021-01-01--2021-01-08\\n2020-12-25--2021-01-01\\n2020-12-11--2020-12-18\\n2020-12-04--2020-12-11\\n2020-11-27--2020-12-04\\n2020-11-20--2020-11-27\\n2020-11-13--2020-11-20\\n2020-11-06--2020-11-13\\n2020-10-30--2020-11-06\\n2020-10-23--2020-10-30\\n2020-10-16--2020-10-23\\n2020-10-09--2020-10-16\\n2020-10-02--2020-10-09\\n2020-09-25--2020-10-02\\n2020-09-18--2020-09-25\\n2020-09-11--2020-09-18\\n2020-09-04--2020-09-11\\n2020-08-28--2020-09-04\\n2020-08-21--2020-08-28\\n2020-08-14--2020-08-21\\n2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\\n2020-07-17--2020-07-24\\n2020-07-10--2020-07-17\\n2020-07-03--2020-07-10\\n2020-06-26--2020-07-03\\n2020-06-19--2020-06-26\\n2020-06-12--2020-06-19\\n2020-06-05--2020-06-12\\n2020-05-29--2020-06-05\\n2020-05-22--2020-05-29\\n2020-05-15--2020-05-22\\n2020-05-08--2020-05-15\\n2020-05-01--2020-05-08\\n2020-04-24--2020-05-01\\n2020-04-17--2020-04-24\\n2020-04-10--2020-04-17\\n2020-04-03--2020-04-10\\n2020-03-27--2020-04-03\\n2020-03-20--2020-03-27\\n2020-03-13--2020-03-20\\n2020-03-06--2020-03-13\\n2020-02-28--2020-03-06\\n2020-02-21--2020-02-28\\n2020-02-14--2020-02-21\\n2020-02-07--2020-02-14\\n2020-01-31--2020-02-07\\n2020-01-24--2020-01-31\\n2020-01-17--2020-01-24\\n2020-01-10--2020-01-17\\n2020-01-03--2020-01-10\\n2019-12-27--2020-01-03\", \"Popularity\": 0.0, \"Danceability\": 0.704, \"Energy\": -1.3711958006427025, \"Loudness\": -14.454, \"Speechiness\": 0.0994, \"Acousticness\": 0.901, \"Liveness\": 0.106, \"Tempo\": -0.06356535722058387, \"Duration (ms)\": 245426.0, \"Valence\": 0.243, \"Chord\": \"F#/Gb\", \"pred\": \"Billie Eilish\"}, {\"Index\": 399, \"Highest Charting Position\": 20, \"Number of Times Charted\": 5, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"Mr. Perfectly Fine (Taylor\\u2019s Version) (From The Vault)\", \"Streams\": \"5,480,722\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"2CYVETnhM9aytqrazYYwrK\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-30--2021-05-07\\n2021-04-23--2021-04-30\\n2021-04-16--2021-04-23\\n2021-04-09--2021-04-16\\n2021-04-02--2021-04-09\", \"Popularity\": 74.0, \"Danceability\": 0.66, \"Energy\": 1.7707646073547323, \"Loudness\": -6.269, \"Speechiness\": 0.0521, \"Acousticness\": 0.162, \"Liveness\": 0.0667, \"Tempo\": 0.4753876270893529, \"Duration (ms)\": 277592.0, \"Valence\": 0.714, \"Chord\": \"B\", \"pred\": \"Taylor Swift\"}, {\"Index\": 400, \"Highest Charting Position\": 42, \"Number of Times Charted\": 60, \"Week of Highest Charting\": \"2020-01-31--2020-02-07\", \"Song Name\": \"when the party's over\", \"Streams\": \"5,467,596\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 1250353.0, \"Song ID\": \"5KWwUzVxubgSPmLIUAQhYt\", \"Genre\": \"[]\", \"Release Date\": \"2021-08-13\", \"Weeks Charted\": \"2021-04-30--2021-05-07\\n2021-03-19--2021-03-26\\n2021-03-12--2021-03-19\\n2021-03-05--2021-03-12\\n2021-02-26--2021-03-05\\n2021-01-29--2021-02-05\\n2021-01-22--2021-01-29\\n2021-01-15--2021-01-22\\n2021-01-08--2021-01-15\\n2021-01-01--2021-01-08\\n2020-12-04--2020-12-11\\n2020-11-27--2020-12-04\\n2020-11-20--2020-11-27\\n2020-11-13--2020-11-20\\n2020-11-06--2020-11-13\\n2020-10-30--2020-11-06\\n2020-10-23--2020-10-30\\n2020-10-16--2020-10-23\\n2020-10-09--2020-10-16\\n2020-10-02--2020-10-09\\n2020-09-25--2020-10-02\\n2020-09-18--2020-09-25\\n2020-09-11--2020-09-18\\n2020-09-04--2020-09-11\\n2020-08-28--2020-09-04\\n2020-08-21--2020-08-28\\n2020-08-14--2020-08-21\\n2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\\n2020-07-17--2020-07-24\\n2020-07-10--2020-07-17\\n2020-07-03--2020-07-10\\n2020-06-26--2020-07-03\\n2020-06-19--2020-06-26\\n2020-06-12--2020-06-19\\n2020-06-05--2020-06-12\\n2020-05-29--2020-06-05\\n2020-05-22--2020-05-29\\n2020-05-15--2020-05-22\\n2020-05-08--2020-05-15\\n2020-05-01--2020-05-08\\n2020-04-24--2020-05-01\\n2020-04-17--2020-04-24\\n2020-04-10--2020-04-17\\n2020-04-03--2020-04-10\\n2020-03-27--2020-04-03\\n2020-03-20--2020-03-27\\n2020-03-13--2020-03-20\\n2020-03-06--2020-03-13\\n2020-02-28--2020-03-06\\n2020-02-21--2020-02-28\\n2020-02-14--2020-02-21\\n2020-02-07--2020-02-14\\n2020-01-31--2020-02-07\\n2020-01-24--2020-01-31\\n2020-01-17--2020-01-24\\n2020-01-10--2020-01-17\\n2020-01-03--2020-01-10\\n2019-12-27--2020-01-03\", \"Popularity\": 0.0, \"Danceability\": 0.484, \"Energy\": -2.018694398236769, \"Loudness\": -14.075, \"Speechiness\": 0.0627, \"Acousticness\": 0.979, \"Liveness\": 0.0895, \"Tempo\": 0.07188310551544105, \"Duration (ms)\": 199931.0, \"Valence\": 0.194, \"Chord\": \"C#/Db\", \"pred\": \"Billie Eilish\"}, {\"Index\": 422, \"Highest Charting Position\": 8, \"Number of Times Charted\": 5, \"Week of Highest Charting\": \"2021-02-12--2021-02-19\", \"Song Name\": \"Love Story (Taylor\\u2019s Version)\", \"Streams\": \"6,202,933\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"6YvqWjhGD8mB5QXcbcUKtx\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-16--2021-04-23\\n2021-04-09--2021-04-16\\n2021-02-26--2021-03-05\\n2021-02-19--2021-02-26\\n2021-02-12--2021-02-19\", \"Popularity\": 73.0, \"Danceability\": 0.627, \"Energy\": 1.6380804685034898, \"Loudness\": -4.311, \"Speechiness\": 0.031, \"Acousticness\": 0.13, \"Liveness\": 0.0845, \"Tempo\": -0.09576184574110713, \"Duration (ms)\": 235767.0, \"Valence\": 0.415, \"Chord\": \"D\", \"pred\": \"Taylor Swift\"}, {\"Index\": 425, \"Highest Charting Position\": 3, \"Number of Times Charted\": 19, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"willow\", \"Streams\": \"5,016,865\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"0lx2cLdOt3piJbcaXIV74f\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2021-04-16--2021-04-23\\n2021-04-09--2021-04-16\\n2021-04-02--2021-04-09\\n2021-03-26--2021-04-02\\n2021-03-19--2021-03-26\\n2021-03-12--2021-03-19\\n2021-03-05--2021-03-12\\n2021-02-26--2021-03-05\\n2021-02-19--2021-02-26\\n2021-02-12--2021-02-19\\n2021-02-05--2021-02-12\\n2021-01-29--2021-02-05\\n2021-01-22--2021-01-29\\n2021-01-15--2021-01-22\\n2021-01-08--2021-01-15\\n2021-01-01--2021-01-08\\n2020-12-25--2021-01-01\\n2020-12-18--2020-12-25\\n2020-12-11--2020-12-18\", \"Popularity\": 79.0, \"Danceability\": 0.392, \"Energy\": 0.48107477772065005, \"Loudness\": -9.195, \"Speechiness\": 0.17, \"Acousticness\": 0.833, \"Liveness\": 0.145, \"Tempo\": -1.3789542485201995, \"Duration (ms)\": 214707.0, \"Valence\": 0.529, \"Chord\": \"G\", \"pred\": \"Taylor Swift\"}, {\"Index\": 429, \"Highest Charting Position\": 52, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"You Belong With Me (Taylor\\u2019s Version)\", \"Streams\": \"9,872,084\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"1qrpoAMXodY6895hGKoUpA\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 73.0, \"Danceability\": 0.632, \"Energy\": 1.537240522976545, \"Loudness\": -4.856, \"Speechiness\": 0.0346, \"Acousticness\": 0.0623, \"Liveness\": 0.0885, \"Tempo\": 0.2755461873122805, \"Duration (ms)\": 231124.0, \"Valence\": 0.474, \"Chord\": \"F#/Gb\", \"pred\": \"Taylor Swift\"}, {\"Index\": 430, \"Highest Charting Position\": 54, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"Fearless (Taylor\\u2019s Version)\", \"Streams\": \"9,676,024\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"77sMIMlNaSURUAXq5coCxE\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 69.0, \"Danceability\": 0.569, \"Energy\": 1.3674048252469537, \"Loudness\": -4.963, \"Speechiness\": 0.0282, \"Acousticness\": 0.0122, \"Liveness\": 0.333, \"Tempo\": -0.7361743526997518, \"Duration (ms)\": 241592.0, \"Valence\": 0.43, \"Chord\": \"F\", \"pred\": \"Taylor Swift\"}, {\"Index\": 432, \"Highest Charting Position\": 80, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"Fifteen (Taylor\\u2019s Version)\", \"Streams\": \"7,852,063\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"2nqio0SfWg6gh2eCtfuMa5\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 66.0, \"Danceability\": 0.559, \"Energy\": 0.8632050976122303, \"Loudness\": -4.61, \"Speechiness\": 0.0272, \"Acousticness\": 0.116, \"Liveness\": 0.32, \"Tempo\": -0.8935042524870149, \"Duration (ms)\": 294419.0, \"Valence\": 0.289, \"Chord\": \"G\", \"pred\": \"Taylor Swift\"}, {\"Index\": 433, \"Highest Charting Position\": 84, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"The Way I Loved You (Taylor\\u2019s Version)\", \"Streams\": \"7,736,262\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"22bPsP2jCgbLUvh82U0Z3M\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 72.0, \"Danceability\": 0.402, \"Energy\": 1.3196385352605062, \"Loudness\": -4.665, \"Speechiness\": 0.0484, \"Acousticness\": 0.0033, \"Liveness\": 0.108, \"Tempo\": 1.3239274348413803, \"Duration (ms)\": 243137.0, \"Valence\": 0.472, \"Chord\": \"F\", \"pred\": \"Taylor Swift\"}, {\"Index\": 434, \"Highest Charting Position\": 51, \"Number of Times Charted\": 3, \"Week of Highest Charting\": \"2021-03-26--2021-04-02\", \"Song Name\": \"You All Over Me (feat. Maren Morris) (Taylor\\u2019s Version) (From The Vault)\", \"Streams\": \"7,712,896\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"5pcjystBtalYeqaiXCcgEY\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-03-26\", \"Weeks Charted\": \"2021-04-09--2021-04-16\\n2021-04-02--2021-04-09\\n2021-03-26--2021-04-02\", \"Popularity\": 65.0, \"Danceability\": 0.589, \"Energy\": 0.06710026450477197, \"Loudness\": -7.606, \"Speechiness\": 0.0377, \"Acousticness\": 0.818, \"Liveness\": 0.101, \"Tempo\": 0.7049905268433785, \"Duration (ms)\": 220839.0, \"Valence\": 0.44, \"Chord\": \"D\", \"pred\": \"Taylor Swift\"}, {\"Index\": 435, \"Highest Charting Position\": 93, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"Hey Stephen (Taylor\\u2019s Version)\", \"Streams\": \"7,385,864\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"550erGcdD9n6PnwxrvYqZT\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 66.0, \"Danceability\": 0.788, \"Energy\": 0.4651526810585009, \"Loudness\": -6.135, \"Speechiness\": 0.0296, \"Acousticness\": 0.106, \"Liveness\": 0.0934, \"Tempo\": -0.19938583820632108, \"Duration (ms)\": 254255.0, \"Valence\": 0.797, \"Chord\": \"F#/Gb\", \"pred\": \"Taylor Swift\"}, {\"Index\": 436, \"Highest Charting Position\": 102, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"White Horse (Taylor\\u2019s Version)\", \"Streams\": \"7,039,222\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"5YL553x8sHderRBDlm3NM3\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 65.0, \"Danceability\": 0.423, \"Energy\": 0.1785549411398162, \"Loudness\": -7.377, \"Speechiness\": 0.0486, \"Acousticness\": 0.369, \"Liveness\": 0.177, \"Tempo\": 2.143382179434111, \"Duration (ms)\": 234516.0, \"Valence\": 0.366, \"Chord\": \"C\", \"pred\": \"Taylor Swift\"}, {\"Index\": 437, \"Highest Charting Position\": 114, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"Forever & Always (Taylor\\u2019s Version)\", \"Streams\": \"6,566,059\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"1msEuwSBneBKpVCZQcFTsU\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 66.0, \"Danceability\": 0.598, \"Energy\": 1.7919940695709313, \"Loudness\": -4.433, \"Speechiness\": 0.0447, \"Acousticness\": 0.0231, \"Liveness\": 0.143, \"Tempo\": 0.20780504602382696, \"Duration (ms)\": 225328.0, \"Valence\": 0.673, \"Chord\": \"A#/Bb\", \"pred\": \"Taylor Swift\"}, {\"Index\": 438, \"Highest Charting Position\": 119, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"Breathe (feat. Colbie Caillat) (Taylor\\u2019s Version)\", \"Streams\": \"6,508,683\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"7HC7R2D8WjXVcUHJyEGjRs\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 64.0, \"Danceability\": 0.506, \"Energy\": 0.7570577865312358, \"Loudness\": -6.066, \"Speechiness\": 0.0287, \"Acousticness\": 0.156, \"Liveness\": 0.228, \"Tempo\": 0.8843709628862942, \"Duration (ms)\": 263377.0, \"Valence\": 0.321, \"Chord\": \"C#/Db\", \"pred\": \"Taylor Swift\"}, {\"Index\": 440, \"Highest Charting Position\": 146, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"That\\u2019s When (feat. Keith Urban) (Taylor\\u2019s Version) (From The Vault)\", \"Streams\": \"5,889,939\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"7eResoqEJJAVTkQYSqvO3P\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 67.0, \"Danceability\": 0.588, \"Energy\": 0.6615252065583407, \"Loudness\": -7.062, \"Speechiness\": 0.0365, \"Acousticness\": 0.225, \"Liveness\": 0.092, \"Tempo\": -1.0715657147354973, \"Duration (ms)\": 189496.0, \"Valence\": 0.508, \"Chord\": \"F\", \"pred\": \"Taylor Swift\"}, {\"Index\": 441, \"Highest Charting Position\": 147, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"Tell Me Why (Taylor\\u2019s Version)\", \"Streams\": \"5,885,151\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"0k0vFacOHNuArLWMiH60p7\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 63.0, \"Danceability\": 0.578, \"Energy\": 2.259042238327307, \"Loudness\": -3.669, \"Speechiness\": 0.0628, \"Acousticness\": 0.0222, \"Liveness\": 0.333, \"Tempo\": -0.7393872375836276, \"Duration (ms)\": 200576.0, \"Valence\": 0.541, \"Chord\": \"G\", \"pred\": \"Taylor Swift\"}, {\"Index\": 442, \"Highest Charting Position\": 148, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"You\\u2019re Not Sorry (Taylor\\u2019s Version)\", \"Streams\": \"5,860,405\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"6iiAfo4wTA2CVC3Uwx9uh8\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 64.0, \"Danceability\": 0.506, \"Energy\": -0.20888274430581352, \"Loudness\": -4.99, \"Speechiness\": 0.0285, \"Acousticness\": 0.0538, \"Liveness\": 0.123, \"Tempo\": 0.4054143763026267, \"Duration (ms)\": 261843.0, \"Valence\": 0.241, \"Chord\": \"F#/Gb\", \"pred\": \"Taylor Swift\"}, {\"Index\": 445, \"Highest Charting Position\": 192, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"Don\\u2019t You (Taylor\\u2019s Version) (From The Vault)\", \"Streams\": \"5,197,564\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"4uuEGH5SVuzkkSFjo2DEiY\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 65.0, \"Danceability\": 0.563, \"Energy\": -0.054969143238371744, \"Loudness\": -11.548, \"Speechiness\": 0.0503, \"Acousticness\": 0.514, \"Liveness\": 0.109, \"Tempo\": -0.6747575216564006, \"Duration (ms)\": 208609.0, \"Valence\": 0.405, \"Chord\": \"D#/Eb\", \"pred\": \"Taylor Swift\"}, {\"Index\": 446, \"Highest Charting Position\": 195, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"We Were Happy (Taylor\\u2019s Version) (From The Vault)\", \"Streams\": \"5,189,423\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"34V9RiEPe8MNdU32qJsJa1\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 64.0, \"Danceability\": 0.609, \"Energy\": -0.5857056986433438, \"Loudness\": -8.819, \"Speechiness\": 0.0263, \"Acousticness\": 0.849, \"Liveness\": 0.0779, \"Tempo\": -0.5370093097403378, \"Duration (ms)\": 244237.0, \"Valence\": 0.13, \"Chord\": \"C\", \"pred\": \"Taylor Swift\"}, {\"Index\": 556, \"Highest Charting Position\": 19, \"Number of Times Charted\": 3, \"Week of Highest Charting\": \"2021-01-22--2021-01-29\", \"Song Name\": \"Lo Vas A Olvidar (with ROSAL\\u00cdA)\", \"Streams\": \"5,963,380\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 47061119.0, \"Song ID\": \"0psS4i5YooJrXfDnGvWRLi\", \"Genre\": \"['electropop', 'pop']\", \"Release Date\": \"2021-01-21\", \"Weeks Charted\": \"2021-02-05--2021-02-12\\n2021-01-29--2021-02-05\\n2021-01-22--2021-01-29\", \"Popularity\": 68.0, \"Danceability\": 0.343, \"Energy\": -1.2756632206698078, \"Loudness\": -14.66, \"Speechiness\": 0.0777, \"Acousticness\": 0.721, \"Liveness\": 0.0668, \"Tempo\": 0.4487375924736252, \"Duration (ms)\": 203464.0, \"Valence\": 0.032, \"Chord\": \"E\", \"pred\": \"Billie Eilish\"}, {\"Index\": 586, \"Highest Charting Position\": 10, \"Number of Times Charted\": 7, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"champagne problems\", \"Streams\": \"4,848,954\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"0sY6ZUTh4yoctD8VIXz339\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2021-01-22--2021-01-29\\n2021-01-15--2021-01-22\\n2021-01-08--2021-01-15\\n2021-01-01--2021-01-08\\n2020-12-25--2021-01-01\\n2020-12-18--2020-12-25\\n2020-12-11--2020-12-18\", \"Popularity\": 75.0, \"Danceability\": 0.462, \"Energy\": -1.291585317331957, \"Loudness\": -12.077, \"Speechiness\": 0.0377, \"Acousticness\": 0.92, \"Liveness\": 0.113, \"Tempo\": 1.671832138003799, \"Duration (ms)\": 244000.0, \"Valence\": 0.32, \"Chord\": \"C\", \"pred\": \"Taylor Swift\"}, {\"Index\": 609, \"Highest Charting Position\": 15, \"Number of Times Charted\": 4, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"no body, no crime (feat. HAIM)\", \"Streams\": \"4,986,214\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"3RaT22zZsxVYxxKR7TAaYF\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2021-01-01--2021-01-08\\n2020-12-25--2021-01-01\\n2020-12-18--2020-12-25\\n2020-12-11--2020-12-18\", \"Popularity\": 68.0, \"Danceability\": 0.546, \"Energy\": 0.6880620343285894, \"Loudness\": -7.589, \"Speechiness\": 0.0264, \"Acousticness\": 0.418, \"Liveness\": 0.103, \"Tempo\": -1.4498744548516462, \"Duration (ms)\": 215627.0, \"Valence\": 0.535, \"Chord\": \"G\", \"pred\": \"Taylor Swift\"}, {\"Index\": 668, \"Highest Charting Position\": 22, \"Number of Times Charted\": 2, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"\\u2018tis the damn season\", \"Streams\": \"8,115,520\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"7dW84mWkdWE5a6lFWxJCBG\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2020-12-18--2020-12-25\\n2020-12-11--2020-12-18\", \"Popularity\": 66.0, \"Danceability\": 0.575, \"Energy\": -0.2619563998463108, \"Loudness\": -8.193, \"Speechiness\": 0.0312, \"Acousticness\": 0.735, \"Liveness\": 0.105, \"Tempo\": 0.8127067200554235, \"Duration (ms)\": 229840.0, \"Valence\": 0.348, \"Chord\": \"F\", \"pred\": \"Billie Eilish\"}, {\"Index\": 672, \"Highest Charting Position\": 19, \"Number of Times Charted\": 2, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"gold rush\", \"Streams\": \"7,901,968\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"5BK0uqwY9DNfZ630STAEaq\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2020-12-18--2020-12-25\\n2020-12-11--2020-12-18\", \"Popularity\": 70.0, \"Danceability\": 0.512, \"Energy\": -0.11335016433291845, \"Loudness\": -10.491, \"Speechiness\": 0.0408, \"Acousticness\": 0.83, \"Liveness\": 0.121, \"Tempo\": -0.3326360112849574, \"Duration (ms)\": 185320.0, \"Valence\": 0.353, \"Chord\": \"A\", \"pred\": \"Taylor Swift\"}, {\"Index\": 689, \"Highest Charting Position\": 181, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2020-12-18--2020-12-25\", \"Song Name\": \"Christmas Tree Farm\", \"Streams\": \"6,657,404\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"2mvabkN1i2gLnGAPUVdwek\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2019-12-06\", \"Weeks Charted\": \"2020-12-18--2020-12-25\", \"Popularity\": 52.0, \"Danceability\": 0.598, \"Energy\": 1.043655526449921, \"Loudness\": -4.505, \"Speechiness\": 0.0331, \"Acousticness\": 0.06, \"Liveness\": 0.324, \"Tempo\": 0.40977713577652186, \"Duration (ms)\": 228027.0, \"Valence\": 0.437, \"Chord\": \"G\", \"pred\": \"Taylor Swift\"}, {\"Index\": 692, \"Highest Charting Position\": 24, \"Number of Times Charted\": 2, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"tolerate it\", \"Streams\": \"6,635,109\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"0PurA4JVJ8YQgSVopY8fn6\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2020-12-18--2020-12-25\\n2020-12-11--2020-12-18\", \"Popularity\": 67.0, \"Danceability\": 0.316, \"Energy\": -0.6493940852919405, \"Loudness\": -10.381, \"Speechiness\": 0.0488, \"Acousticness\": 0.878, \"Liveness\": 0.0797, \"Tempo\": -1.5872844683588796, \"Duration (ms)\": 245440.0, \"Valence\": 0.221, \"Chord\": \"A\", \"pred\": \"Taylor Swift\"}, {\"Index\": 695, \"Highest Charting Position\": 28, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"happiness\", \"Streams\": \"16,213,589\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"73YUReisjb3A9ActdLLjJQ\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2020-12-11--2020-12-18\", \"Popularity\": 65.0, \"Danceability\": 0.559, \"Energy\": -0.7926929552512828, \"Loudness\": -10.733, \"Speechiness\": 0.0376, \"Acousticness\": 0.87, \"Liveness\": 0.114, \"Tempo\": 0.006543172929673074, \"Duration (ms)\": 315147.0, \"Valence\": 0.211, \"Chord\": \"B\", \"pred\": \"Taylor Swift\"}, {\"Index\": 696, \"Highest Charting Position\": 34, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"ivy\", \"Streams\": \"14,519,547\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"19CSr8rwW05VJL2F91KFNK\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2020-12-11--2020-12-18\", \"Popularity\": 66.0, \"Danceability\": 0.515, \"Energy\": 0.32716117665320854, \"Loudness\": -9.277, \"Speechiness\": 0.0353, \"Acousticness\": 0.855, \"Liveness\": 0.0921, \"Tempo\": -1.1170534007230015, \"Duration (ms)\": 260440.0, \"Valence\": 0.535, \"Chord\": \"D\", \"pred\": \"Taylor Swift\"}, {\"Index\": 697, \"Highest Charting Position\": 38, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"dorothea\", \"Streams\": \"14,392,788\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"670fUmXf4KQekzbEgaXyPA\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2020-12-11--2020-12-18\", \"Popularity\": 64.0, \"Danceability\": 0.605, \"Energy\": 0.02464134007237415, \"Loudness\": -8.322, \"Speechiness\": 0.0264, \"Acousticness\": 0.696, \"Liveness\": 0.129, \"Tempo\": -0.06491815085590019, \"Duration (ms)\": 225880.0, \"Valence\": 0.354, \"Chord\": \"E\", \"pred\": \"Taylor Swift\"}, {\"Index\": 698, \"Highest Charting Position\": 39, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"coney island (feat. The National)\", \"Streams\": \"14,385,703\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"3k7ne7VmH43ZPWxPdvPUgR\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2020-12-11--2020-12-18\", \"Popularity\": 64.0, \"Danceability\": 0.537, \"Energy\": 0.28470225222081075, \"Loudness\": -11.266, \"Speechiness\": 0.0617, \"Acousticness\": 0.819, \"Liveness\": 0.142, \"Tempo\": -0.4731574501534179, \"Duration (ms)\": 275320.0, \"Valence\": 0.292, \"Chord\": \"G#/Ab\", \"pred\": \"Taylor Swift\"}, {\"Index\": 699, \"Highest Charting Position\": 43, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"evermore (feat. Bon Iver)\", \"Streams\": \"13,810,722\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"3O5osWf1rSoKMwe6E9ZaXP\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2020-12-11--2020-12-18\", \"Popularity\": 66.0, \"Danceability\": 0.39, \"Energy\": -1.132364350710465, \"Loudness\": -10.673, \"Speechiness\": 0.0308, \"Acousticness\": 0.937, \"Liveness\": 0.111, \"Tempo\": 0.11131703998490591, \"Duration (ms)\": 304107.0, \"Valence\": 0.32, \"Chord\": \"C#/Db\", \"pred\": \"Taylor Swift\"}, {\"Index\": 700, \"Highest Charting Position\": 45, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"long story short\", \"Streams\": \"13,583,538\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"2o2sgVJIgFXk8GQjWTgI6U\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2020-12-11--2020-12-18\", \"Popularity\": 66.0, \"Danceability\": 0.546, \"Energy\": 1.3090238041524067, \"Loudness\": -7.704, \"Speechiness\": 0.0417, \"Acousticness\": 0.66, \"Liveness\": 0.0972, \"Tempo\": 1.2178345939917148, \"Duration (ms)\": 215920.0, \"Valence\": 0.573, \"Chord\": \"C\", \"pred\": \"Taylor Swift\"}, {\"Index\": 701, \"Highest Charting Position\": 53, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"cowboy like me\", \"Streams\": \"12,782,098\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"1XjHRolIXL2M1EEOUsGGR4\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2020-12-11--2020-12-18\", \"Popularity\": 64.0, \"Danceability\": 0.604, \"Energy\": 0.1785549411398162, \"Loudness\": -9.014, \"Speechiness\": 0.0347, \"Acousticness\": 0.768, \"Liveness\": 0.123, \"Tempo\": 0.205674396048204, \"Duration (ms)\": 275040.0, \"Valence\": 0.511, \"Chord\": \"C\", \"pred\": \"Taylor Swift\"}, {\"Index\": 702, \"Highest Charting Position\": 57, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"marjorie\", \"Streams\": \"12,234,761\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"12ntTeqEeTg7GAVpe8Mhpl\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2020-12-11--2020-12-18\", \"Popularity\": 64.0, \"Danceability\": 0.535, \"Energy\": 0.4120790255180042, \"Loudness\": -11.609, \"Speechiness\": 0.0484, \"Acousticness\": 0.876, \"Liveness\": 0.115, \"Tempo\": -0.871961013844606, \"Duration (ms)\": 257773.0, \"Valence\": 0.287, \"Chord\": \"F\", \"pred\": \"Taylor Swift\"}, {\"Index\": 703, \"Highest Charting Position\": 70, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"closure\", \"Streams\": \"11,245,393\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"35rdVq36LMHQX0Suw9a6tK\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2020-12-11--2020-12-18\", \"Popularity\": 62.0, \"Danceability\": 0.689, \"Energy\": 1.1710322997471139, \"Loudness\": -10.813, \"Speechiness\": 0.245, \"Acousticness\": 0.835, \"Liveness\": 0.134, \"Tempo\": 1.0145435304445862, \"Duration (ms)\": 180653.0, \"Valence\": 0.92, \"Chord\": \"A\", \"pred\": \"Taylor Swift\"}, {\"Index\": 714, \"Highest Charting Position\": 1, \"Number of Times Charted\": 12, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"cardigan\", \"Streams\": \"5,845,457\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"4R2kfaDFhslZEMJqAFNpdd\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-12-11--2020-12-18\\n2020-10-02--2020-10-09\\n2020-09-25--2020-10-02\\n2020-09-18--2020-09-25\\n2020-09-11--2020-09-18\\n2020-09-04--2020-09-11\\n2020-08-28--2020-09-04\\n2020-08-21--2020-08-28\\n2020-08-14--2020-08-21\\n2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 79.0, \"Danceability\": 0.613, \"Energy\": 0.5182263365989981, \"Loudness\": -8.588, \"Speechiness\": 0.0424, \"Acousticness\": 0.537, \"Liveness\": 0.25, \"Tempo\": 0.2755461873122805, \"Duration (ms)\": 239560.0, \"Valence\": 0.551, \"Chord\": \"C\", \"pred\": \"Taylor Swift\"}, {\"Index\": 788, \"Highest Charting Position\": 5, \"Number of Times Charted\": 12, \"Week of Highest Charting\": \"2020-07-31--2020-08-07\", \"Song Name\": \"my future\", \"Streams\": \"4,721,082\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 47061119.0, \"Song ID\": \"3YUMWmx8EJq0DurfuIwoGh\", \"Genre\": \"['electropop', 'pop']\", \"Release Date\": \"2021-07-30\", \"Weeks Charted\": \"2020-11-13--2020-11-20\\n2020-10-09--2020-10-16\\n2020-10-02--2020-10-09\\n2020-09-25--2020-10-02\\n2020-09-18--2020-09-25\\n2020-09-11--2020-09-18\\n2020-09-04--2020-09-11\\n2020-08-28--2020-09-04\\n2020-08-21--2020-08-28\\n2020-08-14--2020-08-21\\n2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\", \"Popularity\": 80.0, \"Danceability\": 0.456, \"Energy\": -1.0527538673997194, \"Loudness\": -10.755, \"Speechiness\": 0.0979, \"Acousticness\": 0.814, \"Liveness\": 0.307, \"Tempo\": -0.5747860720065402, \"Duration (ms)\": 210005.0, \"Valence\": 0.0809, \"Chord\": \"G#/Ab\", \"pred\": \"Taylor Swift\"}, {\"Index\": 890, \"Highest Charting Position\": 4, \"Number of Times Charted\": 9, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"exile (feat. Bon Iver)\", \"Streams\": \"4,924,533\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"4pvb0WLRcMtbPGmtejJJ6y\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-09-18--2020-09-25\\n2020-09-11--2020-09-18\\n2020-09-04--2020-09-11\\n2020-08-28--2020-09-04\\n2020-08-21--2020-08-28\\n2020-08-14--2020-08-21\\n2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 77.0, \"Danceability\": 0.298, \"Energy\": -0.5485541397649957, \"Loudness\": -8.426, \"Speechiness\": 0.0287, \"Acousticness\": 0.778, \"Liveness\": 0.11, \"Tempo\": -1.5653015717849927, \"Duration (ms)\": 285634.0, \"Valence\": 0.152, \"Chord\": \"F#/Gb\", \"pred\": \"Taylor Swift\"}, {\"Index\": 922, \"Highest Charting Position\": 5, \"Number of Times Charted\": 7, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"the 1\", \"Streams\": \"4,587,573\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"0Jlcvv8IykzHaSmj49uNW8\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-09-04--2020-09-11\\n2020-08-28--2020-09-04\\n2020-08-21--2020-08-28\\n2020-08-14--2020-08-21\\n2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 75.0, \"Danceability\": 0.777, \"Energy\": -0.6706235475081395, \"Loudness\": -6.942, \"Speechiness\": 0.0522, \"Acousticness\": 0.757, \"Liveness\": 0.108, \"Tempo\": 0.6086716200088723, \"Duration (ms)\": 210252.0, \"Valence\": 0.172, \"Chord\": \"C\", \"pred\": \"Taylor Swift\"}, {\"Index\": 943, \"Highest Charting Position\": 11, \"Number of Times Charted\": 5, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"august\", \"Streams\": \"4,586,236\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"3hUxzQpSfdDqwM3ZTFQY0K\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-08-21--2020-08-28\\n2020-08-14--2020-08-21\\n2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 76.0, \"Danceability\": 0.532, \"Energy\": 0.7411356898690866, \"Loudness\": -9.208, \"Speechiness\": 0.0331, \"Acousticness\": 0.538, \"Liveness\": 0.0925, \"Tempo\": -1.0804941527285836, \"Duration (ms)\": 261923.0, \"Valence\": 0.403, \"Chord\": \"F\", \"pred\": \"Taylor Swift\"}, {\"Index\": 949, \"Highest Charting Position\": 8, \"Number of Times Charted\": 5, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"the last great american dynasty\", \"Streams\": \"4,389,670\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"2Eeur20xVqfUoM3Q7EFPFt\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-08-21--2020-08-28\\n2020-08-14--2020-08-21\\n2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 71.0, \"Danceability\": 0.686, \"Energy\": 0.948122946477026, \"Loudness\": -8.505, \"Speechiness\": 0.0413, \"Acousticness\": 0.467, \"Liveness\": 0.109, \"Tempo\": 0.8805493208665263, \"Duration (ms)\": 230999.0, \"Valence\": 0.706, \"Chord\": \"G\", \"pred\": \"Taylor Swift\"}, {\"Index\": 951, \"Highest Charting Position\": 10, \"Number of Times Charted\": 4, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"my tears ricochet\", \"Streams\": \"5,111,416\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"1MgV7FIyNxIG7WzMRJV5HC\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-08-14--2020-08-21\\n2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 71.0, \"Danceability\": 0.456, \"Energy\": -1.169515909588813, \"Loudness\": -10.63, \"Speechiness\": 0.0332, \"Acousticness\": 0.806, \"Liveness\": 0.0749, \"Tempo\": 0.2696953548395392, \"Duration (ms)\": 255894.0, \"Valence\": 0.111, \"Chord\": \"C\", \"pred\": \"Taylor Swift\"}, {\"Index\": 961, \"Highest Charting Position\": 17, \"Number of Times Charted\": 4, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"invisible string\", \"Streams\": \"4,424,118\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"6VsvKPJ4xjVNKpI8VVZ3SV\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-08-14--2020-08-21\\n2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 71.0, \"Danceability\": 0.653, \"Energy\": -0.1664238198734157, \"Loudness\": -11.143, \"Speechiness\": 0.055, \"Acousticness\": 0.838, \"Liveness\": 0.108, \"Tempo\": -1.300458397830982, \"Duration (ms)\": 252881.0, \"Valence\": 0.45, \"Chord\": \"E\", \"pred\": \"Taylor Swift\"}, {\"Index\": 966, \"Highest Charting Position\": 13, \"Number of Times Charted\": 3, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"mirrorball\", \"Streams\": \"5,564,072\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"0ZNU020wNYvgW84iljPkPP\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 70.0, \"Danceability\": 0.553, \"Energy\": -0.373411076481355, \"Loudness\": -10.037, \"Speechiness\": 0.0334, \"Acousticness\": 0.687, \"Liveness\": 0.0594, \"Tempo\": -0.39834796212043716, \"Duration (ms)\": 208978.0, \"Valence\": 0.379, \"Chord\": \"D\", \"pred\": \"Taylor Swift\"}, {\"Index\": 967, \"Highest Charting Position\": 15, \"Number of Times Charted\": 3, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"seven\", \"Streams\": \"5,459,423\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"6KJqZcs9XDgVck7Lg9QOTC\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 69.0, \"Danceability\": 0.596, \"Energy\": 0.02464134007237415, \"Loudness\": -10.769, \"Speechiness\": 0.0274, \"Acousticness\": 0.9, \"Liveness\": 0.091, \"Tempo\": -0.9117669665637821, \"Duration (ms)\": 208907.0, \"Valence\": 0.415, \"Chord\": \"E\", \"pred\": \"Taylor Swift\"}, {\"Index\": 968, \"Highest Charting Position\": 18, \"Number of Times Charted\": 3, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"this is me trying\", \"Streams\": \"5,128,412\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"7kt9e9LFSpN1zQtYEl19o1\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 70.0, \"Danceability\": 0.515, \"Energy\": -0.039047046576222565, \"Loudness\": -9.843, \"Speechiness\": 0.0328, \"Acousticness\": 0.314, \"Liveness\": 0.171, \"Tempo\": 0.47349371599990997, \"Duration (ms)\": 195097.0, \"Valence\": 0.412, \"Chord\": \"A\", \"pred\": \"Taylor Swift\"}, {\"Index\": 969, \"Highest Charting Position\": 24, \"Number of Times Charted\": 3, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"betty\", \"Streams\": \"5,112,180\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"5kI4eCXXzyuIUXjQra0Cxi\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 71.0, \"Danceability\": 0.593, \"Energy\": -0.5644762364271448, \"Loudness\": -8.761, \"Speechiness\": 0.0253, \"Acousticness\": 0.6, \"Liveness\": 0.0976, \"Tempo\": -0.877507467749402, \"Duration (ms)\": 294521.0, \"Valence\": 0.502, \"Chord\": \"C\", \"pred\": \"Taylor Swift\"}, {\"Index\": 971, \"Highest Charting Position\": 20, \"Number of Times Charted\": 3, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"illicit affairs\", \"Streams\": \"5,053,658\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"2NmsngXHeC1GQ9wWrzhOMf\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 70.0, \"Danceability\": 0.559, \"Energy\": -0.9200697285484762, \"Loudness\": -10.445, \"Speechiness\": 0.0338, \"Acousticness\": 0.881, \"Liveness\": 0.106, \"Tempo\": -0.06901035160273125, \"Duration (ms)\": 190898.0, \"Valence\": 0.46, \"Chord\": \"A#/Bb\", \"pred\": \"Taylor Swift\"}, {\"Index\": 977, \"Highest Charting Position\": 29, \"Number of Times Charted\": 2, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"mad woman\", \"Streams\": \"6,796,343\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"2QDyYdZyhlP2fp79KZX8Bi\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 67.0, \"Danceability\": 0.592, \"Energy\": 1.1444954719768652, \"Loudness\": -8.995, \"Speechiness\": 0.0471, \"Acousticness\": 0.655, \"Liveness\": 0.114, \"Tempo\": 0.6774273565238129, \"Duration (ms)\": 237258.0, \"Valence\": 0.506, \"Chord\": \"D#/Eb\", \"pred\": \"Taylor Swift\"}, {\"Index\": 978, \"Highest Charting Position\": 33, \"Number of Times Charted\": 2, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"epiphany\", \"Streams\": \"6,085,522\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"08fa9LFcFBTcilB3iq2e2A\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 66.0, \"Danceability\": 0.354, \"Energy\": -1.1482864473726142, \"Loudness\": -13.69, \"Speechiness\": 0.0281, \"Acousticness\": 0.731, \"Liveness\": 0.0858, \"Tempo\": -0.9356775940679946, \"Duration (ms)\": 289749.0, \"Valence\": 0.113, \"Chord\": \"C#/Db\", \"pred\": \"Taylor Swift\"}, {\"Index\": 979, \"Highest Charting Position\": 41, \"Number of Times Charted\": 2, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"peace\", \"Streams\": \"5,943,851\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"7MbT4I8qGntX4fMdqMQgke\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 67.0, \"Danceability\": 0.647, \"Energy\": -1.1217496196023655, \"Loudness\": -12.906, \"Speechiness\": 0.0916, \"Acousticness\": 0.918, \"Liveness\": 0.0918, \"Tempo\": 0.9523150232200461, \"Duration (ms)\": 234000.0, \"Valence\": 0.339, \"Chord\": \"F\", \"pred\": \"Taylor Swift\"}, {\"Index\": 984, \"Highest Charting Position\": 47, \"Number of Times Charted\": 2, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"hoax\", \"Streams\": \"5,375,944\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"6MWoRt97mnSTXZhu3ggi9C\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 66.0, \"Danceability\": 0.662, \"Energy\": -1.6047198850208904, \"Loudness\": -15.065, \"Speechiness\": 0.0415, \"Acousticness\": 0.966, \"Liveness\": 0.133, \"Tempo\": -0.10370950834858923, \"Duration (ms)\": 220043.0, \"Valence\": 0.429, \"Chord\": \"G#/Ab\", \"pred\": \"Taylor Swift\"}, {\"Index\": 992, \"Highest Charting Position\": 101, \"Number of Times Charted\": 22, \"Week of Highest Charting\": \"2020-02-14--2020-02-21\", \"Song Name\": \"ocean eyes\", \"Streams\": \"4,476,954\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 1251372.0, \"Song ID\": \"6pFTDHGJtKOxrQ85xRZ8Ue\", \"Genre\": \"[]\", \"Release Date\": \"2021-08-13\", \"Weeks Charted\": \"2020-07-31--2020-08-07\\n2020-05-15--2020-05-22\\n2020-05-08--2020-05-15\\n2020-05-01--2020-05-08\\n2020-04-24--2020-05-01\\n2020-04-17--2020-04-24\\n2020-04-10--2020-04-17\\n2020-04-03--2020-04-10\\n2020-03-27--2020-04-03\\n2020-03-20--2020-03-27\\n2020-03-13--2020-03-20\\n2020-03-06--2020-03-13\\n2020-02-28--2020-03-06\\n2020-02-21--2020-02-28\\n2020-02-14--2020-02-21\\n2020-02-07--2020-02-14\\n2020-01-31--2020-02-07\\n2020-01-24--2020-01-31\\n2020-01-17--2020-01-24\\n2020-01-10--2020-01-17\\n2020-01-03--2020-01-10\\n2019-12-27--2020-01-03\", \"Popularity\": 1.0, \"Danceability\": 0.358, \"Energy\": -0.5910130641973935, \"Loudness\": -7.664, \"Speechiness\": 0.0464, \"Acousticness\": 0.81, \"Liveness\": 0.0877, \"Tempo\": 0.7760798323792399, \"Duration (ms)\": 200387.0, \"Valence\": 0.16, \"Chord\": \"E\", \"pred\": \"Billie Eilish\"}, {\"Index\": 1196, \"Highest Charting Position\": 4, \"Number of Times Charted\": 13, \"Week of Highest Charting\": \"2020-02-14--2020-02-21\", \"Song Name\": \"No Time To Die\", \"Streams\": \"4,293,009\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 47061119.0, \"Song ID\": \"73SpzrcaHk0RQPFP73vqVR\", \"Genre\": \"['electropop', 'pop']\", \"Release Date\": \"2020-02-13\", \"Weeks Charted\": \"2020-05-08--2020-05-15\\n2020-05-01--2020-05-08\\n2020-04-24--2020-05-01\\n2020-04-17--2020-04-24\\n2020-04-10--2020-04-17\\n2020-04-03--2020-04-10\\n2020-03-27--2020-04-03\\n2020-03-20--2020-03-27\\n2020-03-13--2020-03-20\\n2020-03-06--2020-03-13\\n2020-02-28--2020-03-06\\n2020-02-21--2020-02-28\\n2020-02-14--2020-02-21\", \"Popularity\": 75.0, \"Danceability\": 0.38, \"Energy\": -1.4030399939670009, \"Loudness\": -13.273, \"Speechiness\": 0.0358, \"Acousticness\": 0.917, \"Liveness\": 0.0827, \"Tempo\": -1.6351395432081866, \"Duration (ms)\": 242265.0, \"Valence\": 0.0517, \"Chord\": \"E\", \"pred\": \"Billie Eilish\"}, {\"Index\": 1375, \"Highest Charting Position\": 140, \"Number of Times Charted\": 9, \"Week of Highest Charting\": \"2020-01-31--2020-02-07\", \"Song Name\": \"You Need To Calm Down\", \"Streams\": \"5,115,153\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"6RRNNciQGZEXnqk8SQ9yv5\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2019-08-23\", \"Weeks Charted\": \"2020-02-28--2020-03-06\\n2020-02-21--2020-02-28\\n2020-02-14--2020-02-21\\n2020-02-07--2020-02-14\\n2020-01-31--2020-02-07\\n2020-01-24--2020-01-31\\n2020-01-10--2020-01-17\\n2020-01-03--2020-01-10\\n2019-12-27--2020-01-03\", \"Popularity\": 78.0, \"Danceability\": 0.771, \"Energy\": 0.9958892364634735, \"Loudness\": -5.617, \"Speechiness\": 0.0553, \"Acousticness\": 0.00929, \"Liveness\": 0.0637, \"Tempo\": -1.2465833913045186, \"Duration (ms)\": 171360.0, \"Valence\": 0.714, \"Chord\": \"D\", \"pred\": \"Taylor Swift\"}, {\"Index\": 1380, \"Highest Charting Position\": 91, \"Number of Times Charted\": 10, \"Week of Highest Charting\": \"2020-01-24--2020-01-31\", \"Song Name\": \"bury a friend\", \"Streams\": \"5,020,303\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 1251372.0, \"Song ID\": \"7p6ZK1vOxKELFwlDfwkJCp\", \"Genre\": \"[]\", \"Release Date\": \"2021-08-13\", \"Weeks Charted\": \"2020-02-28--2020-03-06\\n2020-02-21--2020-02-28\\n2020-02-14--2020-02-21\\n2020-02-07--2020-02-14\\n2020-01-31--2020-02-07\\n2020-01-24--2020-01-31\\n2020-01-17--2020-01-24\\n2020-01-10--2020-01-17\\n2020-01-03--2020-01-10\\n2019-12-27--2020-01-03\", \"Popularity\": 1.0, \"Danceability\": 0.887, \"Energy\": -0.5060952153325979, \"Loudness\": -14.505, \"Speechiness\": 0.349, \"Acousticness\": 0.739, \"Liveness\": 0.106, \"Tempo\": -0.06258458183497982, \"Duration (ms)\": 193143.0, \"Valence\": 0.205, \"Chord\": \"G#/Ab\", \"pred\": \"Billie Eilish\"}, {\"Index\": 1394, \"Highest Charting Position\": 118, \"Number of Times Charted\": 8, \"Week of Highest Charting\": \"2020-01-24--2020-01-31\", \"Song Name\": \"all the good girls go to hell\", \"Streams\": \"5,074,485\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 47061119.0, \"Song ID\": \"6IRdLKIyS4p7XNiP8r6rsx\", \"Genre\": \"['electropop', 'pop']\", \"Release Date\": \"2019-03-29\", \"Weeks Charted\": \"2020-02-21--2020-02-28\\n2020-02-14--2020-02-21\\n2020-02-07--2020-02-14\\n2020-01-31--2020-02-07\\n2020-01-24--2020-01-31\\n2020-01-10--2020-01-17\\n2020-01-03--2020-01-10\\n2019-12-27--2020-01-03\", \"Popularity\": 75.0, \"Danceability\": 0.726, \"Energy\": -0.20888274430581352, \"Loudness\": -8.922, \"Speechiness\": 0.372, \"Acousticness\": 0.283, \"Liveness\": 0.177, \"Tempo\": 2.1360094541216386, \"Duration (ms)\": 168840.0, \"Valence\": 0.569, \"Chord\": \"G#/Ab\", \"pred\": \"Billie Eilish\"}, {\"Index\": 1401, \"Highest Charting Position\": 148, \"Number of Times Charted\": 6, \"Week of Highest Charting\": \"2020-01-24--2020-01-31\", \"Song Name\": \"i love you\", \"Streams\": \"4,863,910\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 1251372.0, \"Song ID\": \"0np7TYPZSum9xTxe9QTr21\", \"Genre\": \"[]\", \"Release Date\": \"2021-08-13\", \"Weeks Charted\": \"2020-02-21--2020-02-28\\n2020-02-14--2020-02-21\\n2020-02-07--2020-02-14\\n2020-01-31--2020-02-07\\n2020-01-24--2020-01-31\\n2020-01-03--2020-01-10\", \"Popularity\": 2.0, \"Danceability\": 0.42, \"Energy\": -1.8700881627233765, \"Loudness\": -18.435, \"Speechiness\": 0.0382, \"Acousticness\": 0.953, \"Liveness\": 0.109, \"Tempo\": 0.5254071717551654, \"Duration (ms)\": 291796.0, \"Valence\": 0.12, \"Chord\": \"C\", \"pred\": \"Billie Eilish\"}, {\"Index\": 1425, \"Highest Charting Position\": 141, \"Number of Times Charted\": 6, \"Week of Highest Charting\": \"2020-01-24--2020-01-31\", \"Song Name\": \"wish you were gay\", \"Streams\": \"5,187,997\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 47061119.0, \"Song ID\": \"3Fj47GNK2kUF0uaEDgXLaD\", \"Genre\": \"['electropop', 'pop']\", \"Release Date\": \"2019-03-29\", \"Weeks Charted\": \"2020-02-14--2020-02-21\\n2020-02-07--2020-02-14\\n2020-01-31--2020-02-07\\n2020-01-24--2020-01-31\\n2020-01-03--2020-01-10\\n2019-12-27--2020-01-03\", \"Popularity\": 76.0, \"Danceability\": 0.853, \"Energy\": -0.7024677408324378, \"Loudness\": -10.198, \"Speechiness\": 0.241, \"Acousticness\": 0.39, \"Liveness\": 0.752, \"Tempo\": -0.13046100248696513, \"Duration (ms)\": 221543.0, \"Valence\": 0.282, \"Chord\": \"G\", \"pred\": \"Billie Eilish\"}, {\"Index\": 1426, \"Highest Charting Position\": 61, \"Number of Times Charted\": 3, \"Week of Highest Charting\": \"2020-01-31--2020-02-07\", \"Song Name\": \"Only The Young - Featured in Miss Americana\", \"Streams\": \"5,111,068\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"2slqvGLwzZZYsT4K4Y1GBC\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-01-31\", \"Weeks Charted\": \"2020-02-14--2020-02-21\\n2020-02-07--2020-02-14\\n2020-01-31--2020-02-07\", \"Popularity\": 63.0, \"Danceability\": 0.56, \"Energy\": 1.574392081854893, \"Loudness\": -4.895, \"Speechiness\": 0.0517, \"Acousticness\": 0.00244, \"Liveness\": 0.0714, \"Tempo\": -0.9594529422086747, \"Duration (ms)\": 157507.0, \"Valence\": 0.602, \"Chord\": \"F\", \"pred\": \"Taylor Swift\"}, {\"Index\": 1429, \"Highest Charting Position\": 167, \"Number of Times Charted\": 4, \"Week of Highest Charting\": \"2020-01-24--2020-01-31\", \"Song Name\": \"you should see me in a crown\", \"Streams\": \"4,988,054\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 1251372.0, \"Song ID\": \"6WbvBhwCaUuYHcHGEuVgqo\", \"Genre\": \"[]\", \"Release Date\": \"2021-08-13\", \"Weeks Charted\": \"2020-02-14--2020-02-21\\n2020-02-07--2020-02-14\\n2020-01-31--2020-02-07\\n2020-01-24--2020-01-31\", \"Popularity\": 0.0, \"Danceability\": 0.683, \"Energy\": 0.2687801555586616, \"Loudness\": -10.348, \"Speechiness\": 0.189, \"Acousticness\": 0.519, \"Liveness\": 0.148, \"Tempo\": 0.9666884555952792, \"Duration (ms)\": 180567.0, \"Valence\": 0.284, \"Chord\": \"E\", \"pred\": \"Billie Eilish\"}, {\"Index\": 1467, \"Highest Charting Position\": 193, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2020-01-31--2020-02-07\", \"Song Name\": \"ME! (feat. Brendon Urie of Panic! At The Disco)\", \"Streams\": \"4,884,909\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"2Rk4JlNc2TPmZe2af99d45\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2019-08-23\", \"Weeks Charted\": \"2020-01-31--2020-02-07\", \"Popularity\": 77.0, \"Danceability\": 0.61, \"Energy\": 1.8397603595573788, \"Loudness\": -4.105, \"Speechiness\": 0.0571, \"Acousticness\": 0.033, \"Liveness\": 0.118, \"Tempo\": 2.038540672697113, \"Duration (ms)\": 193000.0, \"Valence\": 0.728, \"Chord\": \"C\", \"pred\": \"Taylor Swift\"}, {\"Index\": 1469, \"Highest Charting Position\": 191, \"Number of Times Charted\": 2, \"Week of Highest Charting\": \"2020-01-24--2020-01-31\", \"Song Name\": \"idontwannabeyouanymore\", \"Streams\": \"4,824,483\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 47061119.0, \"Song ID\": \"41zXlQxzTi6cGAjpOXyLYH\", \"Genre\": \"['electropop', 'pop']\", \"Release Date\": \"2017-12-22\", \"Weeks Charted\": \"2020-01-31--2020-02-07\\n2020-01-24--2020-01-31\", \"Popularity\": 78.0, \"Danceability\": 0.483, \"Energy\": -0.3787184420354048, \"Loudness\": -8.461, \"Speechiness\": 0.0402, \"Acousticness\": 0.737, \"Liveness\": 0.116, \"Tempo\": 1.6327364019431643, \"Duration (ms)\": 203569.0, \"Valence\": 0.247, \"Chord\": \"G\", \"pred\": \"Billie Eilish\"}, {\"Index\": 1556, \"Highest Charting Position\": 199, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2019-12-27--2020-01-03\", \"Song Name\": \"Lover (Remix) [feat. Shawn Mendes]\", \"Streams\": \"4,595,450\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"3i9UVldZOE0aD0JnyfAZZ0\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2019-11-13\", \"Weeks Charted\": \"2019-12-27--2020-01-03\", \"Popularity\": 70.0, \"Danceability\": 0.448, \"Energy\": 0.6349883787880921, \"Loudness\": -7.176, \"Speechiness\": 0.064, \"Acousticness\": 0.433, \"Liveness\": 0.0862, \"Tempo\": 2.8201171955009925, \"Duration (ms)\": 221307.0, \"Valence\": 0.422, \"Chord\": \"G\", \"pred\": \"Taylor Swift\"}]}}, {\"mode\": \"vega-lite\"});\n",
       "</script>"
      ],
      "text/plain": [
       "alt.Chart(...)"
      ]
     },
     "execution_count": 3,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "clf = KNeighborsClassifier(n_neighbors=1)\n",
    "clf.fit(X_train, y_train)\n",
    "df[\"pred\"] = clf.predict(df[[\"Tempo\",\"Energy\"]])\n",
    "c = alt.Chart(df).mark_circle().encode(\n",
    "    x=\"Tempo\",\n",
    "    y=\"Energy\",\n",
    "    color=alt.Color(\"pred\", title=\"Legend title\"),\n",
    ").properties(\n",
    "    title=\"Here is a title\",\n",
    "    width=700,\n",
    "    height=100,\n",
    ")\n",
    "\n",
    "c.configure_legend(\n",
    "    strokeColor='gray',\n",
    "    fillColor='#EEEEEE',\n",
    "    padding=10,\n",
    "    cornerRadius=10,\n",
    "    orient='top-right'\n",
    ")"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {
    "cell_id": "44f3962f-61f2-4278-a61c-bce60cee0bd6",
    "deepnote_cell_type": "markdown",
    "tags": []
   },
   "source": [
    "## f-strings"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 4,
   "metadata": {
    "cell_id": "3ab14d8e-8237-4e04-b107-b623d2e796b5",
    "deepnote_cell_type": "code",
    "deepnote_to_be_reexecuted": false,
    "execution_millis": 64,
    "execution_start": 1646147372582,
    "source_hash": "a00b6146",
    "tags": []
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "<div id=\"altair-viz-6a9ffaa7ff824a2196a90da403257a38\"></div>\n",
       "<script type=\"text/javascript\">\n",
       "  var VEGA_DEBUG = (typeof VEGA_DEBUG == \"undefined\") ? {} : VEGA_DEBUG;\n",
       "  (function(spec, embedOpt){\n",
       "    let outputDiv = document.currentScript.previousElementSibling;\n",
       "    if (outputDiv.id !== \"altair-viz-6a9ffaa7ff824a2196a90da403257a38\") {\n",
       "      outputDiv = document.getElementById(\"altair-viz-6a9ffaa7ff824a2196a90da403257a38\");\n",
       "    }\n",
       "    const paths = {\n",
       "      \"vega\": \"https://cdn.jsdelivr.net/npm//vega@5?noext\",\n",
       "      \"vega-lib\": \"https://cdn.jsdelivr.net/npm//vega-lib?noext\",\n",
       "      \"vega-lite\": \"https://cdn.jsdelivr.net/npm//vega-lite@4.17.0?noext\",\n",
       "      \"vega-embed\": \"https://cdn.jsdelivr.net/npm//vega-embed@6?noext\",\n",
       "    };\n",
       "\n",
       "    function maybeLoadScript(lib, version) {\n",
       "      var key = `${lib.replace(\"-\", \"\")}_version`;\n",
       "      return (VEGA_DEBUG[key] == version) ?\n",
       "        Promise.resolve(paths[lib]) :\n",
       "        new Promise(function(resolve, reject) {\n",
       "          var s = document.createElement('script');\n",
       "          document.getElementsByTagName(\"head\")[0].appendChild(s);\n",
       "          s.async = true;\n",
       "          s.onload = () => {\n",
       "            VEGA_DEBUG[key] = version;\n",
       "            return resolve(paths[lib]);\n",
       "          };\n",
       "          s.onerror = () => reject(`Error loading script: ${paths[lib]}`);\n",
       "          s.src = paths[lib];\n",
       "        });\n",
       "    }\n",
       "\n",
       "    function showError(err) {\n",
       "      outputDiv.innerHTML = `<div class=\"error\" style=\"color:red;\">${err}</div>`;\n",
       "      throw err;\n",
       "    }\n",
       "\n",
       "    function displayChart(vegaEmbed) {\n",
       "      vegaEmbed(outputDiv, spec, embedOpt)\n",
       "        .catch(err => showError(`Javascript Error: ${err.message}<br>This usually means there's a typo in your chart specification. See the javascript console for the full traceback.`));\n",
       "    }\n",
       "\n",
       "    if(typeof define === \"function\" && define.amd) {\n",
       "      requirejs.config({paths});\n",
       "      require([\"vega-embed\"], displayChart, err => showError(`Error loading script: ${err.message}`));\n",
       "    } else {\n",
       "      maybeLoadScript(\"vega\", \"5\")\n",
       "        .then(() => maybeLoadScript(\"vega-lite\", \"4.17.0\"))\n",
       "        .then(() => maybeLoadScript(\"vega-embed\", \"6\"))\n",
       "        .catch(showError)\n",
       "        .then(() => displayChart(vegaEmbed));\n",
       "    }\n",
       "  })({\"config\": {\"view\": {\"continuousWidth\": 400, \"continuousHeight\": 300}, \"legend\": {\"cornerRadius\": 10, \"fillColor\": \"#EEEEEE\", \"orient\": \"top-right\", \"padding\": 10, \"strokeColor\": \"gray\"}}, \"data\": {\"name\": \"data-226c4d7d4d7ac98d095b6ccf756eb113\"}, \"mark\": \"circle\", \"encoding\": {\"color\": {\"field\": \"pred\", \"title\": \"Predicted Artist\", \"type\": \"nominal\"}, \"x\": {\"field\": \"Tempo\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Energy\", \"type\": \"quantitative\"}}, \"height\": 100, \"title\": \"n_neighbors = 20\", \"width\": 700, \"$schema\": \"https://vega.github.io/schema/vega-lite/v4.17.0.json\", \"datasets\": {\"data-226c4d7d4d7ac98d095b6ccf756eb113\": [{\"Index\": 53, \"Highest Charting Position\": 19, \"Number of Times Charted\": 3, \"Week of Highest Charting\": \"2021-07-09--2021-07-16\", \"Song Name\": \"NDA\", \"Streams\": \"9,635,619\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 47014200.0, \"Song ID\": \"38GBNKZUhfBkk3oNlWzRYd\", \"Genre\": \"['electropop', 'pop']\", \"Release Date\": \"2021-07-30\", \"Weeks Charted\": \"2021-07-23--2021-07-30\\n2021-07-16--2021-07-23\\n2021-07-09--2021-07-16\", \"Popularity\": 84.0, \"Danceability\": 0.765, \"Energy\": -0.5857056986433438, \"Loudness\": -9.921, \"Speechiness\": 0.0713, \"Acousticness\": 0.341, \"Liveness\": 0.112, \"Tempo\": -1.2469215897133472, \"Duration (ms)\": 195777.0, \"Valence\": 0.554, \"Chord\": \"G#/Ab\", \"pred\": \"Taylor Swift\"}, {\"Index\": 111, \"Highest Charting Position\": 46, \"Number of Times Charted\": 83, \"Week of Highest Charting\": \"2020-04-17--2020-04-24\", \"Song Name\": \"lovely (with Khalid)\", \"Streams\": \"6,569,547\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 47014200.0, \"Song ID\": \"0u2P5u6lvoDfwTYjAADbn4\", \"Genre\": \"['electropop', 'pop']\", \"Release Date\": \"2018-04-19\", \"Weeks Charted\": \"2021-07-23--2021-07-30\\n2021-07-16--2021-07-23\\n2021-07-09--2021-07-16\\n2021-07-02--2021-07-09\\n2021-06-25--2021-07-02\\n2021-06-18--2021-06-25\\n2021-06-11--2021-06-18\\n2021-06-04--2021-06-11\\n2021-05-28--2021-06-04\\n2021-05-21--2021-05-28\\n2021-05-14--2021-05-21\\n2021-05-07--2021-05-14\\n2021-04-30--2021-05-07\\n2021-04-23--2021-04-30\\n2021-04-16--2021-04-23\\n2021-04-09--2021-04-16\\n2021-04-02--2021-04-09\\n2021-03-26--2021-04-02\\n2021-03-19--2021-03-26\\n2021-03-12--2021-03-19\\n2021-03-05--2021-03-12\\n2021-02-26--2021-03-05\\n2021-02-19--2021-02-26\\n2021-02-12--2021-02-19\\n2021-02-05--2021-02-12\\n2021-01-29--2021-02-05\\n2021-01-22--2021-01-29\\n2021-01-15--2021-01-22\\n2021-01-08--2021-01-15\\n2021-01-01--2021-01-08\\n2020-12-25--2021-01-01\\n2020-12-18--2020-12-25\\n2020-12-11--2020-12-18\\n2020-12-04--2020-12-11\\n2020-11-27--2020-12-04\\n2020-11-20--2020-11-27\\n2020-11-13--2020-11-20\\n2020-11-06--2020-11-13\\n2020-10-30--2020-11-06\\n2020-10-23--2020-10-30\\n2020-10-16--2020-10-23\\n2020-10-09--2020-10-16\\n2020-10-02--2020-10-09\\n2020-09-25--2020-10-02\\n2020-09-18--2020-09-25\\n2020-09-11--2020-09-18\\n2020-09-04--2020-09-11\\n2020-08-28--2020-09-04\\n2020-08-21--2020-08-28\\n2020-08-14--2020-08-21\\n2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\\n2020-07-17--2020-07-24\\n2020-07-10--2020-07-17\\n2020-07-03--2020-07-10\\n2020-06-26--2020-07-03\\n2020-06-19--2020-06-26\\n2020-06-12--2020-06-19\\n2020-06-05--2020-06-12\\n2020-05-29--2020-06-05\\n2020-05-22--2020-05-29\\n2020-05-15--2020-05-22\\n2020-05-08--2020-05-15\\n2020-05-01--2020-05-08\\n2020-04-24--2020-05-01\\n2020-04-17--2020-04-24\\n2020-04-10--2020-04-17\\n2020-04-03--2020-04-10\\n2020-03-27--2020-04-03\\n2020-03-20--2020-03-27\\n2020-03-13--2020-03-20\\n2020-03-06--2020-03-13\\n2020-02-28--2020-03-06\\n2020-02-21--2020-02-28\\n2020-02-14--2020-02-21\\n2020-02-07--2020-02-14\\n2020-01-31--2020-02-07\\n2020-01-24--2020-01-31\\n2020-01-17--2020-01-24\\n2020-01-10--2020-01-17\\n2020-01-03--2020-01-10\\n2019-12-27--2020-01-03\", \"Popularity\": 86.0, \"Danceability\": 0.351, \"Energy\": -0.9943728463051724, \"Loudness\": -10.109, \"Speechiness\": 0.0333, \"Acousticness\": 0.934, \"Liveness\": 0.095, \"Tempo\": -0.22326264586964997, \"Duration (ms)\": 200186.0, \"Valence\": 0.12, \"Chord\": \"E\", \"pred\": \"Billie Eilish\"}, {\"Index\": 165, \"Highest Charting Position\": 13, \"Number of Times Charted\": 83, \"Week of Highest Charting\": \"2020-01-24--2020-01-31\", \"Song Name\": \"bad guy\", \"Streams\": \"5,436,286\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 1250353.0, \"Song ID\": \"1hewNsVmijBqjKvFRQfk4m\", \"Genre\": \"[]\", \"Release Date\": \"2021-08-13\", \"Weeks Charted\": \"2021-07-23--2021-07-30\\n2021-07-16--2021-07-23\\n2021-07-09--2021-07-16\\n2021-07-02--2021-07-09\\n2021-06-25--2021-07-02\\n2021-06-18--2021-06-25\\n2021-06-11--2021-06-18\\n2021-06-04--2021-06-11\\n2021-05-28--2021-06-04\\n2021-05-21--2021-05-28\\n2021-05-14--2021-05-21\\n2021-05-07--2021-05-14\\n2021-04-30--2021-05-07\\n2021-04-23--2021-04-30\\n2021-04-16--2021-04-23\\n2021-04-09--2021-04-16\\n2021-04-02--2021-04-09\\n2021-03-26--2021-04-02\\n2021-03-19--2021-03-26\\n2021-03-12--2021-03-19\\n2021-03-05--2021-03-12\\n2021-02-26--2021-03-05\\n2021-02-19--2021-02-26\\n2021-02-12--2021-02-19\\n2021-02-05--2021-02-12\\n2021-01-29--2021-02-05\\n2021-01-22--2021-01-29\\n2021-01-15--2021-01-22\\n2021-01-08--2021-01-15\\n2021-01-01--2021-01-08\\n2020-12-25--2021-01-01\\n2020-12-18--2020-12-25\\n2020-12-11--2020-12-18\\n2020-12-04--2020-12-11\\n2020-11-27--2020-12-04\\n2020-11-20--2020-11-27\\n2020-11-13--2020-11-20\\n2020-11-06--2020-11-13\\n2020-10-30--2020-11-06\\n2020-10-23--2020-10-30\\n2020-10-16--2020-10-23\\n2020-10-09--2020-10-16\\n2020-10-02--2020-10-09\\n2020-09-25--2020-10-02\\n2020-09-18--2020-09-25\\n2020-09-11--2020-09-18\\n2020-09-04--2020-09-11\\n2020-08-28--2020-09-04\\n2020-08-21--2020-08-28\\n2020-08-14--2020-08-21\\n2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\\n2020-07-17--2020-07-24\\n2020-07-10--2020-07-17\\n2020-07-03--2020-07-10\\n2020-06-26--2020-07-03\\n2020-06-19--2020-06-26\\n2020-06-12--2020-06-19\\n2020-06-05--2020-06-12\\n2020-05-29--2020-06-05\\n2020-05-22--2020-05-29\\n2020-05-15--2020-05-22\\n2020-05-08--2020-05-15\\n2020-05-01--2020-05-08\\n2020-04-24--2020-05-01\\n2020-04-17--2020-04-24\\n2020-04-10--2020-04-17\\n2020-04-03--2020-04-10\\n2020-03-27--2020-04-03\\n2020-03-20--2020-03-27\\n2020-03-13--2020-03-20\\n2020-03-06--2020-03-13\\n2020-02-28--2020-03-06\\n2020-02-21--2020-02-28\\n2020-02-14--2020-02-21\\n2020-02-07--2020-02-14\\n2020-01-31--2020-02-07\\n2020-01-24--2020-01-31\\n2020-01-17--2020-01-24\\n2020-01-10--2020-01-17\\n2020-01-03--2020-01-10\\n2019-12-27--2020-01-03\", \"Popularity\": 0.0, \"Danceability\": 0.701, \"Energy\": -0.3097226898327583, \"Loudness\": -10.965, \"Speechiness\": 0.375, \"Acousticness\": 0.328, \"Liveness\": 0.1, \"Tempo\": 0.4478582766106694, \"Duration (ms)\": 194088.0, \"Valence\": 0.562, \"Chord\": \"G\", \"pred\": \"Taylor Swift\"}, {\"Index\": 216, \"Highest Charting Position\": 15, \"Number of Times Charted\": 7, \"Week of Highest Charting\": \"2021-06-04--2021-06-11\", \"Song Name\": \"Lost Cause\", \"Streams\": \"5,203,319\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 1250353.0, \"Song ID\": \"36fhyo5QlxBW7DrDHIOn1G\", \"Genre\": \"[]\", \"Release Date\": \"2021-08-12\", \"Weeks Charted\": \"2021-07-16--2021-07-23\\n2021-07-09--2021-07-16\\n2021-07-02--2021-07-09\\n2021-06-25--2021-07-02\\n2021-06-18--2021-06-25\\n2021-06-11--2021-06-18\\n2021-06-04--2021-06-11\", \"Popularity\": 0.0, \"Danceability\": 0.671, \"Energy\": -0.7820782241431834, \"Loudness\": -8.494, \"Speechiness\": 0.241, \"Acousticness\": 0.705, \"Liveness\": 0.0577, \"Tempo\": -1.5839363041114722, \"Duration (ms)\": 212496.0, \"Valence\": 0.518, \"Chord\": \"A#/Bb\", \"pred\": \"Taylor Swift\"}, {\"Index\": 246, \"Highest Charting Position\": 4, \"Number of Times Charted\": 10, \"Week of Highest Charting\": \"2021-04-30--2021-05-07\", \"Song Name\": \"Your Power\", \"Streams\": \"5,135,380\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 47014200.0, \"Song ID\": \"042Sl6Mn83JHyLEqdK7uI0\", \"Genre\": \"['electropop', 'pop']\", \"Release Date\": \"2021-07-30\", \"Weeks Charted\": \"2021-07-02--2021-07-09\\n2021-06-25--2021-07-02\\n2021-06-18--2021-06-25\\n2021-06-11--2021-06-18\\n2021-06-04--2021-06-11\\n2021-05-28--2021-06-04\\n2021-05-21--2021-05-28\\n2021-05-14--2021-05-21\\n2021-05-07--2021-05-14\\n2021-04-30--2021-05-07\", \"Popularity\": 81.0, \"Danceability\": 0.632, \"Energy\": -1.058061232953769, \"Loudness\": -14.025, \"Speechiness\": 0.0801, \"Acousticness\": 0.932, \"Liveness\": 0.233, \"Tempo\": 0.26232262952706586, \"Duration (ms)\": 245897.0, \"Valence\": 0.208, \"Chord\": \"A\", \"pred\": \"Taylor Swift\"}, {\"Index\": 309, \"Highest Charting Position\": 2, \"Number of Times Charted\": 31, \"Week of Highest Charting\": \"2020-11-13--2020-11-20\", \"Song Name\": \"Therefore I Am\", \"Streams\": \"5,265,630\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 1250353.0, \"Song ID\": \"0aACcc1jEv2C6VSmmJbllJ\", \"Genre\": \"[]\", \"Release Date\": \"2021-08-13\", \"Weeks Charted\": \"2021-06-11--2021-06-18\\n2021-06-04--2021-06-11\\n2021-05-28--2021-06-04\\n2021-05-21--2021-05-28\\n2021-05-14--2021-05-21\\n2021-05-07--2021-05-14\\n2021-04-30--2021-05-07\\n2021-04-23--2021-04-30\\n2021-04-16--2021-04-23\\n2021-04-09--2021-04-16\\n2021-04-02--2021-04-09\\n2021-03-26--2021-04-02\\n2021-03-19--2021-03-26\\n2021-03-12--2021-03-19\\n2021-03-05--2021-03-12\\n2021-02-26--2021-03-05\\n2021-02-19--2021-02-26\\n2021-02-12--2021-02-19\\n2021-02-05--2021-02-12\\n2021-01-29--2021-02-05\\n2021-01-22--2021-01-29\\n2021-01-15--2021-01-22\\n2021-01-08--2021-01-15\\n2021-01-01--2021-01-08\\n2020-12-25--2021-01-01\\n2020-12-18--2020-12-25\\n2020-12-11--2020-12-18\\n2020-12-04--2020-12-11\\n2020-11-27--2020-12-04\\n2020-11-20--2020-11-27\\n2020-11-13--2020-11-20\", \"Popularity\": 0.0, \"Danceability\": 0.889, \"Energy\": -0.7608487619269845, \"Loudness\": -7.773, \"Speechiness\": 0.0697, \"Acousticness\": 0.218, \"Liveness\": 0.055, \"Tempo\": -0.9427797606534039, \"Duration (ms)\": 174321.0, \"Valence\": 0.716, \"Chord\": \"B\", \"pred\": \"Taylor Swift\"}, {\"Index\": 378, \"Highest Charting Position\": 10, \"Number of Times Charted\": 69, \"Week of Highest Charting\": \"2019-12-27--2020-01-03\", \"Song Name\": \"everything i wanted\", \"Streams\": \"5,448,680\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 1250353.0, \"Song ID\": \"1OC8hMoqAuWmTWJ4heJNlO\", \"Genre\": \"[]\", \"Release Date\": \"2021-08-13\", \"Weeks Charted\": \"2021-05-07--2021-05-14\\n2021-04-30--2021-05-07\\n2021-04-23--2021-04-30\\n2021-04-02--2021-04-09\\n2021-03-26--2021-04-02\\n2021-03-19--2021-03-26\\n2021-03-12--2021-03-19\\n2021-03-05--2021-03-12\\n2021-02-26--2021-03-05\\n2021-02-19--2021-02-26\\n2021-02-12--2021-02-19\\n2021-02-05--2021-02-12\\n2021-01-29--2021-02-05\\n2021-01-22--2021-01-29\\n2021-01-15--2021-01-22\\n2021-01-08--2021-01-15\\n2021-01-01--2021-01-08\\n2020-12-25--2021-01-01\\n2020-12-11--2020-12-18\\n2020-12-04--2020-12-11\\n2020-11-27--2020-12-04\\n2020-11-20--2020-11-27\\n2020-11-13--2020-11-20\\n2020-11-06--2020-11-13\\n2020-10-30--2020-11-06\\n2020-10-23--2020-10-30\\n2020-10-16--2020-10-23\\n2020-10-09--2020-10-16\\n2020-10-02--2020-10-09\\n2020-09-25--2020-10-02\\n2020-09-18--2020-09-25\\n2020-09-11--2020-09-18\\n2020-09-04--2020-09-11\\n2020-08-28--2020-09-04\\n2020-08-21--2020-08-28\\n2020-08-14--2020-08-21\\n2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\\n2020-07-17--2020-07-24\\n2020-07-10--2020-07-17\\n2020-07-03--2020-07-10\\n2020-06-26--2020-07-03\\n2020-06-19--2020-06-26\\n2020-06-12--2020-06-19\\n2020-06-05--2020-06-12\\n2020-05-29--2020-06-05\\n2020-05-22--2020-05-29\\n2020-05-15--2020-05-22\\n2020-05-08--2020-05-15\\n2020-05-01--2020-05-08\\n2020-04-24--2020-05-01\\n2020-04-17--2020-04-24\\n2020-04-10--2020-04-17\\n2020-04-03--2020-04-10\\n2020-03-27--2020-04-03\\n2020-03-20--2020-03-27\\n2020-03-13--2020-03-20\\n2020-03-06--2020-03-13\\n2020-02-28--2020-03-06\\n2020-02-21--2020-02-28\\n2020-02-14--2020-02-21\\n2020-02-07--2020-02-14\\n2020-01-31--2020-02-07\\n2020-01-24--2020-01-31\\n2020-01-17--2020-01-24\\n2020-01-10--2020-01-17\\n2020-01-03--2020-01-10\\n2019-12-27--2020-01-03\", \"Popularity\": 0.0, \"Danceability\": 0.704, \"Energy\": -1.3711958006427025, \"Loudness\": -14.454, \"Speechiness\": 0.0994, \"Acousticness\": 0.901, \"Liveness\": 0.106, \"Tempo\": -0.06356535722058387, \"Duration (ms)\": 245426.0, \"Valence\": 0.243, \"Chord\": \"F#/Gb\", \"pred\": \"Taylor Swift\"}, {\"Index\": 399, \"Highest Charting Position\": 20, \"Number of Times Charted\": 5, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"Mr. Perfectly Fine (Taylor\\u2019s Version) (From The Vault)\", \"Streams\": \"5,480,722\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"2CYVETnhM9aytqrazYYwrK\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-30--2021-05-07\\n2021-04-23--2021-04-30\\n2021-04-16--2021-04-23\\n2021-04-09--2021-04-16\\n2021-04-02--2021-04-09\", \"Popularity\": 74.0, \"Danceability\": 0.66, \"Energy\": 1.7707646073547323, \"Loudness\": -6.269, \"Speechiness\": 0.0521, \"Acousticness\": 0.162, \"Liveness\": 0.0667, \"Tempo\": 0.4753876270893529, \"Duration (ms)\": 277592.0, \"Valence\": 0.714, \"Chord\": \"B\", \"pred\": \"Taylor Swift\"}, {\"Index\": 400, \"Highest Charting Position\": 42, \"Number of Times Charted\": 60, \"Week of Highest Charting\": \"2020-01-31--2020-02-07\", \"Song Name\": \"when the party's over\", \"Streams\": \"5,467,596\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 1250353.0, \"Song ID\": \"5KWwUzVxubgSPmLIUAQhYt\", \"Genre\": \"[]\", \"Release Date\": \"2021-08-13\", \"Weeks Charted\": \"2021-04-30--2021-05-07\\n2021-03-19--2021-03-26\\n2021-03-12--2021-03-19\\n2021-03-05--2021-03-12\\n2021-02-26--2021-03-05\\n2021-01-29--2021-02-05\\n2021-01-22--2021-01-29\\n2021-01-15--2021-01-22\\n2021-01-08--2021-01-15\\n2021-01-01--2021-01-08\\n2020-12-04--2020-12-11\\n2020-11-27--2020-12-04\\n2020-11-20--2020-11-27\\n2020-11-13--2020-11-20\\n2020-11-06--2020-11-13\\n2020-10-30--2020-11-06\\n2020-10-23--2020-10-30\\n2020-10-16--2020-10-23\\n2020-10-09--2020-10-16\\n2020-10-02--2020-10-09\\n2020-09-25--2020-10-02\\n2020-09-18--2020-09-25\\n2020-09-11--2020-09-18\\n2020-09-04--2020-09-11\\n2020-08-28--2020-09-04\\n2020-08-21--2020-08-28\\n2020-08-14--2020-08-21\\n2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\\n2020-07-17--2020-07-24\\n2020-07-10--2020-07-17\\n2020-07-03--2020-07-10\\n2020-06-26--2020-07-03\\n2020-06-19--2020-06-26\\n2020-06-12--2020-06-19\\n2020-06-05--2020-06-12\\n2020-05-29--2020-06-05\\n2020-05-22--2020-05-29\\n2020-05-15--2020-05-22\\n2020-05-08--2020-05-15\\n2020-05-01--2020-05-08\\n2020-04-24--2020-05-01\\n2020-04-17--2020-04-24\\n2020-04-10--2020-04-17\\n2020-04-03--2020-04-10\\n2020-03-27--2020-04-03\\n2020-03-20--2020-03-27\\n2020-03-13--2020-03-20\\n2020-03-06--2020-03-13\\n2020-02-28--2020-03-06\\n2020-02-21--2020-02-28\\n2020-02-14--2020-02-21\\n2020-02-07--2020-02-14\\n2020-01-31--2020-02-07\\n2020-01-24--2020-01-31\\n2020-01-17--2020-01-24\\n2020-01-10--2020-01-17\\n2020-01-03--2020-01-10\\n2019-12-27--2020-01-03\", \"Popularity\": 0.0, \"Danceability\": 0.484, \"Energy\": -2.018694398236769, \"Loudness\": -14.075, \"Speechiness\": 0.0627, \"Acousticness\": 0.979, \"Liveness\": 0.0895, \"Tempo\": 0.07188310551544105, \"Duration (ms)\": 199931.0, \"Valence\": 0.194, \"Chord\": \"C#/Db\", \"pred\": \"Taylor Swift\"}, {\"Index\": 422, \"Highest Charting Position\": 8, \"Number of Times Charted\": 5, \"Week of Highest Charting\": \"2021-02-12--2021-02-19\", \"Song Name\": \"Love Story (Taylor\\u2019s Version)\", \"Streams\": \"6,202,933\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"6YvqWjhGD8mB5QXcbcUKtx\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-16--2021-04-23\\n2021-04-09--2021-04-16\\n2021-02-26--2021-03-05\\n2021-02-19--2021-02-26\\n2021-02-12--2021-02-19\", \"Popularity\": 73.0, \"Danceability\": 0.627, \"Energy\": 1.6380804685034898, \"Loudness\": -4.311, \"Speechiness\": 0.031, \"Acousticness\": 0.13, \"Liveness\": 0.0845, \"Tempo\": -0.09576184574110713, \"Duration (ms)\": 235767.0, \"Valence\": 0.415, \"Chord\": \"D\", \"pred\": \"Taylor Swift\"}, {\"Index\": 425, \"Highest Charting Position\": 3, \"Number of Times Charted\": 19, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"willow\", \"Streams\": \"5,016,865\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"0lx2cLdOt3piJbcaXIV74f\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2021-04-16--2021-04-23\\n2021-04-09--2021-04-16\\n2021-04-02--2021-04-09\\n2021-03-26--2021-04-02\\n2021-03-19--2021-03-26\\n2021-03-12--2021-03-19\\n2021-03-05--2021-03-12\\n2021-02-26--2021-03-05\\n2021-02-19--2021-02-26\\n2021-02-12--2021-02-19\\n2021-02-05--2021-02-12\\n2021-01-29--2021-02-05\\n2021-01-22--2021-01-29\\n2021-01-15--2021-01-22\\n2021-01-08--2021-01-15\\n2021-01-01--2021-01-08\\n2020-12-25--2021-01-01\\n2020-12-18--2020-12-25\\n2020-12-11--2020-12-18\", \"Popularity\": 79.0, \"Danceability\": 0.392, \"Energy\": 0.48107477772065005, \"Loudness\": -9.195, \"Speechiness\": 0.17, \"Acousticness\": 0.833, \"Liveness\": 0.145, \"Tempo\": -1.3789542485201995, \"Duration (ms)\": 214707.0, \"Valence\": 0.529, \"Chord\": \"G\", \"pred\": \"Taylor Swift\"}, {\"Index\": 429, \"Highest Charting Position\": 52, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"You Belong With Me (Taylor\\u2019s Version)\", \"Streams\": \"9,872,084\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"1qrpoAMXodY6895hGKoUpA\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 73.0, \"Danceability\": 0.632, \"Energy\": 1.537240522976545, \"Loudness\": -4.856, \"Speechiness\": 0.0346, \"Acousticness\": 0.0623, \"Liveness\": 0.0885, \"Tempo\": 0.2755461873122805, \"Duration (ms)\": 231124.0, \"Valence\": 0.474, \"Chord\": \"F#/Gb\", \"pred\": \"Taylor Swift\"}, {\"Index\": 430, \"Highest Charting Position\": 54, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"Fearless (Taylor\\u2019s Version)\", \"Streams\": \"9,676,024\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"77sMIMlNaSURUAXq5coCxE\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 69.0, \"Danceability\": 0.569, \"Energy\": 1.3674048252469537, \"Loudness\": -4.963, \"Speechiness\": 0.0282, \"Acousticness\": 0.0122, \"Liveness\": 0.333, \"Tempo\": -0.7361743526997518, \"Duration (ms)\": 241592.0, \"Valence\": 0.43, \"Chord\": \"F\", \"pred\": \"Taylor Swift\"}, {\"Index\": 432, \"Highest Charting Position\": 80, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"Fifteen (Taylor\\u2019s Version)\", \"Streams\": \"7,852,063\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"2nqio0SfWg6gh2eCtfuMa5\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 66.0, \"Danceability\": 0.559, \"Energy\": 0.8632050976122303, \"Loudness\": -4.61, \"Speechiness\": 0.0272, \"Acousticness\": 0.116, \"Liveness\": 0.32, \"Tempo\": -0.8935042524870149, \"Duration (ms)\": 294419.0, \"Valence\": 0.289, \"Chord\": \"G\", \"pred\": \"Taylor Swift\"}, {\"Index\": 433, \"Highest Charting Position\": 84, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"The Way I Loved You (Taylor\\u2019s Version)\", \"Streams\": \"7,736,262\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"22bPsP2jCgbLUvh82U0Z3M\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 72.0, \"Danceability\": 0.402, \"Energy\": 1.3196385352605062, \"Loudness\": -4.665, \"Speechiness\": 0.0484, \"Acousticness\": 0.0033, \"Liveness\": 0.108, \"Tempo\": 1.3239274348413803, \"Duration (ms)\": 243137.0, \"Valence\": 0.472, \"Chord\": \"F\", \"pred\": \"Taylor Swift\"}, {\"Index\": 434, \"Highest Charting Position\": 51, \"Number of Times Charted\": 3, \"Week of Highest Charting\": \"2021-03-26--2021-04-02\", \"Song Name\": \"You All Over Me (feat. Maren Morris) (Taylor\\u2019s Version) (From The Vault)\", \"Streams\": \"7,712,896\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"5pcjystBtalYeqaiXCcgEY\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-03-26\", \"Weeks Charted\": \"2021-04-09--2021-04-16\\n2021-04-02--2021-04-09\\n2021-03-26--2021-04-02\", \"Popularity\": 65.0, \"Danceability\": 0.589, \"Energy\": 0.06710026450477197, \"Loudness\": -7.606, \"Speechiness\": 0.0377, \"Acousticness\": 0.818, \"Liveness\": 0.101, \"Tempo\": 0.7049905268433785, \"Duration (ms)\": 220839.0, \"Valence\": 0.44, \"Chord\": \"D\", \"pred\": \"Taylor Swift\"}, {\"Index\": 435, \"Highest Charting Position\": 93, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"Hey Stephen (Taylor\\u2019s Version)\", \"Streams\": \"7,385,864\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"550erGcdD9n6PnwxrvYqZT\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 66.0, \"Danceability\": 0.788, \"Energy\": 0.4651526810585009, \"Loudness\": -6.135, \"Speechiness\": 0.0296, \"Acousticness\": 0.106, \"Liveness\": 0.0934, \"Tempo\": -0.19938583820632108, \"Duration (ms)\": 254255.0, \"Valence\": 0.797, \"Chord\": \"F#/Gb\", \"pred\": \"Taylor Swift\"}, {\"Index\": 436, \"Highest Charting Position\": 102, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"White Horse (Taylor\\u2019s Version)\", \"Streams\": \"7,039,222\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"5YL553x8sHderRBDlm3NM3\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 65.0, \"Danceability\": 0.423, \"Energy\": 0.1785549411398162, \"Loudness\": -7.377, \"Speechiness\": 0.0486, \"Acousticness\": 0.369, \"Liveness\": 0.177, \"Tempo\": 2.143382179434111, \"Duration (ms)\": 234516.0, \"Valence\": 0.366, \"Chord\": \"C\", \"pred\": \"Taylor Swift\"}, {\"Index\": 437, \"Highest Charting Position\": 114, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"Forever & Always (Taylor\\u2019s Version)\", \"Streams\": \"6,566,059\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"1msEuwSBneBKpVCZQcFTsU\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 66.0, \"Danceability\": 0.598, \"Energy\": 1.7919940695709313, \"Loudness\": -4.433, \"Speechiness\": 0.0447, \"Acousticness\": 0.0231, \"Liveness\": 0.143, \"Tempo\": 0.20780504602382696, \"Duration (ms)\": 225328.0, \"Valence\": 0.673, \"Chord\": \"A#/Bb\", \"pred\": \"Taylor Swift\"}, {\"Index\": 438, \"Highest Charting Position\": 119, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"Breathe (feat. Colbie Caillat) (Taylor\\u2019s Version)\", \"Streams\": \"6,508,683\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"7HC7R2D8WjXVcUHJyEGjRs\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 64.0, \"Danceability\": 0.506, \"Energy\": 0.7570577865312358, \"Loudness\": -6.066, \"Speechiness\": 0.0287, \"Acousticness\": 0.156, \"Liveness\": 0.228, \"Tempo\": 0.8843709628862942, \"Duration (ms)\": 263377.0, \"Valence\": 0.321, \"Chord\": \"C#/Db\", \"pred\": \"Taylor Swift\"}, {\"Index\": 440, \"Highest Charting Position\": 146, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"That\\u2019s When (feat. Keith Urban) (Taylor\\u2019s Version) (From The Vault)\", \"Streams\": \"5,889,939\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"7eResoqEJJAVTkQYSqvO3P\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 67.0, \"Danceability\": 0.588, \"Energy\": 0.6615252065583407, \"Loudness\": -7.062, \"Speechiness\": 0.0365, \"Acousticness\": 0.225, \"Liveness\": 0.092, \"Tempo\": -1.0715657147354973, \"Duration (ms)\": 189496.0, \"Valence\": 0.508, \"Chord\": \"F\", \"pred\": \"Taylor Swift\"}, {\"Index\": 441, \"Highest Charting Position\": 147, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"Tell Me Why (Taylor\\u2019s Version)\", \"Streams\": \"5,885,151\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"0k0vFacOHNuArLWMiH60p7\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 63.0, \"Danceability\": 0.578, \"Energy\": 2.259042238327307, \"Loudness\": -3.669, \"Speechiness\": 0.0628, \"Acousticness\": 0.0222, \"Liveness\": 0.333, \"Tempo\": -0.7393872375836276, \"Duration (ms)\": 200576.0, \"Valence\": 0.541, \"Chord\": \"G\", \"pred\": \"Taylor Swift\"}, {\"Index\": 442, \"Highest Charting Position\": 148, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"You\\u2019re Not Sorry (Taylor\\u2019s Version)\", \"Streams\": \"5,860,405\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"6iiAfo4wTA2CVC3Uwx9uh8\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 64.0, \"Danceability\": 0.506, \"Energy\": -0.20888274430581352, \"Loudness\": -4.99, \"Speechiness\": 0.0285, \"Acousticness\": 0.0538, \"Liveness\": 0.123, \"Tempo\": 0.4054143763026267, \"Duration (ms)\": 261843.0, \"Valence\": 0.241, \"Chord\": \"F#/Gb\", \"pred\": \"Taylor Swift\"}, {\"Index\": 445, \"Highest Charting Position\": 192, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"Don\\u2019t You (Taylor\\u2019s Version) (From The Vault)\", \"Streams\": \"5,197,564\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"4uuEGH5SVuzkkSFjo2DEiY\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 65.0, \"Danceability\": 0.563, \"Energy\": -0.054969143238371744, \"Loudness\": -11.548, \"Speechiness\": 0.0503, \"Acousticness\": 0.514, \"Liveness\": 0.109, \"Tempo\": -0.6747575216564006, \"Duration (ms)\": 208609.0, \"Valence\": 0.405, \"Chord\": \"D#/Eb\", \"pred\": \"Taylor Swift\"}, {\"Index\": 446, \"Highest Charting Position\": 195, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"We Were Happy (Taylor\\u2019s Version) (From The Vault)\", \"Streams\": \"5,189,423\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"34V9RiEPe8MNdU32qJsJa1\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 64.0, \"Danceability\": 0.609, \"Energy\": -0.5857056986433438, \"Loudness\": -8.819, \"Speechiness\": 0.0263, \"Acousticness\": 0.849, \"Liveness\": 0.0779, \"Tempo\": -0.5370093097403378, \"Duration (ms)\": 244237.0, \"Valence\": 0.13, \"Chord\": \"C\", \"pred\": \"Taylor Swift\"}, {\"Index\": 556, \"Highest Charting Position\": 19, \"Number of Times Charted\": 3, \"Week of Highest Charting\": \"2021-01-22--2021-01-29\", \"Song Name\": \"Lo Vas A Olvidar (with ROSAL\\u00cdA)\", \"Streams\": \"5,963,380\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 47061119.0, \"Song ID\": \"0psS4i5YooJrXfDnGvWRLi\", \"Genre\": \"['electropop', 'pop']\", \"Release Date\": \"2021-01-21\", \"Weeks Charted\": \"2021-02-05--2021-02-12\\n2021-01-29--2021-02-05\\n2021-01-22--2021-01-29\", \"Popularity\": 68.0, \"Danceability\": 0.343, \"Energy\": -1.2756632206698078, \"Loudness\": -14.66, \"Speechiness\": 0.0777, \"Acousticness\": 0.721, \"Liveness\": 0.0668, \"Tempo\": 0.4487375924736252, \"Duration (ms)\": 203464.0, \"Valence\": 0.032, \"Chord\": \"E\", \"pred\": \"Taylor Swift\"}, {\"Index\": 586, \"Highest Charting Position\": 10, \"Number of Times Charted\": 7, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"champagne problems\", \"Streams\": \"4,848,954\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"0sY6ZUTh4yoctD8VIXz339\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2021-01-22--2021-01-29\\n2021-01-15--2021-01-22\\n2021-01-08--2021-01-15\\n2021-01-01--2021-01-08\\n2020-12-25--2021-01-01\\n2020-12-18--2020-12-25\\n2020-12-11--2020-12-18\", \"Popularity\": 75.0, \"Danceability\": 0.462, \"Energy\": -1.291585317331957, \"Loudness\": -12.077, \"Speechiness\": 0.0377, \"Acousticness\": 0.92, \"Liveness\": 0.113, \"Tempo\": 1.671832138003799, \"Duration (ms)\": 244000.0, \"Valence\": 0.32, \"Chord\": \"C\", \"pred\": \"Taylor Swift\"}, {\"Index\": 609, \"Highest Charting Position\": 15, \"Number of Times Charted\": 4, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"no body, no crime (feat. HAIM)\", \"Streams\": \"4,986,214\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"3RaT22zZsxVYxxKR7TAaYF\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2021-01-01--2021-01-08\\n2020-12-25--2021-01-01\\n2020-12-18--2020-12-25\\n2020-12-11--2020-12-18\", \"Popularity\": 68.0, \"Danceability\": 0.546, \"Energy\": 0.6880620343285894, \"Loudness\": -7.589, \"Speechiness\": 0.0264, \"Acousticness\": 0.418, \"Liveness\": 0.103, \"Tempo\": -1.4498744548516462, \"Duration (ms)\": 215627.0, \"Valence\": 0.535, \"Chord\": \"G\", \"pred\": \"Taylor Swift\"}, {\"Index\": 668, \"Highest Charting Position\": 22, \"Number of Times Charted\": 2, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"\\u2018tis the damn season\", \"Streams\": \"8,115,520\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"7dW84mWkdWE5a6lFWxJCBG\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2020-12-18--2020-12-25\\n2020-12-11--2020-12-18\", \"Popularity\": 66.0, \"Danceability\": 0.575, \"Energy\": -0.2619563998463108, \"Loudness\": -8.193, \"Speechiness\": 0.0312, \"Acousticness\": 0.735, \"Liveness\": 0.105, \"Tempo\": 0.8127067200554235, \"Duration (ms)\": 229840.0, \"Valence\": 0.348, \"Chord\": \"F\", \"pred\": \"Taylor Swift\"}, {\"Index\": 672, \"Highest Charting Position\": 19, \"Number of Times Charted\": 2, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"gold rush\", \"Streams\": \"7,901,968\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"5BK0uqwY9DNfZ630STAEaq\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2020-12-18--2020-12-25\\n2020-12-11--2020-12-18\", \"Popularity\": 70.0, \"Danceability\": 0.512, \"Energy\": -0.11335016433291845, \"Loudness\": -10.491, \"Speechiness\": 0.0408, \"Acousticness\": 0.83, \"Liveness\": 0.121, \"Tempo\": -0.3326360112849574, \"Duration (ms)\": 185320.0, \"Valence\": 0.353, \"Chord\": \"A\", \"pred\": \"Taylor Swift\"}, {\"Index\": 689, \"Highest Charting Position\": 181, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2020-12-18--2020-12-25\", \"Song Name\": \"Christmas Tree Farm\", \"Streams\": \"6,657,404\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"2mvabkN1i2gLnGAPUVdwek\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2019-12-06\", \"Weeks Charted\": \"2020-12-18--2020-12-25\", \"Popularity\": 52.0, \"Danceability\": 0.598, \"Energy\": 1.043655526449921, \"Loudness\": -4.505, \"Speechiness\": 0.0331, \"Acousticness\": 0.06, \"Liveness\": 0.324, \"Tempo\": 0.40977713577652186, \"Duration (ms)\": 228027.0, \"Valence\": 0.437, \"Chord\": \"G\", \"pred\": \"Taylor Swift\"}, {\"Index\": 692, \"Highest Charting Position\": 24, \"Number of Times Charted\": 2, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"tolerate it\", \"Streams\": \"6,635,109\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"0PurA4JVJ8YQgSVopY8fn6\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2020-12-18--2020-12-25\\n2020-12-11--2020-12-18\", \"Popularity\": 67.0, \"Danceability\": 0.316, \"Energy\": -0.6493940852919405, \"Loudness\": -10.381, \"Speechiness\": 0.0488, \"Acousticness\": 0.878, \"Liveness\": 0.0797, \"Tempo\": -1.5872844683588796, \"Duration (ms)\": 245440.0, \"Valence\": 0.221, \"Chord\": \"A\", \"pred\": \"Taylor Swift\"}, {\"Index\": 695, \"Highest Charting Position\": 28, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"happiness\", \"Streams\": \"16,213,589\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"73YUReisjb3A9ActdLLjJQ\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2020-12-11--2020-12-18\", \"Popularity\": 65.0, \"Danceability\": 0.559, \"Energy\": -0.7926929552512828, \"Loudness\": -10.733, \"Speechiness\": 0.0376, \"Acousticness\": 0.87, \"Liveness\": 0.114, \"Tempo\": 0.006543172929673074, \"Duration (ms)\": 315147.0, \"Valence\": 0.211, \"Chord\": \"B\", \"pred\": \"Taylor Swift\"}, {\"Index\": 696, \"Highest Charting Position\": 34, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"ivy\", \"Streams\": \"14,519,547\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"19CSr8rwW05VJL2F91KFNK\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2020-12-11--2020-12-18\", \"Popularity\": 66.0, \"Danceability\": 0.515, \"Energy\": 0.32716117665320854, \"Loudness\": -9.277, \"Speechiness\": 0.0353, \"Acousticness\": 0.855, \"Liveness\": 0.0921, \"Tempo\": -1.1170534007230015, \"Duration (ms)\": 260440.0, \"Valence\": 0.535, \"Chord\": \"D\", \"pred\": \"Taylor Swift\"}, {\"Index\": 697, \"Highest Charting Position\": 38, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"dorothea\", \"Streams\": \"14,392,788\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"670fUmXf4KQekzbEgaXyPA\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2020-12-11--2020-12-18\", \"Popularity\": 64.0, \"Danceability\": 0.605, \"Energy\": 0.02464134007237415, \"Loudness\": -8.322, \"Speechiness\": 0.0264, \"Acousticness\": 0.696, \"Liveness\": 0.129, \"Tempo\": -0.06491815085590019, \"Duration (ms)\": 225880.0, \"Valence\": 0.354, \"Chord\": \"E\", \"pred\": \"Taylor Swift\"}, {\"Index\": 698, \"Highest Charting Position\": 39, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"coney island (feat. The National)\", \"Streams\": \"14,385,703\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"3k7ne7VmH43ZPWxPdvPUgR\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2020-12-11--2020-12-18\", \"Popularity\": 64.0, \"Danceability\": 0.537, \"Energy\": 0.28470225222081075, \"Loudness\": -11.266, \"Speechiness\": 0.0617, \"Acousticness\": 0.819, \"Liveness\": 0.142, \"Tempo\": -0.4731574501534179, \"Duration (ms)\": 275320.0, \"Valence\": 0.292, \"Chord\": \"G#/Ab\", \"pred\": \"Taylor Swift\"}, {\"Index\": 699, \"Highest Charting Position\": 43, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"evermore (feat. Bon Iver)\", \"Streams\": \"13,810,722\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"3O5osWf1rSoKMwe6E9ZaXP\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2020-12-11--2020-12-18\", \"Popularity\": 66.0, \"Danceability\": 0.39, \"Energy\": -1.132364350710465, \"Loudness\": -10.673, \"Speechiness\": 0.0308, \"Acousticness\": 0.937, \"Liveness\": 0.111, \"Tempo\": 0.11131703998490591, \"Duration (ms)\": 304107.0, \"Valence\": 0.32, \"Chord\": \"C#/Db\", \"pred\": \"Taylor Swift\"}, {\"Index\": 700, \"Highest Charting Position\": 45, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"long story short\", \"Streams\": \"13,583,538\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"2o2sgVJIgFXk8GQjWTgI6U\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2020-12-11--2020-12-18\", \"Popularity\": 66.0, \"Danceability\": 0.546, \"Energy\": 1.3090238041524067, \"Loudness\": -7.704, \"Speechiness\": 0.0417, \"Acousticness\": 0.66, \"Liveness\": 0.0972, \"Tempo\": 1.2178345939917148, \"Duration (ms)\": 215920.0, \"Valence\": 0.573, \"Chord\": \"C\", \"pred\": \"Taylor Swift\"}, {\"Index\": 701, \"Highest Charting Position\": 53, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"cowboy like me\", \"Streams\": \"12,782,098\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"1XjHRolIXL2M1EEOUsGGR4\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2020-12-11--2020-12-18\", \"Popularity\": 64.0, \"Danceability\": 0.604, \"Energy\": 0.1785549411398162, \"Loudness\": -9.014, \"Speechiness\": 0.0347, \"Acousticness\": 0.768, \"Liveness\": 0.123, \"Tempo\": 0.205674396048204, \"Duration (ms)\": 275040.0, \"Valence\": 0.511, \"Chord\": \"C\", \"pred\": \"Taylor Swift\"}, {\"Index\": 702, \"Highest Charting Position\": 57, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"marjorie\", \"Streams\": \"12,234,761\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"12ntTeqEeTg7GAVpe8Mhpl\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2020-12-11--2020-12-18\", \"Popularity\": 64.0, \"Danceability\": 0.535, \"Energy\": 0.4120790255180042, \"Loudness\": -11.609, \"Speechiness\": 0.0484, \"Acousticness\": 0.876, \"Liveness\": 0.115, \"Tempo\": -0.871961013844606, \"Duration (ms)\": 257773.0, \"Valence\": 0.287, \"Chord\": \"F\", \"pred\": \"Taylor Swift\"}, {\"Index\": 703, \"Highest Charting Position\": 70, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"closure\", \"Streams\": \"11,245,393\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"35rdVq36LMHQX0Suw9a6tK\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2020-12-11--2020-12-18\", \"Popularity\": 62.0, \"Danceability\": 0.689, \"Energy\": 1.1710322997471139, \"Loudness\": -10.813, \"Speechiness\": 0.245, \"Acousticness\": 0.835, \"Liveness\": 0.134, \"Tempo\": 1.0145435304445862, \"Duration (ms)\": 180653.0, \"Valence\": 0.92, \"Chord\": \"A\", \"pred\": \"Taylor Swift\"}, {\"Index\": 714, \"Highest Charting Position\": 1, \"Number of Times Charted\": 12, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"cardigan\", \"Streams\": \"5,845,457\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"4R2kfaDFhslZEMJqAFNpdd\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-12-11--2020-12-18\\n2020-10-02--2020-10-09\\n2020-09-25--2020-10-02\\n2020-09-18--2020-09-25\\n2020-09-11--2020-09-18\\n2020-09-04--2020-09-11\\n2020-08-28--2020-09-04\\n2020-08-21--2020-08-28\\n2020-08-14--2020-08-21\\n2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 79.0, \"Danceability\": 0.613, \"Energy\": 0.5182263365989981, \"Loudness\": -8.588, \"Speechiness\": 0.0424, \"Acousticness\": 0.537, \"Liveness\": 0.25, \"Tempo\": 0.2755461873122805, \"Duration (ms)\": 239560.0, \"Valence\": 0.551, \"Chord\": \"C\", \"pred\": \"Taylor Swift\"}, {\"Index\": 788, \"Highest Charting Position\": 5, \"Number of Times Charted\": 12, \"Week of Highest Charting\": \"2020-07-31--2020-08-07\", \"Song Name\": \"my future\", \"Streams\": \"4,721,082\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 47061119.0, \"Song ID\": \"3YUMWmx8EJq0DurfuIwoGh\", \"Genre\": \"['electropop', 'pop']\", \"Release Date\": \"2021-07-30\", \"Weeks Charted\": \"2020-11-13--2020-11-20\\n2020-10-09--2020-10-16\\n2020-10-02--2020-10-09\\n2020-09-25--2020-10-02\\n2020-09-18--2020-09-25\\n2020-09-11--2020-09-18\\n2020-09-04--2020-09-11\\n2020-08-28--2020-09-04\\n2020-08-21--2020-08-28\\n2020-08-14--2020-08-21\\n2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\", \"Popularity\": 80.0, \"Danceability\": 0.456, \"Energy\": -1.0527538673997194, \"Loudness\": -10.755, \"Speechiness\": 0.0979, \"Acousticness\": 0.814, \"Liveness\": 0.307, \"Tempo\": -0.5747860720065402, \"Duration (ms)\": 210005.0, \"Valence\": 0.0809, \"Chord\": \"G#/Ab\", \"pred\": \"Taylor Swift\"}, {\"Index\": 890, \"Highest Charting Position\": 4, \"Number of Times Charted\": 9, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"exile (feat. Bon Iver)\", \"Streams\": \"4,924,533\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"4pvb0WLRcMtbPGmtejJJ6y\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-09-18--2020-09-25\\n2020-09-11--2020-09-18\\n2020-09-04--2020-09-11\\n2020-08-28--2020-09-04\\n2020-08-21--2020-08-28\\n2020-08-14--2020-08-21\\n2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 77.0, \"Danceability\": 0.298, \"Energy\": -0.5485541397649957, \"Loudness\": -8.426, \"Speechiness\": 0.0287, \"Acousticness\": 0.778, \"Liveness\": 0.11, \"Tempo\": -1.5653015717849927, \"Duration (ms)\": 285634.0, \"Valence\": 0.152, \"Chord\": \"F#/Gb\", \"pred\": \"Taylor Swift\"}, {\"Index\": 922, \"Highest Charting Position\": 5, \"Number of Times Charted\": 7, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"the 1\", \"Streams\": \"4,587,573\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"0Jlcvv8IykzHaSmj49uNW8\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-09-04--2020-09-11\\n2020-08-28--2020-09-04\\n2020-08-21--2020-08-28\\n2020-08-14--2020-08-21\\n2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 75.0, \"Danceability\": 0.777, \"Energy\": -0.6706235475081395, \"Loudness\": -6.942, \"Speechiness\": 0.0522, \"Acousticness\": 0.757, \"Liveness\": 0.108, \"Tempo\": 0.6086716200088723, \"Duration (ms)\": 210252.0, \"Valence\": 0.172, \"Chord\": \"C\", \"pred\": \"Taylor Swift\"}, {\"Index\": 943, \"Highest Charting Position\": 11, \"Number of Times Charted\": 5, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"august\", \"Streams\": \"4,586,236\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"3hUxzQpSfdDqwM3ZTFQY0K\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-08-21--2020-08-28\\n2020-08-14--2020-08-21\\n2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 76.0, \"Danceability\": 0.532, \"Energy\": 0.7411356898690866, \"Loudness\": -9.208, \"Speechiness\": 0.0331, \"Acousticness\": 0.538, \"Liveness\": 0.0925, \"Tempo\": -1.0804941527285836, \"Duration (ms)\": 261923.0, \"Valence\": 0.403, \"Chord\": \"F\", \"pred\": \"Taylor Swift\"}, {\"Index\": 949, \"Highest Charting Position\": 8, \"Number of Times Charted\": 5, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"the last great american dynasty\", \"Streams\": \"4,389,670\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"2Eeur20xVqfUoM3Q7EFPFt\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-08-21--2020-08-28\\n2020-08-14--2020-08-21\\n2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 71.0, \"Danceability\": 0.686, \"Energy\": 0.948122946477026, \"Loudness\": -8.505, \"Speechiness\": 0.0413, \"Acousticness\": 0.467, \"Liveness\": 0.109, \"Tempo\": 0.8805493208665263, \"Duration (ms)\": 230999.0, \"Valence\": 0.706, \"Chord\": \"G\", \"pred\": \"Taylor Swift\"}, {\"Index\": 951, \"Highest Charting Position\": 10, \"Number of Times Charted\": 4, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"my tears ricochet\", \"Streams\": \"5,111,416\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"1MgV7FIyNxIG7WzMRJV5HC\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-08-14--2020-08-21\\n2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 71.0, \"Danceability\": 0.456, \"Energy\": -1.169515909588813, \"Loudness\": -10.63, \"Speechiness\": 0.0332, \"Acousticness\": 0.806, \"Liveness\": 0.0749, \"Tempo\": 0.2696953548395392, \"Duration (ms)\": 255894.0, \"Valence\": 0.111, \"Chord\": \"C\", \"pred\": \"Taylor Swift\"}, {\"Index\": 961, \"Highest Charting Position\": 17, \"Number of Times Charted\": 4, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"invisible string\", \"Streams\": \"4,424,118\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"6VsvKPJ4xjVNKpI8VVZ3SV\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-08-14--2020-08-21\\n2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 71.0, \"Danceability\": 0.653, \"Energy\": -0.1664238198734157, \"Loudness\": -11.143, \"Speechiness\": 0.055, \"Acousticness\": 0.838, \"Liveness\": 0.108, \"Tempo\": -1.300458397830982, \"Duration (ms)\": 252881.0, \"Valence\": 0.45, \"Chord\": \"E\", \"pred\": \"Taylor Swift\"}, {\"Index\": 966, \"Highest Charting Position\": 13, \"Number of Times Charted\": 3, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"mirrorball\", \"Streams\": \"5,564,072\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"0ZNU020wNYvgW84iljPkPP\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 70.0, \"Danceability\": 0.553, \"Energy\": -0.373411076481355, \"Loudness\": -10.037, \"Speechiness\": 0.0334, \"Acousticness\": 0.687, \"Liveness\": 0.0594, \"Tempo\": -0.39834796212043716, \"Duration (ms)\": 208978.0, \"Valence\": 0.379, \"Chord\": \"D\", \"pred\": \"Taylor Swift\"}, {\"Index\": 967, \"Highest Charting Position\": 15, \"Number of Times Charted\": 3, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"seven\", \"Streams\": \"5,459,423\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"6KJqZcs9XDgVck7Lg9QOTC\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 69.0, \"Danceability\": 0.596, \"Energy\": 0.02464134007237415, \"Loudness\": -10.769, \"Speechiness\": 0.0274, \"Acousticness\": 0.9, \"Liveness\": 0.091, \"Tempo\": -0.9117669665637821, \"Duration (ms)\": 208907.0, \"Valence\": 0.415, \"Chord\": \"E\", \"pred\": \"Taylor Swift\"}, {\"Index\": 968, \"Highest Charting Position\": 18, \"Number of Times Charted\": 3, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"this is me trying\", \"Streams\": \"5,128,412\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"7kt9e9LFSpN1zQtYEl19o1\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 70.0, \"Danceability\": 0.515, \"Energy\": -0.039047046576222565, \"Loudness\": -9.843, \"Speechiness\": 0.0328, \"Acousticness\": 0.314, \"Liveness\": 0.171, \"Tempo\": 0.47349371599990997, \"Duration (ms)\": 195097.0, \"Valence\": 0.412, \"Chord\": \"A\", \"pred\": \"Taylor Swift\"}, {\"Index\": 969, \"Highest Charting Position\": 24, \"Number of Times Charted\": 3, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"betty\", \"Streams\": \"5,112,180\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"5kI4eCXXzyuIUXjQra0Cxi\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 71.0, \"Danceability\": 0.593, \"Energy\": -0.5644762364271448, \"Loudness\": -8.761, \"Speechiness\": 0.0253, \"Acousticness\": 0.6, \"Liveness\": 0.0976, \"Tempo\": -0.877507467749402, \"Duration (ms)\": 294521.0, \"Valence\": 0.502, \"Chord\": \"C\", \"pred\": \"Taylor Swift\"}, {\"Index\": 971, \"Highest Charting Position\": 20, \"Number of Times Charted\": 3, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"illicit affairs\", \"Streams\": \"5,053,658\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"2NmsngXHeC1GQ9wWrzhOMf\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 70.0, \"Danceability\": 0.559, \"Energy\": -0.9200697285484762, \"Loudness\": -10.445, \"Speechiness\": 0.0338, \"Acousticness\": 0.881, \"Liveness\": 0.106, \"Tempo\": -0.06901035160273125, \"Duration (ms)\": 190898.0, \"Valence\": 0.46, \"Chord\": \"A#/Bb\", \"pred\": \"Taylor Swift\"}, {\"Index\": 977, \"Highest Charting Position\": 29, \"Number of Times Charted\": 2, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"mad woman\", \"Streams\": \"6,796,343\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"2QDyYdZyhlP2fp79KZX8Bi\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 67.0, \"Danceability\": 0.592, \"Energy\": 1.1444954719768652, \"Loudness\": -8.995, \"Speechiness\": 0.0471, \"Acousticness\": 0.655, \"Liveness\": 0.114, \"Tempo\": 0.6774273565238129, \"Duration (ms)\": 237258.0, \"Valence\": 0.506, \"Chord\": \"D#/Eb\", \"pred\": \"Taylor Swift\"}, {\"Index\": 978, \"Highest Charting Position\": 33, \"Number of Times Charted\": 2, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"epiphany\", \"Streams\": \"6,085,522\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"08fa9LFcFBTcilB3iq2e2A\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 66.0, \"Danceability\": 0.354, \"Energy\": -1.1482864473726142, \"Loudness\": -13.69, \"Speechiness\": 0.0281, \"Acousticness\": 0.731, \"Liveness\": 0.0858, \"Tempo\": -0.9356775940679946, \"Duration (ms)\": 289749.0, \"Valence\": 0.113, \"Chord\": \"C#/Db\", \"pred\": \"Taylor Swift\"}, {\"Index\": 979, \"Highest Charting Position\": 41, \"Number of Times Charted\": 2, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"peace\", \"Streams\": \"5,943,851\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"7MbT4I8qGntX4fMdqMQgke\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 67.0, \"Danceability\": 0.647, \"Energy\": -1.1217496196023655, \"Loudness\": -12.906, \"Speechiness\": 0.0916, \"Acousticness\": 0.918, \"Liveness\": 0.0918, \"Tempo\": 0.9523150232200461, \"Duration (ms)\": 234000.0, \"Valence\": 0.339, \"Chord\": \"F\", \"pred\": \"Billie Eilish\"}, {\"Index\": 984, \"Highest Charting Position\": 47, \"Number of Times Charted\": 2, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"hoax\", \"Streams\": \"5,375,944\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"6MWoRt97mnSTXZhu3ggi9C\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 66.0, \"Danceability\": 0.662, \"Energy\": -1.6047198850208904, \"Loudness\": -15.065, \"Speechiness\": 0.0415, \"Acousticness\": 0.966, \"Liveness\": 0.133, \"Tempo\": -0.10370950834858923, \"Duration (ms)\": 220043.0, \"Valence\": 0.429, \"Chord\": \"G#/Ab\", \"pred\": \"Taylor Swift\"}, {\"Index\": 992, \"Highest Charting Position\": 101, \"Number of Times Charted\": 22, \"Week of Highest Charting\": \"2020-02-14--2020-02-21\", \"Song Name\": \"ocean eyes\", \"Streams\": \"4,476,954\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 1251372.0, \"Song ID\": \"6pFTDHGJtKOxrQ85xRZ8Ue\", \"Genre\": \"[]\", \"Release Date\": \"2021-08-13\", \"Weeks Charted\": \"2020-07-31--2020-08-07\\n2020-05-15--2020-05-22\\n2020-05-08--2020-05-15\\n2020-05-01--2020-05-08\\n2020-04-24--2020-05-01\\n2020-04-17--2020-04-24\\n2020-04-10--2020-04-17\\n2020-04-03--2020-04-10\\n2020-03-27--2020-04-03\\n2020-03-20--2020-03-27\\n2020-03-13--2020-03-20\\n2020-03-06--2020-03-13\\n2020-02-28--2020-03-06\\n2020-02-21--2020-02-28\\n2020-02-14--2020-02-21\\n2020-02-07--2020-02-14\\n2020-01-31--2020-02-07\\n2020-01-24--2020-01-31\\n2020-01-17--2020-01-24\\n2020-01-10--2020-01-17\\n2020-01-03--2020-01-10\\n2019-12-27--2020-01-03\", \"Popularity\": 1.0, \"Danceability\": 0.358, \"Energy\": -0.5910130641973935, \"Loudness\": -7.664, \"Speechiness\": 0.0464, \"Acousticness\": 0.81, \"Liveness\": 0.0877, \"Tempo\": 0.7760798323792399, \"Duration (ms)\": 200387.0, \"Valence\": 0.16, \"Chord\": \"E\", \"pred\": \"Taylor Swift\"}, {\"Index\": 1196, \"Highest Charting Position\": 4, \"Number of Times Charted\": 13, \"Week of Highest Charting\": \"2020-02-14--2020-02-21\", \"Song Name\": \"No Time To Die\", \"Streams\": \"4,293,009\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 47061119.0, \"Song ID\": \"73SpzrcaHk0RQPFP73vqVR\", \"Genre\": \"['electropop', 'pop']\", \"Release Date\": \"2020-02-13\", \"Weeks Charted\": \"2020-05-08--2020-05-15\\n2020-05-01--2020-05-08\\n2020-04-24--2020-05-01\\n2020-04-17--2020-04-24\\n2020-04-10--2020-04-17\\n2020-04-03--2020-04-10\\n2020-03-27--2020-04-03\\n2020-03-20--2020-03-27\\n2020-03-13--2020-03-20\\n2020-03-06--2020-03-13\\n2020-02-28--2020-03-06\\n2020-02-21--2020-02-28\\n2020-02-14--2020-02-21\", \"Popularity\": 75.0, \"Danceability\": 0.38, \"Energy\": -1.4030399939670009, \"Loudness\": -13.273, \"Speechiness\": 0.0358, \"Acousticness\": 0.917, \"Liveness\": 0.0827, \"Tempo\": -1.6351395432081866, \"Duration (ms)\": 242265.0, \"Valence\": 0.0517, \"Chord\": \"E\", \"pred\": \"Taylor Swift\"}, {\"Index\": 1375, \"Highest Charting Position\": 140, \"Number of Times Charted\": 9, \"Week of Highest Charting\": \"2020-01-31--2020-02-07\", \"Song Name\": \"You Need To Calm Down\", \"Streams\": \"5,115,153\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"6RRNNciQGZEXnqk8SQ9yv5\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2019-08-23\", \"Weeks Charted\": \"2020-02-28--2020-03-06\\n2020-02-21--2020-02-28\\n2020-02-14--2020-02-21\\n2020-02-07--2020-02-14\\n2020-01-31--2020-02-07\\n2020-01-24--2020-01-31\\n2020-01-10--2020-01-17\\n2020-01-03--2020-01-10\\n2019-12-27--2020-01-03\", \"Popularity\": 78.0, \"Danceability\": 0.771, \"Energy\": 0.9958892364634735, \"Loudness\": -5.617, \"Speechiness\": 0.0553, \"Acousticness\": 0.00929, \"Liveness\": 0.0637, \"Tempo\": -1.2465833913045186, \"Duration (ms)\": 171360.0, \"Valence\": 0.714, \"Chord\": \"D\", \"pred\": \"Taylor Swift\"}, {\"Index\": 1380, \"Highest Charting Position\": 91, \"Number of Times Charted\": 10, \"Week of Highest Charting\": \"2020-01-24--2020-01-31\", \"Song Name\": \"bury a friend\", \"Streams\": \"5,020,303\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 1251372.0, \"Song ID\": \"7p6ZK1vOxKELFwlDfwkJCp\", \"Genre\": \"[]\", \"Release Date\": \"2021-08-13\", \"Weeks Charted\": \"2020-02-28--2020-03-06\\n2020-02-21--2020-02-28\\n2020-02-14--2020-02-21\\n2020-02-07--2020-02-14\\n2020-01-31--2020-02-07\\n2020-01-24--2020-01-31\\n2020-01-17--2020-01-24\\n2020-01-10--2020-01-17\\n2020-01-03--2020-01-10\\n2019-12-27--2020-01-03\", \"Popularity\": 1.0, \"Danceability\": 0.887, \"Energy\": -0.5060952153325979, \"Loudness\": -14.505, \"Speechiness\": 0.349, \"Acousticness\": 0.739, \"Liveness\": 0.106, \"Tempo\": -0.06258458183497982, \"Duration (ms)\": 193143.0, \"Valence\": 0.205, \"Chord\": \"G#/Ab\", \"pred\": \"Taylor Swift\"}, {\"Index\": 1394, \"Highest Charting Position\": 118, \"Number of Times Charted\": 8, \"Week of Highest Charting\": \"2020-01-24--2020-01-31\", \"Song Name\": \"all the good girls go to hell\", \"Streams\": \"5,074,485\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 47061119.0, \"Song ID\": \"6IRdLKIyS4p7XNiP8r6rsx\", \"Genre\": \"['electropop', 'pop']\", \"Release Date\": \"2019-03-29\", \"Weeks Charted\": \"2020-02-21--2020-02-28\\n2020-02-14--2020-02-21\\n2020-02-07--2020-02-14\\n2020-01-31--2020-02-07\\n2020-01-24--2020-01-31\\n2020-01-10--2020-01-17\\n2020-01-03--2020-01-10\\n2019-12-27--2020-01-03\", \"Popularity\": 75.0, \"Danceability\": 0.726, \"Energy\": -0.20888274430581352, \"Loudness\": -8.922, \"Speechiness\": 0.372, \"Acousticness\": 0.283, \"Liveness\": 0.177, \"Tempo\": 2.1360094541216386, \"Duration (ms)\": 168840.0, \"Valence\": 0.569, \"Chord\": \"G#/Ab\", \"pred\": \"Taylor Swift\"}, {\"Index\": 1401, \"Highest Charting Position\": 148, \"Number of Times Charted\": 6, \"Week of Highest Charting\": \"2020-01-24--2020-01-31\", \"Song Name\": \"i love you\", \"Streams\": \"4,863,910\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 1251372.0, \"Song ID\": \"0np7TYPZSum9xTxe9QTr21\", \"Genre\": \"[]\", \"Release Date\": \"2021-08-13\", \"Weeks Charted\": \"2020-02-21--2020-02-28\\n2020-02-14--2020-02-21\\n2020-02-07--2020-02-14\\n2020-01-31--2020-02-07\\n2020-01-24--2020-01-31\\n2020-01-03--2020-01-10\", \"Popularity\": 2.0, \"Danceability\": 0.42, \"Energy\": -1.8700881627233765, \"Loudness\": -18.435, \"Speechiness\": 0.0382, \"Acousticness\": 0.953, \"Liveness\": 0.109, \"Tempo\": 0.5254071717551654, \"Duration (ms)\": 291796.0, \"Valence\": 0.12, \"Chord\": \"C\", \"pred\": \"Taylor Swift\"}, {\"Index\": 1425, \"Highest Charting Position\": 141, \"Number of Times Charted\": 6, \"Week of Highest Charting\": \"2020-01-24--2020-01-31\", \"Song Name\": \"wish you were gay\", \"Streams\": \"5,187,997\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 47061119.0, \"Song ID\": \"3Fj47GNK2kUF0uaEDgXLaD\", \"Genre\": \"['electropop', 'pop']\", \"Release Date\": \"2019-03-29\", \"Weeks Charted\": \"2020-02-14--2020-02-21\\n2020-02-07--2020-02-14\\n2020-01-31--2020-02-07\\n2020-01-24--2020-01-31\\n2020-01-03--2020-01-10\\n2019-12-27--2020-01-03\", \"Popularity\": 76.0, \"Danceability\": 0.853, \"Energy\": -0.7024677408324378, \"Loudness\": -10.198, \"Speechiness\": 0.241, \"Acousticness\": 0.39, \"Liveness\": 0.752, \"Tempo\": -0.13046100248696513, \"Duration (ms)\": 221543.0, \"Valence\": 0.282, \"Chord\": \"G\", \"pred\": \"Taylor Swift\"}, {\"Index\": 1426, \"Highest Charting Position\": 61, \"Number of Times Charted\": 3, \"Week of Highest Charting\": \"2020-01-31--2020-02-07\", \"Song Name\": \"Only The Young - Featured in Miss Americana\", \"Streams\": \"5,111,068\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"2slqvGLwzZZYsT4K4Y1GBC\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-01-31\", \"Weeks Charted\": \"2020-02-14--2020-02-21\\n2020-02-07--2020-02-14\\n2020-01-31--2020-02-07\", \"Popularity\": 63.0, \"Danceability\": 0.56, \"Energy\": 1.574392081854893, \"Loudness\": -4.895, \"Speechiness\": 0.0517, \"Acousticness\": 0.00244, \"Liveness\": 0.0714, \"Tempo\": -0.9594529422086747, \"Duration (ms)\": 157507.0, \"Valence\": 0.602, \"Chord\": \"F\", \"pred\": \"Taylor Swift\"}, {\"Index\": 1429, \"Highest Charting Position\": 167, \"Number of Times Charted\": 4, \"Week of Highest Charting\": \"2020-01-24--2020-01-31\", \"Song Name\": \"you should see me in a crown\", \"Streams\": \"4,988,054\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 1251372.0, \"Song ID\": \"6WbvBhwCaUuYHcHGEuVgqo\", \"Genre\": \"[]\", \"Release Date\": \"2021-08-13\", \"Weeks Charted\": \"2020-02-14--2020-02-21\\n2020-02-07--2020-02-14\\n2020-01-31--2020-02-07\\n2020-01-24--2020-01-31\", \"Popularity\": 0.0, \"Danceability\": 0.683, \"Energy\": 0.2687801555586616, \"Loudness\": -10.348, \"Speechiness\": 0.189, \"Acousticness\": 0.519, \"Liveness\": 0.148, \"Tempo\": 0.9666884555952792, \"Duration (ms)\": 180567.0, \"Valence\": 0.284, \"Chord\": \"E\", \"pred\": \"Taylor Swift\"}, {\"Index\": 1467, \"Highest Charting Position\": 193, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2020-01-31--2020-02-07\", \"Song Name\": \"ME! (feat. Brendon Urie of Panic! At The Disco)\", \"Streams\": \"4,884,909\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"2Rk4JlNc2TPmZe2af99d45\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2019-08-23\", \"Weeks Charted\": \"2020-01-31--2020-02-07\", \"Popularity\": 77.0, \"Danceability\": 0.61, \"Energy\": 1.8397603595573788, \"Loudness\": -4.105, \"Speechiness\": 0.0571, \"Acousticness\": 0.033, \"Liveness\": 0.118, \"Tempo\": 2.038540672697113, \"Duration (ms)\": 193000.0, \"Valence\": 0.728, \"Chord\": \"C\", \"pred\": \"Taylor Swift\"}, {\"Index\": 1469, \"Highest Charting Position\": 191, \"Number of Times Charted\": 2, \"Week of Highest Charting\": \"2020-01-24--2020-01-31\", \"Song Name\": \"idontwannabeyouanymore\", \"Streams\": \"4,824,483\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 47061119.0, \"Song ID\": \"41zXlQxzTi6cGAjpOXyLYH\", \"Genre\": \"['electropop', 'pop']\", \"Release Date\": \"2017-12-22\", \"Weeks Charted\": \"2020-01-31--2020-02-07\\n2020-01-24--2020-01-31\", \"Popularity\": 78.0, \"Danceability\": 0.483, \"Energy\": -0.3787184420354048, \"Loudness\": -8.461, \"Speechiness\": 0.0402, \"Acousticness\": 0.737, \"Liveness\": 0.116, \"Tempo\": 1.6327364019431643, \"Duration (ms)\": 203569.0, \"Valence\": 0.247, \"Chord\": \"G\", \"pred\": \"Taylor Swift\"}, {\"Index\": 1556, \"Highest Charting Position\": 199, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2019-12-27--2020-01-03\", \"Song Name\": \"Lover (Remix) [feat. Shawn Mendes]\", \"Streams\": \"4,595,450\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"3i9UVldZOE0aD0JnyfAZZ0\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2019-11-13\", \"Weeks Charted\": \"2019-12-27--2020-01-03\", \"Popularity\": 70.0, \"Danceability\": 0.448, \"Energy\": 0.6349883787880921, \"Loudness\": -7.176, \"Speechiness\": 0.064, \"Acousticness\": 0.433, \"Liveness\": 0.0862, \"Tempo\": 2.8201171955009925, \"Duration (ms)\": 221307.0, \"Valence\": 0.422, \"Chord\": \"G\", \"pred\": \"Taylor Swift\"}]}}, {\"mode\": \"vega-lite\"});\n",
       "</script>"
      ],
      "text/plain": [
       "alt.Chart(...)"
      ]
     },
     "execution_count": 4,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "k = 20\n",
    "j = \"hello\"\n",
    "\n",
    "clf = KNeighborsClassifier(n_neighbors=k)\n",
    "clf.fit(X_train, y_train)\n",
    "df[\"pred\"] = clf.predict(df[[\"Tempo\",\"Energy\"]])\n",
    "c = alt.Chart(df).mark_circle().encode(\n",
    "    x=\"Tempo\",\n",
    "    y=\"Energy\",\n",
    "    color=alt.Color(\"pred\", title=\"Predicted Artist\"),\n",
    ").properties(\n",
    "    title=f\"n_neighbors = {k}\",\n",
    "    width=700,\n",
    "    height=100,\n",
    ")\n",
    "\n",
    "c.configure_legend(\n",
    "    strokeColor='gray',\n",
    "    fillColor='#EEEEEE',\n",
    "    padding=10,\n",
    "    cornerRadius=10,\n",
    "    orient='top-right'\n",
    ")"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {
    "cell_id": "da6669b9-f25b-422e-9553-eb3e75ef25b7",
    "deepnote_cell_type": "markdown",
    "deepnote_to_be_reexecuted": false,
    "execution_millis": 2,
    "execution_start": 1646147415058,
    "source_hash": "edf3c2f8",
    "tags": []
   },
   "source": [
    "## DRY (Don't Repeat Yourself)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "metadata": {
    "cell_id": "8f49bda7-fcb8-411c-a079-56438d3f4ae0",
    "deepnote_cell_type": "code",
    "deepnote_to_be_reexecuted": false,
    "execution_millis": 4,
    "execution_start": 1646148257165,
    "source_hash": "b34020b0",
    "tags": []
   },
   "outputs": [],
   "source": [
    "def make_chart(k):\n",
    "    clf = KNeighborsClassifier(n_neighbors=k)\n",
    "    clf.fit(X_train, y_train)\n",
    "    df[f\"pred{k}\"] = clf.predict(df[[\"Tempo\",\"Energy\"]])\n",
    "    c = alt.Chart(df).mark_circle().encode(\n",
    "        x=\"Tempo\",\n",
    "        y=\"Energy\",\n",
    "        color=alt.Color(f\"pred{k}\", title=\"Predicted Artist\"),\n",
    "    ).properties(\n",
    "        title=f\"n_neighbors = {k}\",\n",
    "        width=700,\n",
    "        height=100,\n",
    "    )\n",
    "    return c"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 6,
   "metadata": {
    "cell_id": "08ec3c77-5876-4a6e-a619-6a66aa928556",
    "deepnote_cell_type": "code",
    "deepnote_to_be_reexecuted": false,
    "execution_millis": 514,
    "execution_start": 1646148381025,
    "source_hash": "31ce364a",
    "tags": []
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "<div id=\"altair-viz-d705787bc9d14453bb5d5f6862594a2a\"></div>\n",
       "<script type=\"text/javascript\">\n",
       "  var VEGA_DEBUG = (typeof VEGA_DEBUG == \"undefined\") ? {} : VEGA_DEBUG;\n",
       "  (function(spec, embedOpt){\n",
       "    let outputDiv = document.currentScript.previousElementSibling;\n",
       "    if (outputDiv.id !== \"altair-viz-d705787bc9d14453bb5d5f6862594a2a\") {\n",
       "      outputDiv = document.getElementById(\"altair-viz-d705787bc9d14453bb5d5f6862594a2a\");\n",
       "    }\n",
       "    const paths = {\n",
       "      \"vega\": \"https://cdn.jsdelivr.net/npm//vega@5?noext\",\n",
       "      \"vega-lib\": \"https://cdn.jsdelivr.net/npm//vega-lib?noext\",\n",
       "      \"vega-lite\": \"https://cdn.jsdelivr.net/npm//vega-lite@4.17.0?noext\",\n",
       "      \"vega-embed\": \"https://cdn.jsdelivr.net/npm//vega-embed@6?noext\",\n",
       "    };\n",
       "\n",
       "    function maybeLoadScript(lib, version) {\n",
       "      var key = `${lib.replace(\"-\", \"\")}_version`;\n",
       "      return (VEGA_DEBUG[key] == version) ?\n",
       "        Promise.resolve(paths[lib]) :\n",
       "        new Promise(function(resolve, reject) {\n",
       "          var s = document.createElement('script');\n",
       "          document.getElementsByTagName(\"head\")[0].appendChild(s);\n",
       "          s.async = true;\n",
       "          s.onload = () => {\n",
       "            VEGA_DEBUG[key] = version;\n",
       "            return resolve(paths[lib]);\n",
       "          };\n",
       "          s.onerror = () => reject(`Error loading script: ${paths[lib]}`);\n",
       "          s.src = paths[lib];\n",
       "        });\n",
       "    }\n",
       "\n",
       "    function showError(err) {\n",
       "      outputDiv.innerHTML = `<div class=\"error\" style=\"color:red;\">${err}</div>`;\n",
       "      throw err;\n",
       "    }\n",
       "\n",
       "    function displayChart(vegaEmbed) {\n",
       "      vegaEmbed(outputDiv, spec, embedOpt)\n",
       "        .catch(err => showError(`Javascript Error: ${err.message}<br>This usually means there's a typo in your chart specification. See the javascript console for the full traceback.`));\n",
       "    }\n",
       "\n",
       "    if(typeof define === \"function\" && define.amd) {\n",
       "      requirejs.config({paths});\n",
       "      require([\"vega-embed\"], displayChart, err => showError(`Error loading script: ${err.message}`));\n",
       "    } else {\n",
       "      maybeLoadScript(\"vega\", \"5\")\n",
       "        .then(() => maybeLoadScript(\"vega-lite\", \"4.17.0\"))\n",
       "        .then(() => maybeLoadScript(\"vega-embed\", \"6\"))\n",
       "        .catch(showError)\n",
       "        .then(() => displayChart(vegaEmbed));\n",
       "    }\n",
       "  })({\"config\": {\"view\": {\"continuousWidth\": 400, \"continuousHeight\": 300}}, \"vconcat\": [{\"mark\": \"circle\", \"encoding\": {\"color\": {\"field\": \"pred1\", \"title\": \"Predicted Artist\", \"type\": \"nominal\"}, \"x\": {\"field\": \"Tempo\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Energy\", \"type\": \"quantitative\"}}, \"height\": 100, \"title\": \"n_neighbors = 1\", \"width\": 700}, {\"mark\": \"circle\", \"encoding\": {\"color\": {\"field\": \"pred2\", \"title\": \"Predicted Artist\", \"type\": \"nominal\"}, \"x\": {\"field\": \"Tempo\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Energy\", \"type\": \"quantitative\"}}, \"height\": 100, \"title\": \"n_neighbors = 2\", \"width\": 700}, {\"mark\": \"circle\", \"encoding\": {\"color\": {\"field\": \"pred3\", \"title\": \"Predicted Artist\", \"type\": \"nominal\"}, \"x\": {\"field\": \"Tempo\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Energy\", \"type\": \"quantitative\"}}, \"height\": 100, \"title\": \"n_neighbors = 3\", \"width\": 700}, {\"mark\": \"circle\", \"encoding\": {\"color\": {\"field\": \"pred4\", \"title\": \"Predicted Artist\", \"type\": \"nominal\"}, \"x\": {\"field\": \"Tempo\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Energy\", \"type\": \"quantitative\"}}, \"height\": 100, \"title\": \"n_neighbors = 4\", \"width\": 700}, {\"mark\": \"circle\", \"encoding\": {\"color\": {\"field\": \"pred5\", \"title\": \"Predicted Artist\", \"type\": \"nominal\"}, \"x\": {\"field\": \"Tempo\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Energy\", \"type\": \"quantitative\"}}, \"height\": 100, \"title\": \"n_neighbors = 5\", \"width\": 700}, {\"mark\": \"circle\", \"encoding\": {\"color\": {\"field\": \"pred6\", \"title\": \"Predicted Artist\", \"type\": \"nominal\"}, \"x\": {\"field\": \"Tempo\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Energy\", \"type\": \"quantitative\"}}, \"height\": 100, \"title\": \"n_neighbors = 6\", \"width\": 700}, {\"mark\": \"circle\", \"encoding\": {\"color\": {\"field\": \"pred7\", \"title\": \"Predicted Artist\", \"type\": \"nominal\"}, \"x\": {\"field\": \"Tempo\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Energy\", \"type\": \"quantitative\"}}, \"height\": 100, \"title\": \"n_neighbors = 7\", \"width\": 700}, {\"mark\": \"circle\", \"encoding\": {\"color\": {\"field\": \"pred8\", \"title\": \"Predicted Artist\", \"type\": \"nominal\"}, \"x\": {\"field\": \"Tempo\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Energy\", \"type\": \"quantitative\"}}, \"height\": 100, \"title\": \"n_neighbors = 8\", \"width\": 700}, {\"mark\": \"circle\", \"encoding\": {\"color\": {\"field\": \"pred9\", \"title\": \"Predicted Artist\", \"type\": \"nominal\"}, \"x\": {\"field\": \"Tempo\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Energy\", \"type\": \"quantitative\"}}, \"height\": 100, \"title\": \"n_neighbors = 9\", \"width\": 700}, {\"mark\": \"circle\", \"encoding\": {\"color\": {\"field\": \"pred10\", \"title\": \"Predicted Artist\", \"type\": \"nominal\"}, \"x\": {\"field\": \"Tempo\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Energy\", \"type\": \"quantitative\"}}, \"height\": 100, \"title\": \"n_neighbors = 10\", \"width\": 700}, {\"mark\": \"circle\", \"encoding\": {\"color\": {\"field\": \"pred11\", \"title\": \"Predicted Artist\", \"type\": \"nominal\"}, \"x\": {\"field\": \"Tempo\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Energy\", \"type\": \"quantitative\"}}, \"height\": 100, \"title\": \"n_neighbors = 11\", \"width\": 700}, {\"mark\": \"circle\", \"encoding\": {\"color\": {\"field\": \"pred12\", \"title\": \"Predicted Artist\", \"type\": \"nominal\"}, \"x\": {\"field\": \"Tempo\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Energy\", \"type\": \"quantitative\"}}, \"height\": 100, \"title\": \"n_neighbors = 12\", \"width\": 700}, {\"mark\": \"circle\", \"encoding\": {\"color\": {\"field\": \"pred13\", \"title\": \"Predicted Artist\", \"type\": \"nominal\"}, \"x\": {\"field\": \"Tempo\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Energy\", \"type\": \"quantitative\"}}, \"height\": 100, \"title\": \"n_neighbors = 13\", \"width\": 700}, {\"mark\": \"circle\", \"encoding\": {\"color\": {\"field\": \"pred14\", \"title\": \"Predicted Artist\", \"type\": \"nominal\"}, \"x\": {\"field\": \"Tempo\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Energy\", \"type\": \"quantitative\"}}, \"height\": 100, \"title\": \"n_neighbors = 14\", \"width\": 700}, {\"mark\": \"circle\", \"encoding\": {\"color\": {\"field\": \"pred15\", \"title\": \"Predicted Artist\", \"type\": \"nominal\"}, \"x\": {\"field\": \"Tempo\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Energy\", \"type\": \"quantitative\"}}, \"height\": 100, \"title\": \"n_neighbors = 15\", \"width\": 700}, {\"mark\": \"circle\", \"encoding\": {\"color\": {\"field\": \"pred16\", \"title\": \"Predicted Artist\", \"type\": \"nominal\"}, \"x\": {\"field\": \"Tempo\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Energy\", \"type\": \"quantitative\"}}, \"height\": 100, \"title\": \"n_neighbors = 16\", \"width\": 700}, {\"mark\": \"circle\", \"encoding\": {\"color\": {\"field\": \"pred17\", \"title\": \"Predicted Artist\", \"type\": \"nominal\"}, \"x\": {\"field\": \"Tempo\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Energy\", \"type\": \"quantitative\"}}, \"height\": 100, \"title\": \"n_neighbors = 17\", \"width\": 700}, {\"mark\": \"circle\", \"encoding\": {\"color\": {\"field\": \"pred18\", \"title\": \"Predicted Artist\", \"type\": \"nominal\"}, \"x\": {\"field\": \"Tempo\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Energy\", \"type\": \"quantitative\"}}, \"height\": 100, \"title\": \"n_neighbors = 18\", \"width\": 700}, {\"mark\": \"circle\", \"encoding\": {\"color\": {\"field\": \"pred19\", \"title\": \"Predicted Artist\", \"type\": \"nominal\"}, \"x\": {\"field\": \"Tempo\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Energy\", \"type\": \"quantitative\"}}, \"height\": 100, \"title\": \"n_neighbors = 19\", \"width\": 700}, {\"mark\": \"circle\", \"encoding\": {\"color\": {\"field\": \"pred20\", \"title\": \"Predicted Artist\", \"type\": \"nominal\"}, \"x\": {\"field\": \"Tempo\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Energy\", \"type\": \"quantitative\"}}, \"height\": 100, \"title\": \"n_neighbors = 20\", \"width\": 700}, {\"mark\": \"circle\", \"encoding\": {\"color\": {\"field\": \"pred21\", \"title\": \"Predicted Artist\", \"type\": \"nominal\"}, \"x\": {\"field\": \"Tempo\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Energy\", \"type\": \"quantitative\"}}, \"height\": 100, \"title\": \"n_neighbors = 21\", \"width\": 700}, {\"mark\": \"circle\", \"encoding\": {\"color\": {\"field\": \"pred22\", \"title\": \"Predicted Artist\", \"type\": \"nominal\"}, \"x\": {\"field\": \"Tempo\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Energy\", \"type\": \"quantitative\"}}, \"height\": 100, \"title\": \"n_neighbors = 22\", \"width\": 700}, {\"mark\": \"circle\", \"encoding\": {\"color\": {\"field\": \"pred23\", \"title\": \"Predicted Artist\", \"type\": \"nominal\"}, \"x\": {\"field\": \"Tempo\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Energy\", \"type\": \"quantitative\"}}, \"height\": 100, \"title\": \"n_neighbors = 23\", \"width\": 700}, {\"mark\": \"circle\", \"encoding\": {\"color\": {\"field\": \"pred24\", \"title\": \"Predicted Artist\", \"type\": \"nominal\"}, \"x\": {\"field\": \"Tempo\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Energy\", \"type\": \"quantitative\"}}, \"height\": 100, \"title\": \"n_neighbors = 24\", \"width\": 700}, {\"mark\": \"circle\", \"encoding\": {\"color\": {\"field\": \"pred25\", \"title\": \"Predicted Artist\", \"type\": \"nominal\"}, \"x\": {\"field\": \"Tempo\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Energy\", \"type\": \"quantitative\"}}, \"height\": 100, \"title\": \"n_neighbors = 25\", \"width\": 700}, {\"mark\": \"circle\", \"encoding\": {\"color\": {\"field\": \"pred26\", \"title\": \"Predicted Artist\", \"type\": \"nominal\"}, \"x\": {\"field\": \"Tempo\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Energy\", \"type\": \"quantitative\"}}, \"height\": 100, \"title\": \"n_neighbors = 26\", \"width\": 700}, {\"mark\": \"circle\", \"encoding\": {\"color\": {\"field\": \"pred27\", \"title\": \"Predicted Artist\", \"type\": \"nominal\"}, \"x\": {\"field\": \"Tempo\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Energy\", \"type\": \"quantitative\"}}, \"height\": 100, \"title\": \"n_neighbors = 27\", \"width\": 700}, {\"mark\": \"circle\", \"encoding\": {\"color\": {\"field\": \"pred28\", \"title\": \"Predicted Artist\", \"type\": \"nominal\"}, \"x\": {\"field\": \"Tempo\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Energy\", \"type\": \"quantitative\"}}, \"height\": 100, \"title\": \"n_neighbors = 28\", \"width\": 700}, {\"mark\": \"circle\", \"encoding\": {\"color\": {\"field\": \"pred29\", \"title\": \"Predicted Artist\", \"type\": \"nominal\"}, \"x\": {\"field\": \"Tempo\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Energy\", \"type\": \"quantitative\"}}, \"height\": 100, \"title\": \"n_neighbors = 29\", \"width\": 700}, {\"mark\": \"circle\", \"encoding\": {\"color\": {\"field\": \"pred30\", \"title\": \"Predicted Artist\", \"type\": \"nominal\"}, \"x\": {\"field\": \"Tempo\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Energy\", \"type\": \"quantitative\"}}, \"height\": 100, \"title\": \"n_neighbors = 30\", \"width\": 700}], \"data\": {\"name\": \"data-684c75e6e2a7128eeb8f1ab654a495c3\"}, \"$schema\": \"https://vega.github.io/schema/vega-lite/v4.17.0.json\", \"datasets\": {\"data-684c75e6e2a7128eeb8f1ab654a495c3\": [{\"Index\": 53, \"Highest Charting Position\": 19, \"Number of Times Charted\": 3, \"Week of Highest Charting\": \"2021-07-09--2021-07-16\", \"Song Name\": \"NDA\", \"Streams\": \"9,635,619\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 47014200.0, \"Song ID\": \"38GBNKZUhfBkk3oNlWzRYd\", \"Genre\": \"['electropop', 'pop']\", \"Release Date\": \"2021-07-30\", \"Weeks Charted\": \"2021-07-23--2021-07-30\\n2021-07-16--2021-07-23\\n2021-07-09--2021-07-16\", \"Popularity\": 84.0, \"Danceability\": 0.765, \"Energy\": -0.5857056986433438, \"Loudness\": -9.921, \"Speechiness\": 0.0713, \"Acousticness\": 0.341, \"Liveness\": 0.112, \"Tempo\": -1.2469215897133472, \"Duration (ms)\": 195777.0, \"Valence\": 0.554, \"Chord\": \"G#/Ab\", \"pred\": \"Taylor Swift\", \"pred1\": \"Billie Eilish\", \"pred2\": \"Billie Eilish\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Billie Eilish\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Billie Eilish\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 111, \"Highest Charting Position\": 46, \"Number of Times Charted\": 83, \"Week of Highest Charting\": \"2020-04-17--2020-04-24\", \"Song Name\": \"lovely (with Khalid)\", \"Streams\": \"6,569,547\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 47014200.0, \"Song ID\": \"0u2P5u6lvoDfwTYjAADbn4\", \"Genre\": \"['electropop', 'pop']\", \"Release Date\": \"2018-04-19\", \"Weeks Charted\": \"2021-07-23--2021-07-30\\n2021-07-16--2021-07-23\\n2021-07-09--2021-07-16\\n2021-07-02--2021-07-09\\n2021-06-25--2021-07-02\\n2021-06-18--2021-06-25\\n2021-06-11--2021-06-18\\n2021-06-04--2021-06-11\\n2021-05-28--2021-06-04\\n2021-05-21--2021-05-28\\n2021-05-14--2021-05-21\\n2021-05-07--2021-05-14\\n2021-04-30--2021-05-07\\n2021-04-23--2021-04-30\\n2021-04-16--2021-04-23\\n2021-04-09--2021-04-16\\n2021-04-02--2021-04-09\\n2021-03-26--2021-04-02\\n2021-03-19--2021-03-26\\n2021-03-12--2021-03-19\\n2021-03-05--2021-03-12\\n2021-02-26--2021-03-05\\n2021-02-19--2021-02-26\\n2021-02-12--2021-02-19\\n2021-02-05--2021-02-12\\n2021-01-29--2021-02-05\\n2021-01-22--2021-01-29\\n2021-01-15--2021-01-22\\n2021-01-08--2021-01-15\\n2021-01-01--2021-01-08\\n2020-12-25--2021-01-01\\n2020-12-18--2020-12-25\\n2020-12-11--2020-12-18\\n2020-12-04--2020-12-11\\n2020-11-27--2020-12-04\\n2020-11-20--2020-11-27\\n2020-11-13--2020-11-20\\n2020-11-06--2020-11-13\\n2020-10-30--2020-11-06\\n2020-10-23--2020-10-30\\n2020-10-16--2020-10-23\\n2020-10-09--2020-10-16\\n2020-10-02--2020-10-09\\n2020-09-25--2020-10-02\\n2020-09-18--2020-09-25\\n2020-09-11--2020-09-18\\n2020-09-04--2020-09-11\\n2020-08-28--2020-09-04\\n2020-08-21--2020-08-28\\n2020-08-14--2020-08-21\\n2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\\n2020-07-17--2020-07-24\\n2020-07-10--2020-07-17\\n2020-07-03--2020-07-10\\n2020-06-26--2020-07-03\\n2020-06-19--2020-06-26\\n2020-06-12--2020-06-19\\n2020-06-05--2020-06-12\\n2020-05-29--2020-06-05\\n2020-05-22--2020-05-29\\n2020-05-15--2020-05-22\\n2020-05-08--2020-05-15\\n2020-05-01--2020-05-08\\n2020-04-24--2020-05-01\\n2020-04-17--2020-04-24\\n2020-04-10--2020-04-17\\n2020-04-03--2020-04-10\\n2020-03-27--2020-04-03\\n2020-03-20--2020-03-27\\n2020-03-13--2020-03-20\\n2020-03-06--2020-03-13\\n2020-02-28--2020-03-06\\n2020-02-21--2020-02-28\\n2020-02-14--2020-02-21\\n2020-02-07--2020-02-14\\n2020-01-31--2020-02-07\\n2020-01-24--2020-01-31\\n2020-01-17--2020-01-24\\n2020-01-10--2020-01-17\\n2020-01-03--2020-01-10\\n2019-12-27--2020-01-03\", \"Popularity\": 86.0, \"Danceability\": 0.351, \"Energy\": -0.9943728463051724, \"Loudness\": -10.109, \"Speechiness\": 0.0333, \"Acousticness\": 0.934, \"Liveness\": 0.095, \"Tempo\": -0.22326264586964997, \"Duration (ms)\": 200186.0, \"Valence\": 0.12, \"Chord\": \"E\", \"pred\": \"Billie Eilish\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Billie Eilish\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Billie Eilish\", \"pred5\": \"Billie Eilish\", \"pred6\": \"Billie Eilish\", \"pred7\": \"Billie Eilish\", \"pred8\": \"Billie Eilish\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Billie Eilish\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 165, \"Highest Charting Position\": 13, \"Number of Times Charted\": 83, \"Week of Highest Charting\": \"2020-01-24--2020-01-31\", \"Song Name\": \"bad guy\", \"Streams\": \"5,436,286\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 1250353.0, \"Song ID\": \"1hewNsVmijBqjKvFRQfk4m\", \"Genre\": \"[]\", \"Release Date\": \"2021-08-13\", \"Weeks Charted\": \"2021-07-23--2021-07-30\\n2021-07-16--2021-07-23\\n2021-07-09--2021-07-16\\n2021-07-02--2021-07-09\\n2021-06-25--2021-07-02\\n2021-06-18--2021-06-25\\n2021-06-11--2021-06-18\\n2021-06-04--2021-06-11\\n2021-05-28--2021-06-04\\n2021-05-21--2021-05-28\\n2021-05-14--2021-05-21\\n2021-05-07--2021-05-14\\n2021-04-30--2021-05-07\\n2021-04-23--2021-04-30\\n2021-04-16--2021-04-23\\n2021-04-09--2021-04-16\\n2021-04-02--2021-04-09\\n2021-03-26--2021-04-02\\n2021-03-19--2021-03-26\\n2021-03-12--2021-03-19\\n2021-03-05--2021-03-12\\n2021-02-26--2021-03-05\\n2021-02-19--2021-02-26\\n2021-02-12--2021-02-19\\n2021-02-05--2021-02-12\\n2021-01-29--2021-02-05\\n2021-01-22--2021-01-29\\n2021-01-15--2021-01-22\\n2021-01-08--2021-01-15\\n2021-01-01--2021-01-08\\n2020-12-25--2021-01-01\\n2020-12-18--2020-12-25\\n2020-12-11--2020-12-18\\n2020-12-04--2020-12-11\\n2020-11-27--2020-12-04\\n2020-11-20--2020-11-27\\n2020-11-13--2020-11-20\\n2020-11-06--2020-11-13\\n2020-10-30--2020-11-06\\n2020-10-23--2020-10-30\\n2020-10-16--2020-10-23\\n2020-10-09--2020-10-16\\n2020-10-02--2020-10-09\\n2020-09-25--2020-10-02\\n2020-09-18--2020-09-25\\n2020-09-11--2020-09-18\\n2020-09-04--2020-09-11\\n2020-08-28--2020-09-04\\n2020-08-21--2020-08-28\\n2020-08-14--2020-08-21\\n2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\\n2020-07-17--2020-07-24\\n2020-07-10--2020-07-17\\n2020-07-03--2020-07-10\\n2020-06-26--2020-07-03\\n2020-06-19--2020-06-26\\n2020-06-12--2020-06-19\\n2020-06-05--2020-06-12\\n2020-05-29--2020-06-05\\n2020-05-22--2020-05-29\\n2020-05-15--2020-05-22\\n2020-05-08--2020-05-15\\n2020-05-01--2020-05-08\\n2020-04-24--2020-05-01\\n2020-04-17--2020-04-24\\n2020-04-10--2020-04-17\\n2020-04-03--2020-04-10\\n2020-03-27--2020-04-03\\n2020-03-20--2020-03-27\\n2020-03-13--2020-03-20\\n2020-03-06--2020-03-13\\n2020-02-28--2020-03-06\\n2020-02-21--2020-02-28\\n2020-02-14--2020-02-21\\n2020-02-07--2020-02-14\\n2020-01-31--2020-02-07\\n2020-01-24--2020-01-31\\n2020-01-17--2020-01-24\\n2020-01-10--2020-01-17\\n2020-01-03--2020-01-10\\n2019-12-27--2020-01-03\", \"Popularity\": 0.0, \"Danceability\": 0.701, \"Energy\": -0.3097226898327583, \"Loudness\": -10.965, \"Speechiness\": 0.375, \"Acousticness\": 0.328, \"Liveness\": 0.1, \"Tempo\": 0.4478582766106694, \"Duration (ms)\": 194088.0, \"Valence\": 0.562, \"Chord\": \"G\", \"pred\": \"Taylor Swift\", \"pred1\": \"Billie Eilish\", \"pred2\": \"Billie Eilish\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Billie Eilish\", \"pred11\": \"Billie Eilish\", \"pred12\": \"Billie Eilish\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 216, \"Highest Charting Position\": 15, \"Number of Times Charted\": 7, \"Week of Highest Charting\": \"2021-06-04--2021-06-11\", \"Song Name\": \"Lost Cause\", \"Streams\": \"5,203,319\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 1250353.0, \"Song ID\": \"36fhyo5QlxBW7DrDHIOn1G\", \"Genre\": \"[]\", \"Release Date\": \"2021-08-12\", \"Weeks Charted\": \"2021-07-16--2021-07-23\\n2021-07-09--2021-07-16\\n2021-07-02--2021-07-09\\n2021-06-25--2021-07-02\\n2021-06-18--2021-06-25\\n2021-06-11--2021-06-18\\n2021-06-04--2021-06-11\", \"Popularity\": 0.0, \"Danceability\": 0.671, \"Energy\": -0.7820782241431834, \"Loudness\": -8.494, \"Speechiness\": 0.241, \"Acousticness\": 0.705, \"Liveness\": 0.0577, \"Tempo\": -1.5839363041114722, \"Duration (ms)\": 212496.0, \"Valence\": 0.518, \"Chord\": \"A#/Bb\", \"pred\": \"Taylor Swift\", \"pred1\": \"Billie Eilish\", \"pred2\": \"Billie Eilish\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Billie Eilish\", \"pred5\": \"Billie Eilish\", \"pred6\": \"Billie Eilish\", \"pred7\": \"Billie Eilish\", \"pred8\": \"Billie Eilish\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 246, \"Highest Charting Position\": 4, \"Number of Times Charted\": 10, \"Week of Highest Charting\": \"2021-04-30--2021-05-07\", \"Song Name\": \"Your Power\", \"Streams\": \"5,135,380\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 47014200.0, \"Song ID\": \"042Sl6Mn83JHyLEqdK7uI0\", \"Genre\": \"['electropop', 'pop']\", \"Release Date\": \"2021-07-30\", \"Weeks Charted\": \"2021-07-02--2021-07-09\\n2021-06-25--2021-07-02\\n2021-06-18--2021-06-25\\n2021-06-11--2021-06-18\\n2021-06-04--2021-06-11\\n2021-05-28--2021-06-04\\n2021-05-21--2021-05-28\\n2021-05-14--2021-05-21\\n2021-05-07--2021-05-14\\n2021-04-30--2021-05-07\", \"Popularity\": 81.0, \"Danceability\": 0.632, \"Energy\": -1.058061232953769, \"Loudness\": -14.025, \"Speechiness\": 0.0801, \"Acousticness\": 0.932, \"Liveness\": 0.233, \"Tempo\": 0.26232262952706586, \"Duration (ms)\": 245897.0, \"Valence\": 0.208, \"Chord\": \"A\", \"pred\": \"Taylor Swift\", \"pred1\": \"Billie Eilish\", \"pred2\": \"Billie Eilish\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Billie Eilish\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Billie Eilish\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Billie Eilish\", \"pred9\": \"Billie Eilish\", \"pred10\": \"Billie Eilish\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Billie Eilish\", \"pred13\": \"Billie Eilish\", \"pred14\": \"Billie Eilish\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 309, \"Highest Charting Position\": 2, \"Number of Times Charted\": 31, \"Week of Highest Charting\": \"2020-11-13--2020-11-20\", \"Song Name\": \"Therefore I Am\", \"Streams\": \"5,265,630\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 1250353.0, \"Song ID\": \"0aACcc1jEv2C6VSmmJbllJ\", \"Genre\": \"[]\", \"Release Date\": \"2021-08-13\", \"Weeks Charted\": \"2021-06-11--2021-06-18\\n2021-06-04--2021-06-11\\n2021-05-28--2021-06-04\\n2021-05-21--2021-05-28\\n2021-05-14--2021-05-21\\n2021-05-07--2021-05-14\\n2021-04-30--2021-05-07\\n2021-04-23--2021-04-30\\n2021-04-16--2021-04-23\\n2021-04-09--2021-04-16\\n2021-04-02--2021-04-09\\n2021-03-26--2021-04-02\\n2021-03-19--2021-03-26\\n2021-03-12--2021-03-19\\n2021-03-05--2021-03-12\\n2021-02-26--2021-03-05\\n2021-02-19--2021-02-26\\n2021-02-12--2021-02-19\\n2021-02-05--2021-02-12\\n2021-01-29--2021-02-05\\n2021-01-22--2021-01-29\\n2021-01-15--2021-01-22\\n2021-01-08--2021-01-15\\n2021-01-01--2021-01-08\\n2020-12-25--2021-01-01\\n2020-12-18--2020-12-25\\n2020-12-11--2020-12-18\\n2020-12-04--2020-12-11\\n2020-11-27--2020-12-04\\n2020-11-20--2020-11-27\\n2020-11-13--2020-11-20\", \"Popularity\": 0.0, \"Danceability\": 0.889, \"Energy\": -0.7608487619269845, \"Loudness\": -7.773, \"Speechiness\": 0.0697, \"Acousticness\": 0.218, \"Liveness\": 0.055, \"Tempo\": -0.9427797606534039, \"Duration (ms)\": 174321.0, \"Valence\": 0.716, \"Chord\": \"B\", \"pred\": \"Taylor Swift\", \"pred1\": \"Billie Eilish\", \"pred2\": \"Billie Eilish\", \"pred3\": \"Billie Eilish\", \"pred4\": \"Billie Eilish\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Billie Eilish\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 378, \"Highest Charting Position\": 10, \"Number of Times Charted\": 69, \"Week of Highest Charting\": \"2019-12-27--2020-01-03\", \"Song Name\": \"everything i wanted\", \"Streams\": \"5,448,680\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 1250353.0, \"Song ID\": \"1OC8hMoqAuWmTWJ4heJNlO\", \"Genre\": \"[]\", \"Release Date\": \"2021-08-13\", \"Weeks Charted\": \"2021-05-07--2021-05-14\\n2021-04-30--2021-05-07\\n2021-04-23--2021-04-30\\n2021-04-02--2021-04-09\\n2021-03-26--2021-04-02\\n2021-03-19--2021-03-26\\n2021-03-12--2021-03-19\\n2021-03-05--2021-03-12\\n2021-02-26--2021-03-05\\n2021-02-19--2021-02-26\\n2021-02-12--2021-02-19\\n2021-02-05--2021-02-12\\n2021-01-29--2021-02-05\\n2021-01-22--2021-01-29\\n2021-01-15--2021-01-22\\n2021-01-08--2021-01-15\\n2021-01-01--2021-01-08\\n2020-12-25--2021-01-01\\n2020-12-11--2020-12-18\\n2020-12-04--2020-12-11\\n2020-11-27--2020-12-04\\n2020-11-20--2020-11-27\\n2020-11-13--2020-11-20\\n2020-11-06--2020-11-13\\n2020-10-30--2020-11-06\\n2020-10-23--2020-10-30\\n2020-10-16--2020-10-23\\n2020-10-09--2020-10-16\\n2020-10-02--2020-10-09\\n2020-09-25--2020-10-02\\n2020-09-18--2020-09-25\\n2020-09-11--2020-09-18\\n2020-09-04--2020-09-11\\n2020-08-28--2020-09-04\\n2020-08-21--2020-08-28\\n2020-08-14--2020-08-21\\n2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\\n2020-07-17--2020-07-24\\n2020-07-10--2020-07-17\\n2020-07-03--2020-07-10\\n2020-06-26--2020-07-03\\n2020-06-19--2020-06-26\\n2020-06-12--2020-06-19\\n2020-06-05--2020-06-12\\n2020-05-29--2020-06-05\\n2020-05-22--2020-05-29\\n2020-05-15--2020-05-22\\n2020-05-08--2020-05-15\\n2020-05-01--2020-05-08\\n2020-04-24--2020-05-01\\n2020-04-17--2020-04-24\\n2020-04-10--2020-04-17\\n2020-04-03--2020-04-10\\n2020-03-27--2020-04-03\\n2020-03-20--2020-03-27\\n2020-03-13--2020-03-20\\n2020-03-06--2020-03-13\\n2020-02-28--2020-03-06\\n2020-02-21--2020-02-28\\n2020-02-14--2020-02-21\\n2020-02-07--2020-02-14\\n2020-01-31--2020-02-07\\n2020-01-24--2020-01-31\\n2020-01-17--2020-01-24\\n2020-01-10--2020-01-17\\n2020-01-03--2020-01-10\\n2019-12-27--2020-01-03\", \"Popularity\": 0.0, \"Danceability\": 0.704, \"Energy\": -1.3711958006427025, \"Loudness\": -14.454, \"Speechiness\": 0.0994, \"Acousticness\": 0.901, \"Liveness\": 0.106, \"Tempo\": -0.06356535722058387, \"Duration (ms)\": 245426.0, \"Valence\": 0.243, \"Chord\": \"F#/Gb\", \"pred\": \"Taylor Swift\", \"pred1\": \"Billie Eilish\", \"pred2\": \"Billie Eilish\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Billie Eilish\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Billie Eilish\", \"pred9\": \"Billie Eilish\", \"pred10\": \"Billie Eilish\", \"pred11\": \"Billie Eilish\", \"pred12\": \"Billie Eilish\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Billie Eilish\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 399, \"Highest Charting Position\": 20, \"Number of Times Charted\": 5, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"Mr. Perfectly Fine (Taylor\\u2019s Version) (From The Vault)\", \"Streams\": \"5,480,722\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"2CYVETnhM9aytqrazYYwrK\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-30--2021-05-07\\n2021-04-23--2021-04-30\\n2021-04-16--2021-04-23\\n2021-04-09--2021-04-16\\n2021-04-02--2021-04-09\", \"Popularity\": 74.0, \"Danceability\": 0.66, \"Energy\": 1.7707646073547323, \"Loudness\": -6.269, \"Speechiness\": 0.0521, \"Acousticness\": 0.162, \"Liveness\": 0.0667, \"Tempo\": 0.4753876270893529, \"Duration (ms)\": 277592.0, \"Valence\": 0.714, \"Chord\": \"B\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 400, \"Highest Charting Position\": 42, \"Number of Times Charted\": 60, \"Week of Highest Charting\": \"2020-01-31--2020-02-07\", \"Song Name\": \"when the party's over\", \"Streams\": \"5,467,596\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 1250353.0, \"Song ID\": \"5KWwUzVxubgSPmLIUAQhYt\", \"Genre\": \"[]\", \"Release Date\": \"2021-08-13\", \"Weeks Charted\": \"2021-04-30--2021-05-07\\n2021-03-19--2021-03-26\\n2021-03-12--2021-03-19\\n2021-03-05--2021-03-12\\n2021-02-26--2021-03-05\\n2021-01-29--2021-02-05\\n2021-01-22--2021-01-29\\n2021-01-15--2021-01-22\\n2021-01-08--2021-01-15\\n2021-01-01--2021-01-08\\n2020-12-04--2020-12-11\\n2020-11-27--2020-12-04\\n2020-11-20--2020-11-27\\n2020-11-13--2020-11-20\\n2020-11-06--2020-11-13\\n2020-10-30--2020-11-06\\n2020-10-23--2020-10-30\\n2020-10-16--2020-10-23\\n2020-10-09--2020-10-16\\n2020-10-02--2020-10-09\\n2020-09-25--2020-10-02\\n2020-09-18--2020-09-25\\n2020-09-11--2020-09-18\\n2020-09-04--2020-09-11\\n2020-08-28--2020-09-04\\n2020-08-21--2020-08-28\\n2020-08-14--2020-08-21\\n2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\\n2020-07-17--2020-07-24\\n2020-07-10--2020-07-17\\n2020-07-03--2020-07-10\\n2020-06-26--2020-07-03\\n2020-06-19--2020-06-26\\n2020-06-12--2020-06-19\\n2020-06-05--2020-06-12\\n2020-05-29--2020-06-05\\n2020-05-22--2020-05-29\\n2020-05-15--2020-05-22\\n2020-05-08--2020-05-15\\n2020-05-01--2020-05-08\\n2020-04-24--2020-05-01\\n2020-04-17--2020-04-24\\n2020-04-10--2020-04-17\\n2020-04-03--2020-04-10\\n2020-03-27--2020-04-03\\n2020-03-20--2020-03-27\\n2020-03-13--2020-03-20\\n2020-03-06--2020-03-13\\n2020-02-28--2020-03-06\\n2020-02-21--2020-02-28\\n2020-02-14--2020-02-21\\n2020-02-07--2020-02-14\\n2020-01-31--2020-02-07\\n2020-01-24--2020-01-31\\n2020-01-17--2020-01-24\\n2020-01-10--2020-01-17\\n2020-01-03--2020-01-10\\n2019-12-27--2020-01-03\", \"Popularity\": 0.0, \"Danceability\": 0.484, \"Energy\": -2.018694398236769, \"Loudness\": -14.075, \"Speechiness\": 0.0627, \"Acousticness\": 0.979, \"Liveness\": 0.0895, \"Tempo\": 0.07188310551544105, \"Duration (ms)\": 199931.0, \"Valence\": 0.194, \"Chord\": \"C#/Db\", \"pred\": \"Taylor Swift\", \"pred1\": \"Billie Eilish\", \"pred2\": \"Billie Eilish\", \"pred3\": \"Billie Eilish\", \"pred4\": \"Billie Eilish\", \"pred5\": \"Billie Eilish\", \"pred6\": \"Billie Eilish\", \"pred7\": \"Billie Eilish\", \"pred8\": \"Billie Eilish\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Billie Eilish\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 422, \"Highest Charting Position\": 8, \"Number of Times Charted\": 5, \"Week of Highest Charting\": \"2021-02-12--2021-02-19\", \"Song Name\": \"Love Story (Taylor\\u2019s Version)\", \"Streams\": \"6,202,933\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"6YvqWjhGD8mB5QXcbcUKtx\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-16--2021-04-23\\n2021-04-09--2021-04-16\\n2021-02-26--2021-03-05\\n2021-02-19--2021-02-26\\n2021-02-12--2021-02-19\", \"Popularity\": 73.0, \"Danceability\": 0.627, \"Energy\": 1.6380804685034898, \"Loudness\": -4.311, \"Speechiness\": 0.031, \"Acousticness\": 0.13, \"Liveness\": 0.0845, \"Tempo\": -0.09576184574110713, \"Duration (ms)\": 235767.0, \"Valence\": 0.415, \"Chord\": \"D\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 425, \"Highest Charting Position\": 3, \"Number of Times Charted\": 19, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"willow\", \"Streams\": \"5,016,865\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"0lx2cLdOt3piJbcaXIV74f\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2021-04-16--2021-04-23\\n2021-04-09--2021-04-16\\n2021-04-02--2021-04-09\\n2021-03-26--2021-04-02\\n2021-03-19--2021-03-26\\n2021-03-12--2021-03-19\\n2021-03-05--2021-03-12\\n2021-02-26--2021-03-05\\n2021-02-19--2021-02-26\\n2021-02-12--2021-02-19\\n2021-02-05--2021-02-12\\n2021-01-29--2021-02-05\\n2021-01-22--2021-01-29\\n2021-01-15--2021-01-22\\n2021-01-08--2021-01-15\\n2021-01-01--2021-01-08\\n2020-12-25--2021-01-01\\n2020-12-18--2020-12-25\\n2020-12-11--2020-12-18\", \"Popularity\": 79.0, \"Danceability\": 0.392, \"Energy\": 0.48107477772065005, \"Loudness\": -9.195, \"Speechiness\": 0.17, \"Acousticness\": 0.833, \"Liveness\": 0.145, \"Tempo\": -1.3789542485201995, \"Duration (ms)\": 214707.0, \"Valence\": 0.529, \"Chord\": \"G\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 429, \"Highest Charting Position\": 52, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"You Belong With Me (Taylor\\u2019s Version)\", \"Streams\": \"9,872,084\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"1qrpoAMXodY6895hGKoUpA\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 73.0, \"Danceability\": 0.632, \"Energy\": 1.537240522976545, \"Loudness\": -4.856, \"Speechiness\": 0.0346, \"Acousticness\": 0.0623, \"Liveness\": 0.0885, \"Tempo\": 0.2755461873122805, \"Duration (ms)\": 231124.0, \"Valence\": 0.474, \"Chord\": \"F#/Gb\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 430, \"Highest Charting Position\": 54, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"Fearless (Taylor\\u2019s Version)\", \"Streams\": \"9,676,024\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"77sMIMlNaSURUAXq5coCxE\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 69.0, \"Danceability\": 0.569, \"Energy\": 1.3674048252469537, \"Loudness\": -4.963, \"Speechiness\": 0.0282, \"Acousticness\": 0.0122, \"Liveness\": 0.333, \"Tempo\": -0.7361743526997518, \"Duration (ms)\": 241592.0, \"Valence\": 0.43, \"Chord\": \"F\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 432, \"Highest Charting Position\": 80, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"Fifteen (Taylor\\u2019s Version)\", \"Streams\": \"7,852,063\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"2nqio0SfWg6gh2eCtfuMa5\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 66.0, \"Danceability\": 0.559, \"Energy\": 0.8632050976122303, \"Loudness\": -4.61, \"Speechiness\": 0.0272, \"Acousticness\": 0.116, \"Liveness\": 0.32, \"Tempo\": -0.8935042524870149, \"Duration (ms)\": 294419.0, \"Valence\": 0.289, \"Chord\": \"G\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 433, \"Highest Charting Position\": 84, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"The Way I Loved You (Taylor\\u2019s Version)\", \"Streams\": \"7,736,262\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"22bPsP2jCgbLUvh82U0Z3M\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 72.0, \"Danceability\": 0.402, \"Energy\": 1.3196385352605062, \"Loudness\": -4.665, \"Speechiness\": 0.0484, \"Acousticness\": 0.0033, \"Liveness\": 0.108, \"Tempo\": 1.3239274348413803, \"Duration (ms)\": 243137.0, \"Valence\": 0.472, \"Chord\": \"F\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 434, \"Highest Charting Position\": 51, \"Number of Times Charted\": 3, \"Week of Highest Charting\": \"2021-03-26--2021-04-02\", \"Song Name\": \"You All Over Me (feat. Maren Morris) (Taylor\\u2019s Version) (From The Vault)\", \"Streams\": \"7,712,896\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"5pcjystBtalYeqaiXCcgEY\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-03-26\", \"Weeks Charted\": \"2021-04-09--2021-04-16\\n2021-04-02--2021-04-09\\n2021-03-26--2021-04-02\", \"Popularity\": 65.0, \"Danceability\": 0.589, \"Energy\": 0.06710026450477197, \"Loudness\": -7.606, \"Speechiness\": 0.0377, \"Acousticness\": 0.818, \"Liveness\": 0.101, \"Tempo\": 0.7049905268433785, \"Duration (ms)\": 220839.0, \"Valence\": 0.44, \"Chord\": \"D\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 435, \"Highest Charting Position\": 93, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"Hey Stephen (Taylor\\u2019s Version)\", \"Streams\": \"7,385,864\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"550erGcdD9n6PnwxrvYqZT\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 66.0, \"Danceability\": 0.788, \"Energy\": 0.4651526810585009, \"Loudness\": -6.135, \"Speechiness\": 0.0296, \"Acousticness\": 0.106, \"Liveness\": 0.0934, \"Tempo\": -0.19938583820632108, \"Duration (ms)\": 254255.0, \"Valence\": 0.797, \"Chord\": \"F#/Gb\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 436, \"Highest Charting Position\": 102, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"White Horse (Taylor\\u2019s Version)\", \"Streams\": \"7,039,222\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"5YL553x8sHderRBDlm3NM3\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 65.0, \"Danceability\": 0.423, \"Energy\": 0.1785549411398162, \"Loudness\": -7.377, \"Speechiness\": 0.0486, \"Acousticness\": 0.369, \"Liveness\": 0.177, \"Tempo\": 2.143382179434111, \"Duration (ms)\": 234516.0, \"Valence\": 0.366, \"Chord\": \"C\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Billie Eilish\", \"pred3\": \"Billie Eilish\", \"pred4\": \"Billie Eilish\", \"pred5\": \"Billie Eilish\", \"pred6\": \"Billie Eilish\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 437, \"Highest Charting Position\": 114, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"Forever & Always (Taylor\\u2019s Version)\", \"Streams\": \"6,566,059\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"1msEuwSBneBKpVCZQcFTsU\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 66.0, \"Danceability\": 0.598, \"Energy\": 1.7919940695709313, \"Loudness\": -4.433, \"Speechiness\": 0.0447, \"Acousticness\": 0.0231, \"Liveness\": 0.143, \"Tempo\": 0.20780504602382696, \"Duration (ms)\": 225328.0, \"Valence\": 0.673, \"Chord\": \"A#/Bb\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 438, \"Highest Charting Position\": 119, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"Breathe (feat. Colbie Caillat) (Taylor\\u2019s Version)\", \"Streams\": \"6,508,683\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"7HC7R2D8WjXVcUHJyEGjRs\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 64.0, \"Danceability\": 0.506, \"Energy\": 0.7570577865312358, \"Loudness\": -6.066, \"Speechiness\": 0.0287, \"Acousticness\": 0.156, \"Liveness\": 0.228, \"Tempo\": 0.8843709628862942, \"Duration (ms)\": 263377.0, \"Valence\": 0.321, \"Chord\": \"C#/Db\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 440, \"Highest Charting Position\": 146, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"That\\u2019s When (feat. Keith Urban) (Taylor\\u2019s Version) (From The Vault)\", \"Streams\": \"5,889,939\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"7eResoqEJJAVTkQYSqvO3P\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 67.0, \"Danceability\": 0.588, \"Energy\": 0.6615252065583407, \"Loudness\": -7.062, \"Speechiness\": 0.0365, \"Acousticness\": 0.225, \"Liveness\": 0.092, \"Tempo\": -1.0715657147354973, \"Duration (ms)\": 189496.0, \"Valence\": 0.508, \"Chord\": \"F\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 441, \"Highest Charting Position\": 147, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"Tell Me Why (Taylor\\u2019s Version)\", \"Streams\": \"5,885,151\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"0k0vFacOHNuArLWMiH60p7\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 63.0, \"Danceability\": 0.578, \"Energy\": 2.259042238327307, \"Loudness\": -3.669, \"Speechiness\": 0.0628, \"Acousticness\": 0.0222, \"Liveness\": 0.333, \"Tempo\": -0.7393872375836276, \"Duration (ms)\": 200576.0, \"Valence\": 0.541, \"Chord\": \"G\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 442, \"Highest Charting Position\": 148, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"You\\u2019re Not Sorry (Taylor\\u2019s Version)\", \"Streams\": \"5,860,405\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"6iiAfo4wTA2CVC3Uwx9uh8\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 64.0, \"Danceability\": 0.506, \"Energy\": -0.20888274430581352, \"Loudness\": -4.99, \"Speechiness\": 0.0285, \"Acousticness\": 0.0538, \"Liveness\": 0.123, \"Tempo\": 0.4054143763026267, \"Duration (ms)\": 261843.0, \"Valence\": 0.241, \"Chord\": \"F#/Gb\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Billie Eilish\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Billie Eilish\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 445, \"Highest Charting Position\": 192, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"Don\\u2019t You (Taylor\\u2019s Version) (From The Vault)\", \"Streams\": \"5,197,564\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"4uuEGH5SVuzkkSFjo2DEiY\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 65.0, \"Danceability\": 0.563, \"Energy\": -0.054969143238371744, \"Loudness\": -11.548, \"Speechiness\": 0.0503, \"Acousticness\": 0.514, \"Liveness\": 0.109, \"Tempo\": -0.6747575216564006, \"Duration (ms)\": 208609.0, \"Valence\": 0.405, \"Chord\": \"D#/Eb\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 446, \"Highest Charting Position\": 195, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2021-04-09--2021-04-16\", \"Song Name\": \"We Were Happy (Taylor\\u2019s Version) (From The Vault)\", \"Streams\": \"5,189,423\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"34V9RiEPe8MNdU32qJsJa1\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2021-04-09\", \"Weeks Charted\": \"2021-04-09--2021-04-16\", \"Popularity\": 64.0, \"Danceability\": 0.609, \"Energy\": -0.5857056986433438, \"Loudness\": -8.819, \"Speechiness\": 0.0263, \"Acousticness\": 0.849, \"Liveness\": 0.0779, \"Tempo\": -0.5370093097403378, \"Duration (ms)\": 244237.0, \"Valence\": 0.13, \"Chord\": \"C\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Billie Eilish\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 556, \"Highest Charting Position\": 19, \"Number of Times Charted\": 3, \"Week of Highest Charting\": \"2021-01-22--2021-01-29\", \"Song Name\": \"Lo Vas A Olvidar (with ROSAL\\u00cdA)\", \"Streams\": \"5,963,380\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 47061119.0, \"Song ID\": \"0psS4i5YooJrXfDnGvWRLi\", \"Genre\": \"['electropop', 'pop']\", \"Release Date\": \"2021-01-21\", \"Weeks Charted\": \"2021-02-05--2021-02-12\\n2021-01-29--2021-02-05\\n2021-01-22--2021-01-29\", \"Popularity\": 68.0, \"Danceability\": 0.343, \"Energy\": -1.2756632206698078, \"Loudness\": -14.66, \"Speechiness\": 0.0777, \"Acousticness\": 0.721, \"Liveness\": 0.0668, \"Tempo\": 0.4487375924736252, \"Duration (ms)\": 203464.0, \"Valence\": 0.032, \"Chord\": \"E\", \"pred\": \"Taylor Swift\", \"pred1\": \"Billie Eilish\", \"pred2\": \"Billie Eilish\", \"pred3\": \"Billie Eilish\", \"pred4\": \"Billie Eilish\", \"pred5\": \"Billie Eilish\", \"pred6\": \"Billie Eilish\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Billie Eilish\", \"pred13\": \"Billie Eilish\", \"pred14\": \"Billie Eilish\", \"pred15\": \"Billie Eilish\", \"pred16\": \"Billie Eilish\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 586, \"Highest Charting Position\": 10, \"Number of Times Charted\": 7, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"champagne problems\", \"Streams\": \"4,848,954\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"0sY6ZUTh4yoctD8VIXz339\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2021-01-22--2021-01-29\\n2021-01-15--2021-01-22\\n2021-01-08--2021-01-15\\n2021-01-01--2021-01-08\\n2020-12-25--2021-01-01\\n2020-12-18--2020-12-25\\n2020-12-11--2020-12-18\", \"Popularity\": 75.0, \"Danceability\": 0.462, \"Energy\": -1.291585317331957, \"Loudness\": -12.077, \"Speechiness\": 0.0377, \"Acousticness\": 0.92, \"Liveness\": 0.113, \"Tempo\": 1.671832138003799, \"Duration (ms)\": 244000.0, \"Valence\": 0.32, \"Chord\": \"C\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Billie Eilish\", \"pred5\": \"Billie Eilish\", \"pred6\": \"Billie Eilish\", \"pred7\": \"Billie Eilish\", \"pred8\": \"Billie Eilish\", \"pred9\": \"Billie Eilish\", \"pred10\": \"Billie Eilish\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Billie Eilish\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Billie Eilish\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 609, \"Highest Charting Position\": 15, \"Number of Times Charted\": 4, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"no body, no crime (feat. HAIM)\", \"Streams\": \"4,986,214\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"3RaT22zZsxVYxxKR7TAaYF\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2021-01-01--2021-01-08\\n2020-12-25--2021-01-01\\n2020-12-18--2020-12-25\\n2020-12-11--2020-12-18\", \"Popularity\": 68.0, \"Danceability\": 0.546, \"Energy\": 0.6880620343285894, \"Loudness\": -7.589, \"Speechiness\": 0.0264, \"Acousticness\": 0.418, \"Liveness\": 0.103, \"Tempo\": -1.4498744548516462, \"Duration (ms)\": 215627.0, \"Valence\": 0.535, \"Chord\": \"G\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 668, \"Highest Charting Position\": 22, \"Number of Times Charted\": 2, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"\\u2018tis the damn season\", \"Streams\": \"8,115,520\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"7dW84mWkdWE5a6lFWxJCBG\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2020-12-18--2020-12-25\\n2020-12-11--2020-12-18\", \"Popularity\": 66.0, \"Danceability\": 0.575, \"Energy\": -0.2619563998463108, \"Loudness\": -8.193, \"Speechiness\": 0.0312, \"Acousticness\": 0.735, \"Liveness\": 0.105, \"Tempo\": 0.8127067200554235, \"Duration (ms)\": 229840.0, \"Valence\": 0.348, \"Chord\": \"F\", \"pred\": \"Taylor Swift\", \"pred1\": \"Billie Eilish\", \"pred2\": \"Billie Eilish\", \"pred3\": \"Billie Eilish\", \"pred4\": \"Billie Eilish\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Billie Eilish\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Billie Eilish\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 672, \"Highest Charting Position\": 19, \"Number of Times Charted\": 2, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"gold rush\", \"Streams\": \"7,901,968\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"5BK0uqwY9DNfZ630STAEaq\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2020-12-18--2020-12-25\\n2020-12-11--2020-12-18\", \"Popularity\": 70.0, \"Danceability\": 0.512, \"Energy\": -0.11335016433291845, \"Loudness\": -10.491, \"Speechiness\": 0.0408, \"Acousticness\": 0.83, \"Liveness\": 0.121, \"Tempo\": -0.3326360112849574, \"Duration (ms)\": 185320.0, \"Valence\": 0.353, \"Chord\": \"A\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 689, \"Highest Charting Position\": 181, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2020-12-18--2020-12-25\", \"Song Name\": \"Christmas Tree Farm\", \"Streams\": \"6,657,404\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"2mvabkN1i2gLnGAPUVdwek\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2019-12-06\", \"Weeks Charted\": \"2020-12-18--2020-12-25\", \"Popularity\": 52.0, \"Danceability\": 0.598, \"Energy\": 1.043655526449921, \"Loudness\": -4.505, \"Speechiness\": 0.0331, \"Acousticness\": 0.06, \"Liveness\": 0.324, \"Tempo\": 0.40977713577652186, \"Duration (ms)\": 228027.0, \"Valence\": 0.437, \"Chord\": \"G\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 692, \"Highest Charting Position\": 24, \"Number of Times Charted\": 2, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"tolerate it\", \"Streams\": \"6,635,109\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"0PurA4JVJ8YQgSVopY8fn6\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2020-12-18--2020-12-25\\n2020-12-11--2020-12-18\", \"Popularity\": 67.0, \"Danceability\": 0.316, \"Energy\": -0.6493940852919405, \"Loudness\": -10.381, \"Speechiness\": 0.0488, \"Acousticness\": 0.878, \"Liveness\": 0.0797, \"Tempo\": -1.5872844683588796, \"Duration (ms)\": 245440.0, \"Valence\": 0.221, \"Chord\": \"A\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Billie Eilish\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Billie Eilish\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Billie Eilish\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 695, \"Highest Charting Position\": 28, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"happiness\", \"Streams\": \"16,213,589\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"73YUReisjb3A9ActdLLjJQ\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2020-12-11--2020-12-18\", \"Popularity\": 65.0, \"Danceability\": 0.559, \"Energy\": -0.7926929552512828, \"Loudness\": -10.733, \"Speechiness\": 0.0376, \"Acousticness\": 0.87, \"Liveness\": 0.114, \"Tempo\": 0.006543172929673074, \"Duration (ms)\": 315147.0, \"Valence\": 0.211, \"Chord\": \"B\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Billie Eilish\", \"pred3\": \"Billie Eilish\", \"pred4\": \"Billie Eilish\", \"pred5\": \"Billie Eilish\", \"pred6\": \"Billie Eilish\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Billie Eilish\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Billie Eilish\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Billie Eilish\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 696, \"Highest Charting Position\": 34, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"ivy\", \"Streams\": \"14,519,547\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"19CSr8rwW05VJL2F91KFNK\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2020-12-11--2020-12-18\", \"Popularity\": 66.0, \"Danceability\": 0.515, \"Energy\": 0.32716117665320854, \"Loudness\": -9.277, \"Speechiness\": 0.0353, \"Acousticness\": 0.855, \"Liveness\": 0.0921, \"Tempo\": -1.1170534007230015, \"Duration (ms)\": 260440.0, \"Valence\": 0.535, \"Chord\": \"D\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 697, \"Highest Charting Position\": 38, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"dorothea\", \"Streams\": \"14,392,788\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"670fUmXf4KQekzbEgaXyPA\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2020-12-11--2020-12-18\", \"Popularity\": 64.0, \"Danceability\": 0.605, \"Energy\": 0.02464134007237415, \"Loudness\": -8.322, \"Speechiness\": 0.0264, \"Acousticness\": 0.696, \"Liveness\": 0.129, \"Tempo\": -0.06491815085590019, \"Duration (ms)\": 225880.0, \"Valence\": 0.354, \"Chord\": \"E\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 698, \"Highest Charting Position\": 39, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"coney island (feat. The National)\", \"Streams\": \"14,385,703\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"3k7ne7VmH43ZPWxPdvPUgR\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2020-12-11--2020-12-18\", \"Popularity\": 64.0, \"Danceability\": 0.537, \"Energy\": 0.28470225222081075, \"Loudness\": -11.266, \"Speechiness\": 0.0617, \"Acousticness\": 0.819, \"Liveness\": 0.142, \"Tempo\": -0.4731574501534179, \"Duration (ms)\": 275320.0, \"Valence\": 0.292, \"Chord\": \"G#/Ab\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 699, \"Highest Charting Position\": 43, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"evermore (feat. Bon Iver)\", \"Streams\": \"13,810,722\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"3O5osWf1rSoKMwe6E9ZaXP\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2020-12-11--2020-12-18\", \"Popularity\": 66.0, \"Danceability\": 0.39, \"Energy\": -1.132364350710465, \"Loudness\": -10.673, \"Speechiness\": 0.0308, \"Acousticness\": 0.937, \"Liveness\": 0.111, \"Tempo\": 0.11131703998490591, \"Duration (ms)\": 304107.0, \"Valence\": 0.32, \"Chord\": \"C#/Db\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Billie Eilish\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Billie Eilish\", \"pred7\": \"Billie Eilish\", \"pred8\": \"Billie Eilish\", \"pred9\": \"Billie Eilish\", \"pred10\": \"Billie Eilish\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Billie Eilish\", \"pred15\": \"Billie Eilish\", \"pred16\": \"Billie Eilish\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 700, \"Highest Charting Position\": 45, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"long story short\", \"Streams\": \"13,583,538\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"2o2sgVJIgFXk8GQjWTgI6U\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2020-12-11--2020-12-18\", \"Popularity\": 66.0, \"Danceability\": 0.546, \"Energy\": 1.3090238041524067, \"Loudness\": -7.704, \"Speechiness\": 0.0417, \"Acousticness\": 0.66, \"Liveness\": 0.0972, \"Tempo\": 1.2178345939917148, \"Duration (ms)\": 215920.0, \"Valence\": 0.573, \"Chord\": \"C\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 701, \"Highest Charting Position\": 53, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"cowboy like me\", \"Streams\": \"12,782,098\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"1XjHRolIXL2M1EEOUsGGR4\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2020-12-11--2020-12-18\", \"Popularity\": 64.0, \"Danceability\": 0.604, \"Energy\": 0.1785549411398162, \"Loudness\": -9.014, \"Speechiness\": 0.0347, \"Acousticness\": 0.768, \"Liveness\": 0.123, \"Tempo\": 0.205674396048204, \"Duration (ms)\": 275040.0, \"Valence\": 0.511, \"Chord\": \"C\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 702, \"Highest Charting Position\": 57, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"marjorie\", \"Streams\": \"12,234,761\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"12ntTeqEeTg7GAVpe8Mhpl\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2020-12-11--2020-12-18\", \"Popularity\": 64.0, \"Danceability\": 0.535, \"Energy\": 0.4120790255180042, \"Loudness\": -11.609, \"Speechiness\": 0.0484, \"Acousticness\": 0.876, \"Liveness\": 0.115, \"Tempo\": -0.871961013844606, \"Duration (ms)\": 257773.0, \"Valence\": 0.287, \"Chord\": \"F\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 703, \"Highest Charting Position\": 70, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2020-12-11--2020-12-18\", \"Song Name\": \"closure\", \"Streams\": \"11,245,393\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"35rdVq36LMHQX0Suw9a6tK\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-12-11\", \"Weeks Charted\": \"2020-12-11--2020-12-18\", \"Popularity\": 62.0, \"Danceability\": 0.689, \"Energy\": 1.1710322997471139, \"Loudness\": -10.813, \"Speechiness\": 0.245, \"Acousticness\": 0.835, \"Liveness\": 0.134, \"Tempo\": 1.0145435304445862, \"Duration (ms)\": 180653.0, \"Valence\": 0.92, \"Chord\": \"A\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 714, \"Highest Charting Position\": 1, \"Number of Times Charted\": 12, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"cardigan\", \"Streams\": \"5,845,457\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"4R2kfaDFhslZEMJqAFNpdd\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-12-11--2020-12-18\\n2020-10-02--2020-10-09\\n2020-09-25--2020-10-02\\n2020-09-18--2020-09-25\\n2020-09-11--2020-09-18\\n2020-09-04--2020-09-11\\n2020-08-28--2020-09-04\\n2020-08-21--2020-08-28\\n2020-08-14--2020-08-21\\n2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 79.0, \"Danceability\": 0.613, \"Energy\": 0.5182263365989981, \"Loudness\": -8.588, \"Speechiness\": 0.0424, \"Acousticness\": 0.537, \"Liveness\": 0.25, \"Tempo\": 0.2755461873122805, \"Duration (ms)\": 239560.0, \"Valence\": 0.551, \"Chord\": \"C\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 788, \"Highest Charting Position\": 5, \"Number of Times Charted\": 12, \"Week of Highest Charting\": \"2020-07-31--2020-08-07\", \"Song Name\": \"my future\", \"Streams\": \"4,721,082\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 47061119.0, \"Song ID\": \"3YUMWmx8EJq0DurfuIwoGh\", \"Genre\": \"['electropop', 'pop']\", \"Release Date\": \"2021-07-30\", \"Weeks Charted\": \"2020-11-13--2020-11-20\\n2020-10-09--2020-10-16\\n2020-10-02--2020-10-09\\n2020-09-25--2020-10-02\\n2020-09-18--2020-09-25\\n2020-09-11--2020-09-18\\n2020-09-04--2020-09-11\\n2020-08-28--2020-09-04\\n2020-08-21--2020-08-28\\n2020-08-14--2020-08-21\\n2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\", \"Popularity\": 80.0, \"Danceability\": 0.456, \"Energy\": -1.0527538673997194, \"Loudness\": -10.755, \"Speechiness\": 0.0979, \"Acousticness\": 0.814, \"Liveness\": 0.307, \"Tempo\": -0.5747860720065402, \"Duration (ms)\": 210005.0, \"Valence\": 0.0809, \"Chord\": \"G#/Ab\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Billie Eilish\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Billie Eilish\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Billie Eilish\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 890, \"Highest Charting Position\": 4, \"Number of Times Charted\": 9, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"exile (feat. Bon Iver)\", \"Streams\": \"4,924,533\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"4pvb0WLRcMtbPGmtejJJ6y\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-09-18--2020-09-25\\n2020-09-11--2020-09-18\\n2020-09-04--2020-09-11\\n2020-08-28--2020-09-04\\n2020-08-21--2020-08-28\\n2020-08-14--2020-08-21\\n2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 77.0, \"Danceability\": 0.298, \"Energy\": -0.5485541397649957, \"Loudness\": -8.426, \"Speechiness\": 0.0287, \"Acousticness\": 0.778, \"Liveness\": 0.11, \"Tempo\": -1.5653015717849927, \"Duration (ms)\": 285634.0, \"Valence\": 0.152, \"Chord\": \"F#/Gb\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Billie Eilish\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Billie Eilish\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Billie Eilish\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 922, \"Highest Charting Position\": 5, \"Number of Times Charted\": 7, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"the 1\", \"Streams\": \"4,587,573\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"0Jlcvv8IykzHaSmj49uNW8\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-09-04--2020-09-11\\n2020-08-28--2020-09-04\\n2020-08-21--2020-08-28\\n2020-08-14--2020-08-21\\n2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 75.0, \"Danceability\": 0.777, \"Energy\": -0.6706235475081395, \"Loudness\": -6.942, \"Speechiness\": 0.0522, \"Acousticness\": 0.757, \"Liveness\": 0.108, \"Tempo\": 0.6086716200088723, \"Duration (ms)\": 210252.0, \"Valence\": 0.172, \"Chord\": \"C\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Billie Eilish\", \"pred3\": \"Billie Eilish\", \"pred4\": \"Billie Eilish\", \"pred5\": \"Billie Eilish\", \"pred6\": \"Billie Eilish\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Billie Eilish\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Billie Eilish\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 943, \"Highest Charting Position\": 11, \"Number of Times Charted\": 5, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"august\", \"Streams\": \"4,586,236\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"3hUxzQpSfdDqwM3ZTFQY0K\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-08-21--2020-08-28\\n2020-08-14--2020-08-21\\n2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 76.0, \"Danceability\": 0.532, \"Energy\": 0.7411356898690866, \"Loudness\": -9.208, \"Speechiness\": 0.0331, \"Acousticness\": 0.538, \"Liveness\": 0.0925, \"Tempo\": -1.0804941527285836, \"Duration (ms)\": 261923.0, \"Valence\": 0.403, \"Chord\": \"F\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 949, \"Highest Charting Position\": 8, \"Number of Times Charted\": 5, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"the last great american dynasty\", \"Streams\": \"4,389,670\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"2Eeur20xVqfUoM3Q7EFPFt\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-08-21--2020-08-28\\n2020-08-14--2020-08-21\\n2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 71.0, \"Danceability\": 0.686, \"Energy\": 0.948122946477026, \"Loudness\": -8.505, \"Speechiness\": 0.0413, \"Acousticness\": 0.467, \"Liveness\": 0.109, \"Tempo\": 0.8805493208665263, \"Duration (ms)\": 230999.0, \"Valence\": 0.706, \"Chord\": \"G\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 951, \"Highest Charting Position\": 10, \"Number of Times Charted\": 4, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"my tears ricochet\", \"Streams\": \"5,111,416\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"1MgV7FIyNxIG7WzMRJV5HC\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-08-14--2020-08-21\\n2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 71.0, \"Danceability\": 0.456, \"Energy\": -1.169515909588813, \"Loudness\": -10.63, \"Speechiness\": 0.0332, \"Acousticness\": 0.806, \"Liveness\": 0.0749, \"Tempo\": 0.2696953548395392, \"Duration (ms)\": 255894.0, \"Valence\": 0.111, \"Chord\": \"C\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Billie Eilish\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Billie Eilish\", \"pred5\": \"Billie Eilish\", \"pred6\": \"Billie Eilish\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Billie Eilish\", \"pred13\": \"Billie Eilish\", \"pred14\": \"Billie Eilish\", \"pred15\": \"Billie Eilish\", \"pred16\": \"Billie Eilish\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 961, \"Highest Charting Position\": 17, \"Number of Times Charted\": 4, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"invisible string\", \"Streams\": \"4,424,118\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"6VsvKPJ4xjVNKpI8VVZ3SV\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-08-14--2020-08-21\\n2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 71.0, \"Danceability\": 0.653, \"Energy\": -0.1664238198734157, \"Loudness\": -11.143, \"Speechiness\": 0.055, \"Acousticness\": 0.838, \"Liveness\": 0.108, \"Tempo\": -1.300458397830982, \"Duration (ms)\": 252881.0, \"Valence\": 0.45, \"Chord\": \"E\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Billie Eilish\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 966, \"Highest Charting Position\": 13, \"Number of Times Charted\": 3, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"mirrorball\", \"Streams\": \"5,564,072\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"0ZNU020wNYvgW84iljPkPP\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 70.0, \"Danceability\": 0.553, \"Energy\": -0.373411076481355, \"Loudness\": -10.037, \"Speechiness\": 0.0334, \"Acousticness\": 0.687, \"Liveness\": 0.0594, \"Tempo\": -0.39834796212043716, \"Duration (ms)\": 208978.0, \"Valence\": 0.379, \"Chord\": \"D\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Billie Eilish\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 967, \"Highest Charting Position\": 15, \"Number of Times Charted\": 3, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"seven\", \"Streams\": \"5,459,423\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"6KJqZcs9XDgVck7Lg9QOTC\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 69.0, \"Danceability\": 0.596, \"Energy\": 0.02464134007237415, \"Loudness\": -10.769, \"Speechiness\": 0.0274, \"Acousticness\": 0.9, \"Liveness\": 0.091, \"Tempo\": -0.9117669665637821, \"Duration (ms)\": 208907.0, \"Valence\": 0.415, \"Chord\": \"E\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 968, \"Highest Charting Position\": 18, \"Number of Times Charted\": 3, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"this is me trying\", \"Streams\": \"5,128,412\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"7kt9e9LFSpN1zQtYEl19o1\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 70.0, \"Danceability\": 0.515, \"Energy\": -0.039047046576222565, \"Loudness\": -9.843, \"Speechiness\": 0.0328, \"Acousticness\": 0.314, \"Liveness\": 0.171, \"Tempo\": 0.47349371599990997, \"Duration (ms)\": 195097.0, \"Valence\": 0.412, \"Chord\": \"A\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 969, \"Highest Charting Position\": 24, \"Number of Times Charted\": 3, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"betty\", \"Streams\": \"5,112,180\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"5kI4eCXXzyuIUXjQra0Cxi\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 71.0, \"Danceability\": 0.593, \"Energy\": -0.5644762364271448, \"Loudness\": -8.761, \"Speechiness\": 0.0253, \"Acousticness\": 0.6, \"Liveness\": 0.0976, \"Tempo\": -0.877507467749402, \"Duration (ms)\": 294521.0, \"Valence\": 0.502, \"Chord\": \"C\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Billie Eilish\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Billie Eilish\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 971, \"Highest Charting Position\": 20, \"Number of Times Charted\": 3, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"illicit affairs\", \"Streams\": \"5,053,658\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"2NmsngXHeC1GQ9wWrzhOMf\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-08-07--2020-08-14\\n2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 70.0, \"Danceability\": 0.559, \"Energy\": -0.9200697285484762, \"Loudness\": -10.445, \"Speechiness\": 0.0338, \"Acousticness\": 0.881, \"Liveness\": 0.106, \"Tempo\": -0.06901035160273125, \"Duration (ms)\": 190898.0, \"Valence\": 0.46, \"Chord\": \"A#/Bb\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Billie Eilish\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Billie Eilish\", \"pred5\": \"Billie Eilish\", \"pred6\": \"Billie Eilish\", \"pred7\": \"Billie Eilish\", \"pred8\": \"Billie Eilish\", \"pred9\": \"Billie Eilish\", \"pred10\": \"Billie Eilish\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 977, \"Highest Charting Position\": 29, \"Number of Times Charted\": 2, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"mad woman\", \"Streams\": \"6,796,343\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"2QDyYdZyhlP2fp79KZX8Bi\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 67.0, \"Danceability\": 0.592, \"Energy\": 1.1444954719768652, \"Loudness\": -8.995, \"Speechiness\": 0.0471, \"Acousticness\": 0.655, \"Liveness\": 0.114, \"Tempo\": 0.6774273565238129, \"Duration (ms)\": 237258.0, \"Valence\": 0.506, \"Chord\": \"D#/Eb\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 978, \"Highest Charting Position\": 33, \"Number of Times Charted\": 2, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"epiphany\", \"Streams\": \"6,085,522\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"08fa9LFcFBTcilB3iq2e2A\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 66.0, \"Danceability\": 0.354, \"Energy\": -1.1482864473726142, \"Loudness\": -13.69, \"Speechiness\": 0.0281, \"Acousticness\": 0.731, \"Liveness\": 0.0858, \"Tempo\": -0.9356775940679946, \"Duration (ms)\": 289749.0, \"Valence\": 0.113, \"Chord\": \"C#/Db\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Billie Eilish\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Billie Eilish\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Billie Eilish\", \"pred7\": \"Billie Eilish\", \"pred8\": \"Billie Eilish\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Billie Eilish\", \"pred11\": \"Billie Eilish\", \"pred12\": \"Billie Eilish\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 979, \"Highest Charting Position\": 41, \"Number of Times Charted\": 2, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"peace\", \"Streams\": \"5,943,851\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"7MbT4I8qGntX4fMdqMQgke\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 67.0, \"Danceability\": 0.647, \"Energy\": -1.1217496196023655, \"Loudness\": -12.906, \"Speechiness\": 0.0916, \"Acousticness\": 0.918, \"Liveness\": 0.0918, \"Tempo\": 0.9523150232200461, \"Duration (ms)\": 234000.0, \"Valence\": 0.339, \"Chord\": \"F\", \"pred\": \"Billie Eilish\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Billie Eilish\", \"pred3\": \"Billie Eilish\", \"pred4\": \"Billie Eilish\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Billie Eilish\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Billie Eilish\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Billie Eilish\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Billie Eilish\", \"pred21\": \"Billie Eilish\", \"pred22\": \"Billie Eilish\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 984, \"Highest Charting Position\": 47, \"Number of Times Charted\": 2, \"Week of Highest Charting\": \"2020-07-24--2020-07-31\", \"Song Name\": \"hoax\", \"Streams\": \"5,375,944\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"6MWoRt97mnSTXZhu3ggi9C\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-07-24\", \"Weeks Charted\": \"2020-07-31--2020-08-07\\n2020-07-24--2020-07-31\", \"Popularity\": 66.0, \"Danceability\": 0.662, \"Energy\": -1.6047198850208904, \"Loudness\": -15.065, \"Speechiness\": 0.0415, \"Acousticness\": 0.966, \"Liveness\": 0.133, \"Tempo\": -0.10370950834858923, \"Duration (ms)\": 220043.0, \"Valence\": 0.429, \"Chord\": \"G#/Ab\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Billie Eilish\", \"pred3\": \"Billie Eilish\", \"pred4\": \"Billie Eilish\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Billie Eilish\", \"pred7\": \"Billie Eilish\", \"pred8\": \"Billie Eilish\", \"pred9\": \"Billie Eilish\", \"pred10\": \"Billie Eilish\", \"pred11\": \"Billie Eilish\", \"pred12\": \"Billie Eilish\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Billie Eilish\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Billie Eilish\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 992, \"Highest Charting Position\": 101, \"Number of Times Charted\": 22, \"Week of Highest Charting\": \"2020-02-14--2020-02-21\", \"Song Name\": \"ocean eyes\", \"Streams\": \"4,476,954\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 1251372.0, \"Song ID\": \"6pFTDHGJtKOxrQ85xRZ8Ue\", \"Genre\": \"[]\", \"Release Date\": \"2021-08-13\", \"Weeks Charted\": \"2020-07-31--2020-08-07\\n2020-05-15--2020-05-22\\n2020-05-08--2020-05-15\\n2020-05-01--2020-05-08\\n2020-04-24--2020-05-01\\n2020-04-17--2020-04-24\\n2020-04-10--2020-04-17\\n2020-04-03--2020-04-10\\n2020-03-27--2020-04-03\\n2020-03-20--2020-03-27\\n2020-03-13--2020-03-20\\n2020-03-06--2020-03-13\\n2020-02-28--2020-03-06\\n2020-02-21--2020-02-28\\n2020-02-14--2020-02-21\\n2020-02-07--2020-02-14\\n2020-01-31--2020-02-07\\n2020-01-24--2020-01-31\\n2020-01-17--2020-01-24\\n2020-01-10--2020-01-17\\n2020-01-03--2020-01-10\\n2019-12-27--2020-01-03\", \"Popularity\": 1.0, \"Danceability\": 0.358, \"Energy\": -0.5910130641973935, \"Loudness\": -7.664, \"Speechiness\": 0.0464, \"Acousticness\": 0.81, \"Liveness\": 0.0877, \"Tempo\": 0.7760798323792399, \"Duration (ms)\": 200387.0, \"Valence\": 0.16, \"Chord\": \"E\", \"pred\": \"Taylor Swift\", \"pred1\": \"Billie Eilish\", \"pred2\": \"Billie Eilish\", \"pred3\": \"Billie Eilish\", \"pred4\": \"Billie Eilish\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Billie Eilish\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Billie Eilish\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 1196, \"Highest Charting Position\": 4, \"Number of Times Charted\": 13, \"Week of Highest Charting\": \"2020-02-14--2020-02-21\", \"Song Name\": \"No Time To Die\", \"Streams\": \"4,293,009\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 47061119.0, \"Song ID\": \"73SpzrcaHk0RQPFP73vqVR\", \"Genre\": \"['electropop', 'pop']\", \"Release Date\": \"2020-02-13\", \"Weeks Charted\": \"2020-05-08--2020-05-15\\n2020-05-01--2020-05-08\\n2020-04-24--2020-05-01\\n2020-04-17--2020-04-24\\n2020-04-10--2020-04-17\\n2020-04-03--2020-04-10\\n2020-03-27--2020-04-03\\n2020-03-20--2020-03-27\\n2020-03-13--2020-03-20\\n2020-03-06--2020-03-13\\n2020-02-28--2020-03-06\\n2020-02-21--2020-02-28\\n2020-02-14--2020-02-21\", \"Popularity\": 75.0, \"Danceability\": 0.38, \"Energy\": -1.4030399939670009, \"Loudness\": -13.273, \"Speechiness\": 0.0358, \"Acousticness\": 0.917, \"Liveness\": 0.0827, \"Tempo\": -1.6351395432081866, \"Duration (ms)\": 242265.0, \"Valence\": 0.0517, \"Chord\": \"E\", \"pred\": \"Taylor Swift\", \"pred1\": \"Billie Eilish\", \"pred2\": \"Billie Eilish\", \"pred3\": \"Billie Eilish\", \"pred4\": \"Billie Eilish\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Billie Eilish\", \"pred7\": \"Billie Eilish\", \"pred8\": \"Billie Eilish\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 1375, \"Highest Charting Position\": 140, \"Number of Times Charted\": 9, \"Week of Highest Charting\": \"2020-01-31--2020-02-07\", \"Song Name\": \"You Need To Calm Down\", \"Streams\": \"5,115,153\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"6RRNNciQGZEXnqk8SQ9yv5\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2019-08-23\", \"Weeks Charted\": \"2020-02-28--2020-03-06\\n2020-02-21--2020-02-28\\n2020-02-14--2020-02-21\\n2020-02-07--2020-02-14\\n2020-01-31--2020-02-07\\n2020-01-24--2020-01-31\\n2020-01-10--2020-01-17\\n2020-01-03--2020-01-10\\n2019-12-27--2020-01-03\", \"Popularity\": 78.0, \"Danceability\": 0.771, \"Energy\": 0.9958892364634735, \"Loudness\": -5.617, \"Speechiness\": 0.0553, \"Acousticness\": 0.00929, \"Liveness\": 0.0637, \"Tempo\": -1.2465833913045186, \"Duration (ms)\": 171360.0, \"Valence\": 0.714, \"Chord\": \"D\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 1380, \"Highest Charting Position\": 91, \"Number of Times Charted\": 10, \"Week of Highest Charting\": \"2020-01-24--2020-01-31\", \"Song Name\": \"bury a friend\", \"Streams\": \"5,020,303\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 1251372.0, \"Song ID\": \"7p6ZK1vOxKELFwlDfwkJCp\", \"Genre\": \"[]\", \"Release Date\": \"2021-08-13\", \"Weeks Charted\": \"2020-02-28--2020-03-06\\n2020-02-21--2020-02-28\\n2020-02-14--2020-02-21\\n2020-02-07--2020-02-14\\n2020-01-31--2020-02-07\\n2020-01-24--2020-01-31\\n2020-01-17--2020-01-24\\n2020-01-10--2020-01-17\\n2020-01-03--2020-01-10\\n2019-12-27--2020-01-03\", \"Popularity\": 1.0, \"Danceability\": 0.887, \"Energy\": -0.5060952153325979, \"Loudness\": -14.505, \"Speechiness\": 0.349, \"Acousticness\": 0.739, \"Liveness\": 0.106, \"Tempo\": -0.06258458183497982, \"Duration (ms)\": 193143.0, \"Valence\": 0.205, \"Chord\": \"G#/Ab\", \"pred\": \"Taylor Swift\", \"pred1\": \"Billie Eilish\", \"pred2\": \"Billie Eilish\", \"pred3\": \"Billie Eilish\", \"pred4\": \"Billie Eilish\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Billie Eilish\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Billie Eilish\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 1394, \"Highest Charting Position\": 118, \"Number of Times Charted\": 8, \"Week of Highest Charting\": \"2020-01-24--2020-01-31\", \"Song Name\": \"all the good girls go to hell\", \"Streams\": \"5,074,485\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 47061119.0, \"Song ID\": \"6IRdLKIyS4p7XNiP8r6rsx\", \"Genre\": \"['electropop', 'pop']\", \"Release Date\": \"2019-03-29\", \"Weeks Charted\": \"2020-02-21--2020-02-28\\n2020-02-14--2020-02-21\\n2020-02-07--2020-02-14\\n2020-01-31--2020-02-07\\n2020-01-24--2020-01-31\\n2020-01-10--2020-01-17\\n2020-01-03--2020-01-10\\n2019-12-27--2020-01-03\", \"Popularity\": 75.0, \"Danceability\": 0.726, \"Energy\": -0.20888274430581352, \"Loudness\": -8.922, \"Speechiness\": 0.372, \"Acousticness\": 0.283, \"Liveness\": 0.177, \"Tempo\": 2.1360094541216386, \"Duration (ms)\": 168840.0, \"Valence\": 0.569, \"Chord\": \"G#/Ab\", \"pred\": \"Taylor Swift\", \"pred1\": \"Billie Eilish\", \"pred2\": \"Billie Eilish\", \"pred3\": \"Billie Eilish\", \"pred4\": \"Billie Eilish\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Billie Eilish\", \"pred7\": \"Billie Eilish\", \"pred8\": \"Billie Eilish\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 1401, \"Highest Charting Position\": 148, \"Number of Times Charted\": 6, \"Week of Highest Charting\": \"2020-01-24--2020-01-31\", \"Song Name\": \"i love you\", \"Streams\": \"4,863,910\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 1251372.0, \"Song ID\": \"0np7TYPZSum9xTxe9QTr21\", \"Genre\": \"[]\", \"Release Date\": \"2021-08-13\", \"Weeks Charted\": \"2020-02-21--2020-02-28\\n2020-02-14--2020-02-21\\n2020-02-07--2020-02-14\\n2020-01-31--2020-02-07\\n2020-01-24--2020-01-31\\n2020-01-03--2020-01-10\", \"Popularity\": 2.0, \"Danceability\": 0.42, \"Energy\": -1.8700881627233765, \"Loudness\": -18.435, \"Speechiness\": 0.0382, \"Acousticness\": 0.953, \"Liveness\": 0.109, \"Tempo\": 0.5254071717551654, \"Duration (ms)\": 291796.0, \"Valence\": 0.12, \"Chord\": \"C\", \"pred\": \"Taylor Swift\", \"pred1\": \"Billie Eilish\", \"pred2\": \"Billie Eilish\", \"pred3\": \"Billie Eilish\", \"pred4\": \"Billie Eilish\", \"pred5\": \"Billie Eilish\", \"pred6\": \"Billie Eilish\", \"pred7\": \"Billie Eilish\", \"pred8\": \"Billie Eilish\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Billie Eilish\", \"pred15\": \"Billie Eilish\", \"pred16\": \"Billie Eilish\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Billie Eilish\", \"pred29\": \"Billie Eilish\", \"pred30\": \"Billie Eilish\"}, {\"Index\": 1425, \"Highest Charting Position\": 141, \"Number of Times Charted\": 6, \"Week of Highest Charting\": \"2020-01-24--2020-01-31\", \"Song Name\": \"wish you were gay\", \"Streams\": \"5,187,997\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 47061119.0, \"Song ID\": \"3Fj47GNK2kUF0uaEDgXLaD\", \"Genre\": \"['electropop', 'pop']\", \"Release Date\": \"2019-03-29\", \"Weeks Charted\": \"2020-02-14--2020-02-21\\n2020-02-07--2020-02-14\\n2020-01-31--2020-02-07\\n2020-01-24--2020-01-31\\n2020-01-03--2020-01-10\\n2019-12-27--2020-01-03\", \"Popularity\": 76.0, \"Danceability\": 0.853, \"Energy\": -0.7024677408324378, \"Loudness\": -10.198, \"Speechiness\": 0.241, \"Acousticness\": 0.39, \"Liveness\": 0.752, \"Tempo\": -0.13046100248696513, \"Duration (ms)\": 221543.0, \"Valence\": 0.282, \"Chord\": \"G\", \"pred\": \"Taylor Swift\", \"pred1\": \"Billie Eilish\", \"pred2\": \"Billie Eilish\", \"pred3\": \"Billie Eilish\", \"pred4\": \"Billie Eilish\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Billie Eilish\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 1426, \"Highest Charting Position\": 61, \"Number of Times Charted\": 3, \"Week of Highest Charting\": \"2020-01-31--2020-02-07\", \"Song Name\": \"Only The Young - Featured in Miss Americana\", \"Streams\": \"5,111,068\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"2slqvGLwzZZYsT4K4Y1GBC\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2020-01-31\", \"Weeks Charted\": \"2020-02-14--2020-02-21\\n2020-02-07--2020-02-14\\n2020-01-31--2020-02-07\", \"Popularity\": 63.0, \"Danceability\": 0.56, \"Energy\": 1.574392081854893, \"Loudness\": -4.895, \"Speechiness\": 0.0517, \"Acousticness\": 0.00244, \"Liveness\": 0.0714, \"Tempo\": -0.9594529422086747, \"Duration (ms)\": 157507.0, \"Valence\": 0.602, \"Chord\": \"F\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 1429, \"Highest Charting Position\": 167, \"Number of Times Charted\": 4, \"Week of Highest Charting\": \"2020-01-24--2020-01-31\", \"Song Name\": \"you should see me in a crown\", \"Streams\": \"4,988,054\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 1251372.0, \"Song ID\": \"6WbvBhwCaUuYHcHGEuVgqo\", \"Genre\": \"[]\", \"Release Date\": \"2021-08-13\", \"Weeks Charted\": \"2020-02-14--2020-02-21\\n2020-02-07--2020-02-14\\n2020-01-31--2020-02-07\\n2020-01-24--2020-01-31\", \"Popularity\": 0.0, \"Danceability\": 0.683, \"Energy\": 0.2687801555586616, \"Loudness\": -10.348, \"Speechiness\": 0.189, \"Acousticness\": 0.519, \"Liveness\": 0.148, \"Tempo\": 0.9666884555952792, \"Duration (ms)\": 180567.0, \"Valence\": 0.284, \"Chord\": \"E\", \"pred\": \"Taylor Swift\", \"pred1\": \"Billie Eilish\", \"pred2\": \"Billie Eilish\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 1467, \"Highest Charting Position\": 193, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2020-01-31--2020-02-07\", \"Song Name\": \"ME! (feat. Brendon Urie of Panic! At The Disco)\", \"Streams\": \"4,884,909\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"2Rk4JlNc2TPmZe2af99d45\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2019-08-23\", \"Weeks Charted\": \"2020-01-31--2020-02-07\", \"Popularity\": 77.0, \"Danceability\": 0.61, \"Energy\": 1.8397603595573788, \"Loudness\": -4.105, \"Speechiness\": 0.0571, \"Acousticness\": 0.033, \"Liveness\": 0.118, \"Tempo\": 2.038540672697113, \"Duration (ms)\": 193000.0, \"Valence\": 0.728, \"Chord\": \"C\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 1469, \"Highest Charting Position\": 191, \"Number of Times Charted\": 2, \"Week of Highest Charting\": \"2020-01-24--2020-01-31\", \"Song Name\": \"idontwannabeyouanymore\", \"Streams\": \"4,824,483\", \"Artist\": \"Billie Eilish\", \"Artist Followers\": 47061119.0, \"Song ID\": \"41zXlQxzTi6cGAjpOXyLYH\", \"Genre\": \"['electropop', 'pop']\", \"Release Date\": \"2017-12-22\", \"Weeks Charted\": \"2020-01-31--2020-02-07\\n2020-01-24--2020-01-31\", \"Popularity\": 78.0, \"Danceability\": 0.483, \"Energy\": -0.3787184420354048, \"Loudness\": -8.461, \"Speechiness\": 0.0402, \"Acousticness\": 0.737, \"Liveness\": 0.116, \"Tempo\": 1.6327364019431643, \"Duration (ms)\": 203569.0, \"Valence\": 0.247, \"Chord\": \"G\", \"pred\": \"Taylor Swift\", \"pred1\": \"Billie Eilish\", \"pred2\": \"Billie Eilish\", \"pred3\": \"Billie Eilish\", \"pred4\": \"Billie Eilish\", \"pred5\": \"Billie Eilish\", \"pred6\": \"Billie Eilish\", \"pred7\": \"Billie Eilish\", \"pred8\": \"Billie Eilish\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Billie Eilish\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}, {\"Index\": 1556, \"Highest Charting Position\": 199, \"Number of Times Charted\": 1, \"Week of Highest Charting\": \"2019-12-27--2020-01-03\", \"Song Name\": \"Lover (Remix) [feat. Shawn Mendes]\", \"Streams\": \"4,595,450\", \"Artist\": \"Taylor Swift\", \"Artist Followers\": 42227614.0, \"Song ID\": \"3i9UVldZOE0aD0JnyfAZZ0\", \"Genre\": \"['pop', 'post-teen pop']\", \"Release Date\": \"2019-11-13\", \"Weeks Charted\": \"2019-12-27--2020-01-03\", \"Popularity\": 70.0, \"Danceability\": 0.448, \"Energy\": 0.6349883787880921, \"Loudness\": -7.176, \"Speechiness\": 0.064, \"Acousticness\": 0.433, \"Liveness\": 0.0862, \"Tempo\": 2.8201171955009925, \"Duration (ms)\": 221307.0, \"Valence\": 0.422, \"Chord\": \"G\", \"pred\": \"Taylor Swift\", \"pred1\": \"Taylor Swift\", \"pred2\": \"Taylor Swift\", \"pred3\": \"Taylor Swift\", \"pred4\": \"Taylor Swift\", \"pred5\": \"Taylor Swift\", \"pred6\": \"Taylor Swift\", \"pred7\": \"Taylor Swift\", \"pred8\": \"Taylor Swift\", \"pred9\": \"Taylor Swift\", \"pred10\": \"Taylor Swift\", \"pred11\": \"Taylor Swift\", \"pred12\": \"Taylor Swift\", \"pred13\": \"Taylor Swift\", \"pred14\": \"Taylor Swift\", \"pred15\": \"Taylor Swift\", \"pred16\": \"Taylor Swift\", \"pred17\": \"Taylor Swift\", \"pred18\": \"Taylor Swift\", \"pred19\": \"Taylor Swift\", \"pred20\": \"Taylor Swift\", \"pred21\": \"Taylor Swift\", \"pred22\": \"Taylor Swift\", \"pred23\": \"Taylor Swift\", \"pred24\": \"Taylor Swift\", \"pred25\": \"Taylor Swift\", \"pred26\": \"Taylor Swift\", \"pred27\": \"Taylor Swift\", \"pred28\": \"Taylor Swift\", \"pred29\": \"Taylor Swift\", \"pred30\": \"Taylor Swift\"}]}}, {\"mode\": \"vega-lite\"});\n",
       "</script>"
      ],
      "text/plain": [
       "alt.VConcatChart(...)"
      ]
     },
     "execution_count": 6,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "alt.vconcat(*[make_chart(k) for k in range(1,31)])"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {
    "cell_id": "2009562f-596a-4d53-9ed4-149c2b98e690",
    "deepnote_cell_type": "markdown",
    "tags": []
   },
   "source": [
    "## Alternatives to Deepnote\n",
    "\n",
    "* [Jupyter notebook and Jupyter lab](https://jupyter.org/)\n",
    "* [Google colab](https://colab.research.google.com/)"
   ]
  }
 ],
 "metadata": {
  "deepnote": {
   "is_reactive": false
  },
  "deepnote_execution_queue": [],
  "deepnote_notebook_id": "22b7ce9d-8d43-4714-9c90-dcabb091b4a1",
  "kernelspec": {
   "display_name": "Python 3 (ipykernel)",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.8.12"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 4
}
